# swagger-client
The its4land Public API provides access to the services of the its4land Publish and Share platform.

This Python package is automatically generated by the [Swagger Codegen](https://github.com/swagger-api/swagger-codegen) project:

- API version: 0.0.2
- Package version: 1.0.0
- Build package: io.swagger.codegen.languages.PythonClientCodegen
For more information, please visit [https://its4land.com](https://its4land.com)

## Requirements.

Python 2.7 and 3.4+

## Installation & Usage
### pip install

If the python package is hosted on Github, you can install directly from Github

```sh
pip install git+https://github.com/GIT_USER_ID/GIT_REPO_ID.git
```
(you may need to run `pip` with root permission: `sudo pip install git+https://github.com/GIT_USER_ID/GIT_REPO_ID.git`)

Then import the package:
```python
import swagger_client 
```

### Setuptools

Install via [Setuptools](http://pypi.python.org/pypi/setuptools).

```sh
python setup.py install --user
```
(or `sudo python setup.py install` to install the package for all users)

Then import the package:
```python
import swagger_client
```

## Getting Started

Please follow the [installation procedure](#installation--usage) and then run the following:

```python
from __future__ import print_function
import time
import swagger_client
from swagger_client.rest import ApiException
from pprint import pprint
# create an instance of the API class
api_instance = swagger_client.AdminSourcesApi()
adminsource_uid = 'adminsource_uid_example' # str | AdminSource UID
envelope = 'envelope_example' # str | The endpoint can package everything (header, status code) neatly into the response body. Include envelope=true as a request parameter. The API will always return a 200 HTTP status code. The real status, headers and response will be within the body. (optional)
embed = ['embed_example'] # list[str] | Embedding is triggered by passing in an embed query parameter, which takes a comma separated list of endpoint types. Single fields can be selected a dot-notation (endpoint-type.property-name) (optional)

try:
    # Returns a single Admin Source
    api_response = api_instance.get_admin_source_by_uid(adminsource_uid, envelope=envelope, embed=embed)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling AdminSourcesApi->get_admin_source_by_uid: %s\n" % e)

```

## Documentation for API Endpoints

All URIs are relative to *https://platform.its4land.com*

Class | Method | HTTP request | Description
------------ | ------------- | ------------- | -------------
*AdminSourcesApi* | [**get_admin_source_by_uid**](docs/AdminSourcesApi.md#get_admin_source_by_uid) | **GET** /adminsources/{adminsource_uid} | Returns a single Admin Source
*AdminSourcesApi* | [**get_admin_sources**](docs/AdminSourcesApi.md#get_admin_sources) | **GET** /adminsources | Returns a list of AdminSource document indizes
*AdminSourcesApi* | [**new_admin_source**](docs/AdminSourcesApi.md#new_admin_source) | **POST** /adminsources | Creates a new AdminSource
*AdminSourcesApi* | [**update_admin_source**](docs/AdminSourcesApi.md#update_admin_source) | **PATCH** /adminsources/{adminsource_uid} | Update an Admin Source
*BoundaryFaceStringApi* | [**get_boundary_face_string**](docs/BoundaryFaceStringApi.md#get_boundary_face_string) | **GET** /boundaryfacestring | Returns a list of boundary face strings in a GeoJSON structure.
*BoundaryFaceStringApi* | [**get_boundary_face_string_by_uid**](docs/BoundaryFaceStringApi.md#get_boundary_face_string_by_uid) | **GET** /boundaryfacestring/{boundaryfacestring_uid} | Returns a single boundary face string
*BoundaryFaceStringApi* | [**new_boundary_face_string**](docs/BoundaryFaceStringApi.md#new_boundary_face_string) | **POST** /boundaryfacestring | Create a new concept for a boundary face string
*BoundaryFaceStringApi* | [**put_boundary_face_string_by_uid**](docs/BoundaryFaceStringApi.md#put_boundary_face_string_by_uid) | **PUT** /boundaryfacestring/{boundaryfacestring_uid} | Replace an existing BoundaryFaceString by a newer version
*BoundaryFaceStringApi* | [**update_boundary_face_string**](docs/BoundaryFaceStringApi.md#update_boundary_face_string) | **PATCH** /boundaryfacestring/{boundaryfacestring_uid} | Updates a boundary face string
*ClassifierApi* | [**get_classifier**](docs/ClassifierApi.md#get_classifier) | **GET** /classifier | Returns a list of classifier
*ClassifierApi* | [**get_classifier_by_uid**](docs/ClassifierApi.md#get_classifier_by_uid) | **GET** /classifier/{classifier_id} | Returns a single classifier.
*ClassifierApi* | [**new_classifier**](docs/ClassifierApi.md#new_classifier) | **POST** /classifier | Create a new classifier
*ContentItemsApi* | [**get_content_item**](docs/ContentItemsApi.md#get_content_item) | **GET** /contentitems/{contentitem_id} | Returns a single content from the object storage.
*ContentItemsApi* | [**get_content_items**](docs/ContentItemsApi.md#get_content_items) | **GET** /contentitems | Returns a list of contentitems
*ContentItemsApi* | [**new_content_item**](docs/ContentItemsApi.md#new_content_item) | **POST** /contentitems | Create a new content in the object storage
*MetricMapFeaturesApi* | [**get_metric_map_feature**](docs/MetricMapFeaturesApi.md#get_metric_map_feature) | **GET** /metricmapfeature | Returns MetricMapFeature
*MetricMapFeaturesApi* | [**new_metric_map_feature**](docs/MetricMapFeaturesApi.md#new_metric_map_feature) | **POST** /metricmapfeature | Create a new metricMapFeature
*MetricMapFeaturesApi* | [**update_metric_map_feature**](docs/MetricMapFeaturesApi.md#update_metric_map_feature) | **PATCH** /metricmapfeature/{mmf_uid} | Updates a metric map feature
*MiscApi* | [**get_ddi_layers**](docs/MiscApi.md#get_ddi_layers) | **GET** /DDILayers | Return a list of registered DDI (WFS/WMS) Layer
*MiscApi* | [**get_pu_s_config**](docs/MiscApi.md#get_pu_s_config) | **GET** /PuSConfig | Returns a list of configuration parameters as Key Value
*MiscApi* | [**new_ddi_layers**](docs/MiscApi.md#new_ddi_layers) | **POST** /DDILayers | Register a new DDI (WFS/WMS) Layer
*ModelClassesApi* | [**get_model_classes**](docs/ModelClassesApi.md#get_model_classes) | **GET** /modelclasses | Returns ModelClasses
*ModelClassesApi* | [**get_model_classes_by_uid**](docs/ModelClassesApi.md#get_model_classes_by_uid) | **GET** /modelclasses/{modelclasses_uid} | Returns a single model class
*ModelClassesApi* | [**update_model_classes**](docs/ModelClassesApi.md#update_model_classes) | **PATCH** /modelclasses/{modelclasses_uid} | Updates some attributes of a ModelClass
*ModelsApi* | [**get_models**](docs/ModelsApi.md#get_models) | **GET** /models | Returns a list of models.
*ModelsApi* | [**get_models_by_uid**](docs/ModelsApi.md#get_models_by_uid) | **GET** /models/{model_uid} | Returns a single model
*ModelsApi* | [**get_models_classes_by_model**](docs/ModelsApi.md#get_models_classes_by_model) | **GET** /models/{model_uid}/modelclasses | Returns the model classes of the classifier.
*ModelsApi* | [**new_model**](docs/ModelsApi.md#new_model) | **POST** /models | Create a new model
*ModelsApi* | [**new_model_class_under_model**](docs/ModelsApi.md#new_model_class_under_model) | **POST** /models/{model_uid}/modelclasses | Create a new ModelClass under a model
*ModelsApi* | [**update_models**](docs/ModelsApi.md#update_models) | **PATCH** /models/{model_uid} | Updates some attributes of a model
*ProcessesApi* | [**create_process_log**](docs/ProcessesApi.md#create_process_log) | **POST** /processes/{process_uid}/log | Writes a single log entry
*ProcessesApi* | [**create_processes**](docs/ProcessesApi.md#create_processes) | **POST** /processes | Creates a new  processes
*ProcessesApi* | [**get_process_by_uid**](docs/ProcessesApi.md#get_process_by_uid) | **GET** /processes/{process_uid} | Returns metadata for a single process
*ProcessesApi* | [**get_process_log**](docs/ProcessesApi.md#get_process_log) | **GET** /processes/{process_uid}/log | Get the full log of a process
*ProcessesApi* | [**get_processes**](docs/ProcessesApi.md#get_processes) | **GET** /processes | Get a list of processes
*ProjectsApi* | [**add_tag_to_project**](docs/ProjectsApi.md#add_tag_to_project) | **POST** /projects/{project_uid}/Tags | Adds a tag to the project
*ProjectsApi* | [**del_project_by_uid**](docs/ProjectsApi.md#del_project_by_uid) | **DELETE** /projects/{project_uid} | Deletes a single e project by its UID
*ProjectsApi* | [**detach_project_model**](docs/ProjectsApi.md#detach_project_model) | **DELETE** /projects/{project_uid}/Models/{model_uid} | Removes a model from a project.
*ProjectsApi* | [**detach_project_spatial_source**](docs/ProjectsApi.md#detach_project_spatial_source) | **DELETE** /projects/{project_uid}/SpatialSources/{spatialsource_uid} | Removes a spatialsource from a project.
*ProjectsApi* | [**detach_project_tag**](docs/ProjectsApi.md#detach_project_tag) | **DELETE** /projects/{project_uid}/Tags/{tag} | Removes a tag from a project.
*ProjectsApi* | [**get_connected_objects_by_project_uid**](docs/ProjectsApi.md#get_connected_objects_by_project_uid) | **GET** /projects/{project_uid}/connectedObjects | Returns an array of connect objects
*ProjectsApi* | [**get_models_by_project_uid**](docs/ProjectsApi.md#get_models_by_project_uid) | **GET** /projects/{project_uid}/Models | Returns the models of a project
*ProjectsApi* | [**get_project_tags_by_project_uid**](docs/ProjectsApi.md#get_project_tags_by_project_uid) | **GET** /projects/{project_uid}/Tags | Returns the tags of a project.
*ProjectsApi* | [**get_projects**](docs/ProjectsApi.md#get_projects) | **GET** /projects | Get a GeoJSON structure containing a list of Projects.
*ProjectsApi* | [**get_projects_by_uid**](docs/ProjectsApi.md#get_projects_by_uid) | **GET** /projects/{project_uid} | Getting single Projects by its UID
*ProjectsApi* | [**get_spatial_source_by_project_uid**](docs/ProjectsApi.md#get_spatial_source_by_project_uid) | **GET** /projects/{project_uid}/SpatialSources | Returns the SpatialSources of a Project.
*ProjectsApi* | [**new_model_under_project**](docs/ProjectsApi.md#new_model_under_project) | **POST** /projects/{project_uid}/Models | Create a new model
*ProjectsApi* | [**new_project**](docs/ProjectsApi.md#new_project) | **POST** /projects | Create a new project
*ProjectsApi* | [**new_spatial_source_under_project**](docs/ProjectsApi.md#new_spatial_source_under_project) | **POST** /projects/{project_uid}/SpatialSources | Create a new SpatialSource
*ProjectsApi* | [**update_projects**](docs/ProjectsApi.md#update_projects) | **PATCH** /projects/{project_uid} | Update a project
*SpatialSourcesApi* | [**detach_spatial_source_add_doc**](docs/SpatialSourcesApi.md#detach_spatial_source_add_doc) | **DELETE** /spatialsource/{spatialsource_uid}/AdditionalDocument/{adddoc_uid} | Removes an additional document for a spatial source.
*SpatialSourcesApi* | [**get_spatial_source_add_docs**](docs/SpatialSourcesApi.md#get_spatial_source_add_docs) | **GET** /spatialsource/{spatialsource_uid}/AdditionalDocument | Returns the additional documents of a spatial source
*SpatialSourcesApi* | [**get_spatial_source_by_uid**](docs/SpatialSourcesApi.md#get_spatial_source_by_uid) | **GET** /spatialsource/{spatialsource_uid} | Returns a single SpatialSource
*SpatialSourcesApi* | [**get_spatial_source_single_add_doc**](docs/SpatialSourcesApi.md#get_spatial_source_single_add_doc) | **GET** /spatialsource/{spatialsource_uid}/AdditionalDocument/{adddoc_uid} | Returns the additional documents of a spatial source
*SpatialSourcesApi* | [**get_spatial_sources**](docs/SpatialSourcesApi.md#get_spatial_sources) | **GET** /spatialsources | Returns a list of SpatialSources
*SpatialSourcesApi* | [**new_spatial_source**](docs/SpatialSourcesApi.md#new_spatial_source) | **POST** /spatialsources | Create a new SpatialSource
*SpatialSourcesApi* | [**new_spatial_source_add_add_doc**](docs/SpatialSourcesApi.md#new_spatial_source_add_add_doc) | **POST** /spatialsource/{spatialsource_uid}/AdditionalDocument | Add a new additional document to a spatial source
*SpatialSourcesApi* | [**put_spatial_source_by_uid**](docs/SpatialSourcesApi.md#put_spatial_source_by_uid) | **PUT** /spatialsource/{spatialsource_uid} | Replace an existing SpatialSource by a newer version
*SpatialUnitsApi* | [**create2_ppolygon_sp_ufrom_bfs**](docs/SpatialUnitsApi.md#create2_ppolygon_sp_ufrom_bfs) | **POST** /spatialunits/create2Dpolygonspatialunit | Creates a spatial unit
*SpatialUnitsApi* | [**get_spatial_unit_by_uid**](docs/SpatialUnitsApi.md#get_spatial_unit_by_uid) | **GET** /spatialunits/qualitative/{spatialunit_uid} | Returns a single spatial unit
*SpatialUnitsApi* | [**get_spatial_unit_concept_by_uid**](docs/SpatialUnitsApi.md#get_spatial_unit_concept_by_uid) | **GET** /spatialunits/concepts/{concept_uid} | Returns a single spatial unit concept
*SpatialUnitsApi* | [**get_spatial_units**](docs/SpatialUnitsApi.md#get_spatial_units) | **GET** /spatialunits | Returns a list of SpatialUnits in a GeoJSON structure.
*SpatialUnitsApi* | [**get_spatial_units_by_uuid**](docs/SpatialUnitsApi.md#get_spatial_units_by_uuid) | **GET** /spatialunits/{spatialunit_uid} | Returns a list of SpatialUnits
*SpatialUnitsApi* | [**get_spatial_units_concepts**](docs/SpatialUnitsApi.md#get_spatial_units_concepts) | **GET** /spatialunits/concepts | Returns a list of spatial units concepts
*SpatialUnitsApi* | [**get_spatial_units_qualitative**](docs/SpatialUnitsApi.md#get_spatial_units_qualitative) | **GET** /spatialunits/qualitative | Returns a list of SpatialUnits
*SpatialUnitsApi* | [**new_spatial_unit**](docs/SpatialUnitsApi.md#new_spatial_unit) | **POST** /spatialunits | Create a new SpatialUnit
*SpatialUnitsApi* | [**new_spatial_unit_concept**](docs/SpatialUnitsApi.md#new_spatial_unit_concept) | **POST** /spatialunits/concepts | Create a new concept for a spatial unit
*SpatialUnitsApi* | [**new_spatial_unit_qualitative**](docs/SpatialUnitsApi.md#new_spatial_unit_qualitative) | **POST** /spatialunits/qualitative | Create a new SpatialUnit
*SpatialUnitsApi* | [**update_spatial_unit**](docs/SpatialUnitsApi.md#update_spatial_unit) | **PATCH** /spatialunits/{spatialunit_uid} | Update an spatial unit
*SpatialUnitsApi* | [**update_spatial_unit_concept**](docs/SpatialUnitsApi.md#update_spatial_unit_concept) | **PATCH** /spatialunits/concepts/{concept_uid} | Updates a new spatial unit concept
*SpatialUnitsApi* | [**update_spatial_unit_qualitative**](docs/SpatialUnitsApi.md#update_spatial_unit_qualitative) | **PATCH** /spatialunits/qualitative/{spatialunit_uid} | Updates a new SpatialUnit
*TagsApi* | [**get_tag_by_name**](docs/TagsApi.md#get_tag_by_name) | **GET** /tags/{tag_name} | Returns a single tag
*TagsApi* | [**get_tags**](docs/TagsApi.md#get_tags) | **GET** /tags | Get a list of tags
*TagsApi* | [**merge_tag_by_uid**](docs/TagsApi.md#merge_tag_by_uid) | **PATCH** /tags/{tag_uid}/merge | Merge tags
*TagsApi* | [**update_tag_by_name**](docs/TagsApi.md#update_tag_by_name) | **PATCH** /tags/{tag_name} | Updates a tag
*ToolsApi* | [**get_tools**](docs/ToolsApi.md#get_tools) | **GET** /tools | Get a list of tools
*TrainingSetsApi* | [**get_training_set_by_uid**](docs/TrainingSetsApi.md#get_training_set_by_uid) | **GET** /trainingsets/{trainingsets_uid} | Returns a single TrainingSet
*TrainingSetsApi* | [**get_training_sets**](docs/TrainingSetsApi.md#get_training_sets) | **GET** /trainingsets | Returns a list of TrainingSets
*TrainingSetsApi* | [**new_training_set**](docs/TrainingSetsApi.md#new_training_set) | **POST** /trainingsets | Create a new TrainingSet
*WP5ValidationSetsApi* | [**get_wp5_validation_set_by_uid**](docs/WP5ValidationSetsApi.md#get_wp5_validation_set_by_uid) | **GET** /WP5ValidationSets/{wp5validationset_uid} | Returns a single WP5ValidationSet
*WP5ValidationSetsApi* | [**get_wp5_validation_sets**](docs/WP5ValidationSetsApi.md#get_wp5_validation_sets) | **GET** /WP5ValidationSets | Returns a list of WP5ValidationSets
*WP5ValidationSetsApi* | [**new_wp5_validation_sets**](docs/WP5ValidationSetsApi.md#new_wp5_validation_sets) | **POST** /WP5ValidationSets | Create a new WP5ValidationSets


## Documentation For Models

 - [AdditionalDocumentsEndpointType](docs/AdditionalDocumentsEndpointType.md)
 - [AdditionalDocumentsPost](docs/AdditionalDocumentsPost.md)
 - [AdminSourcesEndpointType](docs/AdminSourcesEndpointType.md)
 - [AdminSourcesEndpointTypeSpatialUnits](docs/AdminSourcesEndpointTypeSpatialUnits.md)
 - [AdminSourcesPostRequest](docs/AdminSourcesPostRequest.md)
 - [BoundaryFaceStringEndpointType](docs/BoundaryFaceStringEndpointType.md)
 - [BoundaryFaceStringEndpointTypeFeatures](docs/BoundaryFaceStringEndpointTypeFeatures.md)
 - [BoundaryFaceStringEndpointTypeGeometry](docs/BoundaryFaceStringEndpointTypeGeometry.md)
 - [BoundaryFaceStringEndpointTypeProperties](docs/BoundaryFaceStringEndpointTypeProperties.md)
 - [BoundaryFaceStringEndpointTypePropertiesSpatialUnit](docs/BoundaryFaceStringEndpointTypePropertiesSpatialUnit.md)
 - [BoundaryFaceStringPostRequest](docs/BoundaryFaceStringPostRequest.md)
 - [BoundaryFaceStringPostRequestFeatures](docs/BoundaryFaceStringPostRequestFeatures.md)
 - [BoundaryFaceStringPostRequestProperties](docs/BoundaryFaceStringPostRequestProperties.md)
 - [ClassifierEndpointType](docs/ClassifierEndpointType.md)
 - [ClassifierPostRequest](docs/ClassifierPostRequest.md)
 - [ConnectedObjectsEndpointType](docs/ConnectedObjectsEndpointType.md)
 - [ConnectedObjectsEndpointTypeInner](docs/ConnectedObjectsEndpointTypeInner.md)
 - [ContentItemEndpointType](docs/ContentItemEndpointType.md)
 - [DDILayersEndpointType](docs/DDILayersEndpointType.md)
 - [DDILayersPostRequest](docs/DDILayersPostRequest.md)
 - [ImageSetsEndpointType](docs/ImageSetsEndpointType.md)
 - [ImageSetsEndpointTypeContentItems](docs/ImageSetsEndpointTypeContentItems.md)
 - [ImageSetsEndpointTypeMetadata](docs/ImageSetsEndpointTypeMetadata.md)
 - [LogEntryEndpointType](docs/LogEntryEndpointType.md)
 - [LogEntryPostRequest](docs/LogEntryPostRequest.md)
 - [MetricMapFeaturePostRequest](docs/MetricMapFeaturePostRequest.md)
 - [MetricMapFeaturePostRequestProperties](docs/MetricMapFeaturePostRequestProperties.md)
 - [MetricMapFeaturesEndpointType](docs/MetricMapFeaturesEndpointType.md)
 - [MetricMapFeaturesEndpointTypeFeatures](docs/MetricMapFeaturesEndpointTypeFeatures.md)
 - [MetricMapFeaturesEndpointTypeGeometry](docs/MetricMapFeaturesEndpointTypeGeometry.md)
 - [MetricMapFeaturesEndpointTypeProperties](docs/MetricMapFeaturesEndpointTypeProperties.md)
 - [ModelClassesEndpointType](docs/ModelClassesEndpointType.md)
 - [ModelClassesEndpointTypeModel](docs/ModelClassesEndpointTypeModel.md)
 - [ModelClassesPostRequest](docs/ModelClassesPostRequest.md)
 - [ModelsEndpointType](docs/ModelsEndpointType.md)
 - [ModelsEndpointTypeModelClasses](docs/ModelsEndpointTypeModelClasses.md)
 - [ModelsEndpointTypeProjects](docs/ModelsEndpointTypeProjects.md)
 - [ModelsPatchRequest](docs/ModelsPatchRequest.md)
 - [ModelsPostRequest](docs/ModelsPostRequest.md)
 - [ProcessEndpointType](docs/ProcessEndpointType.md)
 - [ProcessEndpointTypeProject](docs/ProcessEndpointTypeProject.md)
 - [ProcessEndpointTypeResults](docs/ProcessEndpointTypeResults.md)
 - [ProcessEndpointTypeTool](docs/ProcessEndpointTypeTool.md)
 - [ProcessEndpointTypeToolEntryPoint](docs/ProcessEndpointTypeToolEntryPoint.md)
 - [ProcessEndpointTypeToolEntryPointParameter](docs/ProcessEndpointTypeToolEntryPointParameter.md)
 - [ProcessPostRequest](docs/ProcessPostRequest.md)
 - [ProcessPostRequestProject](docs/ProcessPostRequestProject.md)
 - [ProcessPostRequestTool](docs/ProcessPostRequestTool.md)
 - [ProcessPostRequestToolEntryPoint](docs/ProcessPostRequestToolEntryPoint.md)
 - [ProjectsEndpointType](docs/ProjectsEndpointType.md)
 - [ProjectsEndpointType2](docs/ProjectsEndpointType2.md)
 - [ProjectsEndpointType2Features](docs/ProjectsEndpointType2Features.md)
 - [ProjectsEndpointType2Properties](docs/ProjectsEndpointType2Properties.md)
 - [ProjectsEndpointTypeCrs](docs/ProjectsEndpointTypeCrs.md)
 - [ProjectsEndpointTypeCrsProperties](docs/ProjectsEndpointTypeCrsProperties.md)
 - [ProjectsEndpointTypeFeatures](docs/ProjectsEndpointTypeFeatures.md)
 - [ProjectsEndpointTypeGeometry](docs/ProjectsEndpointTypeGeometry.md)
 - [ProjectsEndpointTypeProperties](docs/ProjectsEndpointTypeProperties.md)
 - [ProjectsEndpointTypePropertiesModels](docs/ProjectsEndpointTypePropertiesModels.md)
 - [ProjectsEndpointTypePropertiesSpatialSources](docs/ProjectsEndpointTypePropertiesSpatialSources.md)
 - [ProjectsPatchRequest](docs/ProjectsPatchRequest.md)
 - [ProjectsPostRequest](docs/ProjectsPostRequest.md)
 - [ProjectsPostRequestFeatures](docs/ProjectsPostRequestFeatures.md)
 - [ProjectsPostRequestProperties](docs/ProjectsPostRequestProperties.md)
 - [ProjectsPostRequestPropertiesSpatialSources](docs/ProjectsPostRequestPropertiesSpatialSources.md)
 - [PublishAndShareConfigEndpointType](docs/PublishAndShareConfigEndpointType.md)
 - [PublishAndShareConfigEndpointTypeInner](docs/PublishAndShareConfigEndpointTypeInner.md)
 - [RFC6902PatchRequest](docs/RFC6902PatchRequest.md)
 - [RFC6902PatchRequestOrg](docs/RFC6902PatchRequestOrg.md)
 - [RFC6902PatchRequestOrgInner](docs/RFC6902PatchRequestOrgInner.md)
 - [SiteEndpointType](docs/SiteEndpointType.md)
 - [SpatialSourcesEndpointType](docs/SpatialSourcesEndpointType.md)
 - [SpatialSourcesEndpointTypeAdditionalDocuments](docs/SpatialSourcesEndpointTypeAdditionalDocuments.md)
 - [SpatialSourcesPostRequest](docs/SpatialSourcesPostRequest.md)
 - [SpatialUnitBaseFeaturePostRequest](docs/SpatialUnitBaseFeaturePostRequest.md)
 - [SpatialUnitConceptEndpointType](docs/SpatialUnitConceptEndpointType.md)
 - [SpatialUnitConceptPostRequest](docs/SpatialUnitConceptPostRequest.md)
 - [SpatialUnitsFeatureEndpointType](docs/SpatialUnitsFeatureEndpointType.md)
 - [SpatialUnitsFeatureEndpointTypeFeatures](docs/SpatialUnitsFeatureEndpointTypeFeatures.md)
 - [SpatialUnitsFeatureEndpointTypeProperties](docs/SpatialUnitsFeatureEndpointTypeProperties.md)
 - [SpatialUnitsFeatureEndpointTypePropertiesAdminSource](docs/SpatialUnitsFeatureEndpointTypePropertiesAdminSource.md)
 - [SpatialUnitsFeatureEndpointTypePropertiesProjects](docs/SpatialUnitsFeatureEndpointTypePropertiesProjects.md)
 - [SpatialUnitsFeaturePostRequest](docs/SpatialUnitsFeaturePostRequest.md)
 - [SpatialUnitsFeaturePostRequestFeatures](docs/SpatialUnitsFeaturePostRequestFeatures.md)
 - [SpatialUnitsFeaturePostRequestProperties](docs/SpatialUnitsFeaturePostRequestProperties.md)
 - [TagsEndpointType](docs/TagsEndpointType.md)
 - [TagsEndpointTypeTaggedObjects](docs/TagsEndpointTypeTaggedObjects.md)
 - [TagsEndpointTypeTaggedObjectsSum](docs/TagsEndpointTypeTaggedObjectsSum.md)
 - [TagsListResponse](docs/TagsListResponse.md)
 - [TagsPostRequest](docs/TagsPostRequest.md)
 - [ToolsEndpointType](docs/ToolsEndpointType.md)
 - [ToolsEndpointTypeEntryPoints](docs/ToolsEndpointTypeEntryPoints.md)
 - [ToolsEndpointTypeImage](docs/ToolsEndpointTypeImage.md)
 - [TrainingSetsPostRequest](docs/TrainingSetsPostRequest.md)
 - [TrainingsSetEndpointType](docs/TrainingsSetEndpointType.md)
 - [TrainingsSetEndpointTypeModels](docs/TrainingsSetEndpointTypeModels.md)
 - [WP5ValidationSetsEndpointType](docs/WP5ValidationSetsEndpointType.md)
 - [WP5ValidationSetsPostRequest](docs/WP5ValidationSetsPostRequest.md)


## Documentation For Authorization


## api_key

- **Type**: API key
- **API key parameter name**: X-i4lAPIKEY
- **Location**: HTTP header


## Author

contact@its4land.com

