# swagger_client.AdminSourcesApi

All URIs are relative to *https://platform.its4land.com*

Method | HTTP request | Description
------------- | ------------- | -------------
[**get_admin_source_by_uid**](AdminSourcesApi.md#get_admin_source_by_uid) | **GET** /adminsources/{adminsource_uid} | Returns a single Admin Source
[**get_admin_sources**](AdminSourcesApi.md#get_admin_sources) | **GET** /adminsources | Returns a list of AdminSource document indizes
[**new_admin_source**](AdminSourcesApi.md#new_admin_source) | **POST** /adminsources | Creates a new AdminSource
[**update_admin_source**](AdminSourcesApi.md#update_admin_source) | **PATCH** /adminsources/{adminsource_uid} | Update an Admin Source


# **get_admin_source_by_uid**
> AdminSourcesEndpointType get_admin_source_by_uid(adminsource_uid, envelope=envelope, embed=embed)

Returns a single Admin Source

Returns a single Admin Source

### Example
```python
from __future__ import print_function
import time
import swagger_client
from swagger_client.rest import ApiException
from pprint import pprint

# create an instance of the API class
api_instance = swagger_client.AdminSourcesApi()
adminsource_uid = 'adminsource_uid_example' # str | AdminSource UID
envelope = 'envelope_example' # str | The endpoint can package everything (header, status code) neatly into the response body. Include envelope=true as a request parameter. The API will always return a 200 HTTP status code. The real status, headers and response will be within the body. (optional)
embed = ['embed_example'] # list[str] | Embedding is triggered by passing in an embed query parameter, which takes a comma separated list of endpoint types. Single fields can be selected a dot-notation (endpoint-type.property-name) (optional)

try:
    # Returns a single Admin Source
    api_response = api_instance.get_admin_source_by_uid(adminsource_uid, envelope=envelope, embed=embed)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling AdminSourcesApi->get_admin_source_by_uid: %s\n" % e)
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **adminsource_uid** | **str**| AdminSource UID | 
 **envelope** | **str**| The endpoint can package everything (header, status code) neatly into the response body. Include envelope&#x3D;true as a request parameter. The API will always return a 200 HTTP status code. The real status, headers and response will be within the body. | [optional] 
 **embed** | [**list[str]**](str.md)| Embedding is triggered by passing in an embed query parameter, which takes a comma separated list of endpoint types. Single fields can be selected a dot-notation (endpoint-type.property-name) | [optional] 

### Return type

[**AdminSourcesEndpointType**](AdminSourcesEndpointType.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **get_admin_sources**
> list[AdminSourcesEndpointType] get_admin_sources(envelope=envelope, uid=uid, name=name, type=type, projects=projects, spatialunits=spatialunits, tags=tags, page=page, sort=sort, fields=fields, embed=embed)

Returns a list of AdminSource document indizes

Returns a list of AdminSource document indizes

### Example
```python
from __future__ import print_function
import time
import swagger_client
from swagger_client.rest import ApiException
from pprint import pprint

# create an instance of the API class
api_instance = swagger_client.AdminSourcesApi()
envelope = 'envelope_example' # str | The endpoint can package everything (header, status code) neatly into the response body. Include envelope=true as a request parameter. The API will always return a 200 HTTP status code. The real status, headers and response will be within the body. (optional)
uid = ['uid_example'] # list[str] | Comma separated list of AdminSources UID (optional)
name = ['name_example'] # list[str] | Comma separated list of AdminSources names (optional)
type = ['type_example'] # list[str] | Comma separated list of AdminSources types (optional)
projects = ['projects_example'] # list[str] | Comma separated list of project UID (optional)
spatialunits = ['spatialunits_example'] # list[str] | Comma separated list of SpatialUnit UID (optional)
tags = ['tags_example'] # list[str] | Comma separated list of tags (optional)
page = 56 # int | Requests for collections can return between 0 and N results, controlled using the per_page and page query parameters. All endpoints are limited to 10 results by default. (optional)
sort = 'sort_example' # str | The sorting is initiated by the sort query parameter and a list of comma separated list of fields to sort by. (optional)
fields = ['fields_example'] # list[str] | Comma separated list of tags (optional)
embed = ['embed_example'] # list[str] | Embedding is triggered by passing in an embed query parameter, which takes a comma separated list of endpoint types. Single fields can be selected a dot-notation (endpoint-type.property-name) (optional)

try:
    # Returns a list of AdminSource document indizes
    api_response = api_instance.get_admin_sources(envelope=envelope, uid=uid, name=name, type=type, projects=projects, spatialunits=spatialunits, tags=tags, page=page, sort=sort, fields=fields, embed=embed)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling AdminSourcesApi->get_admin_sources: %s\n" % e)
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **envelope** | **str**| The endpoint can package everything (header, status code) neatly into the response body. Include envelope&#x3D;true as a request parameter. The API will always return a 200 HTTP status code. The real status, headers and response will be within the body. | [optional] 
 **uid** | [**list[str]**](str.md)| Comma separated list of AdminSources UID | [optional] 
 **name** | [**list[str]**](str.md)| Comma separated list of AdminSources names | [optional] 
 **type** | [**list[str]**](str.md)| Comma separated list of AdminSources types | [optional] 
 **projects** | [**list[str]**](str.md)| Comma separated list of project UID | [optional] 
 **spatialunits** | [**list[str]**](str.md)| Comma separated list of SpatialUnit UID | [optional] 
 **tags** | [**list[str]**](str.md)| Comma separated list of tags | [optional] 
 **page** | **int**| Requests for collections can return between 0 and N results, controlled using the per_page and page query parameters. All endpoints are limited to 10 results by default. | [optional] 
 **sort** | **str**| The sorting is initiated by the sort query parameter and a list of comma separated list of fields to sort by. | [optional] 
 **fields** | [**list[str]**](str.md)| Comma separated list of tags | [optional] 
 **embed** | [**list[str]**](str.md)| Embedding is triggered by passing in an embed query parameter, which takes a comma separated list of endpoint types. Single fields can be selected a dot-notation (endpoint-type.property-name) | [optional] 

### Return type

[**list[AdminSourcesEndpointType]**](AdminSourcesEndpointType.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **new_admin_source**
> AdminSourcesEndpointType new_admin_source(newadminsource, envelope=envelope, embed=embed, i4l_process_uid=i4l_process_uid)

Creates a new AdminSource

Creates a new AdminSource

### Example
```python
from __future__ import print_function
import time
import swagger_client
from swagger_client.rest import ApiException
from pprint import pprint

# create an instance of the API class
api_instance = swagger_client.AdminSourcesApi()
newadminsource = swagger_client.AdminSourcesPostRequest() # AdminSourcesPostRequest | New AdminSource data
envelope = 'envelope_example' # str | The endpoint can package everything (header, status code) neatly into the response body. Include envelope=true as a request parameter. The API will always return a 200 HTTP status code. The real status, headers and response will be within the body. (optional)
embed = ['embed_example'] # list[str] | Embedding is triggered by passing in an embed query parameter, which takes a comma separated list of endpoint types. Single fields can be selected a dot-notation (endpoint-type.property-name) (optional)
i4l_process_uid = 'i4l_process_uid_example' # str | Process UID. This parameter can be used by an its4land tool running inside the runtime environment to pass the process uid to the endpoint. With this information the endpoint can associate the newly created or updated resource with the process. (optional)

try:
    # Creates a new AdminSource
    api_response = api_instance.new_admin_source(newadminsource, envelope=envelope, embed=embed, i4l_process_uid=i4l_process_uid)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling AdminSourcesApi->new_admin_source: %s\n" % e)
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **newadminsource** | [**AdminSourcesPostRequest**](AdminSourcesPostRequest.md)| New AdminSource data | 
 **envelope** | **str**| The endpoint can package everything (header, status code) neatly into the response body. Include envelope&#x3D;true as a request parameter. The API will always return a 200 HTTP status code. The real status, headers and response will be within the body. | [optional] 
 **embed** | [**list[str]**](str.md)| Embedding is triggered by passing in an embed query parameter, which takes a comma separated list of endpoint types. Single fields can be selected a dot-notation (endpoint-type.property-name) | [optional] 
 **i4l_process_uid** | **str**| Process UID. This parameter can be used by an its4land tool running inside the runtime environment to pass the process uid to the endpoint. With this information the endpoint can associate the newly created or updated resource with the process. | [optional] 

### Return type

[**AdminSourcesEndpointType**](AdminSourcesEndpointType.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **update_admin_source**
> AdminSourcesEndpointType update_admin_source(adminsource_uid, patchadminsource, envelope=envelope, i4l_process_uid=i4l_process_uid)

Update an Admin Source

Update an Admin Source

### Example
```python
from __future__ import print_function
import time
import swagger_client
from swagger_client.rest import ApiException
from pprint import pprint

# create an instance of the API class
api_instance = swagger_client.AdminSourcesApi()
adminsource_uid = 'adminsource_uid_example' # str | AdminSource UID
patchadminsource = swagger_client.RFC6902PatchRequest() # RFC6902PatchRequest | Update data
envelope = 'envelope_example' # str | The endpoint can package everything (header, status code) neatly into the response body. Include envelope=true as a request parameter. The API will always return a 200 HTTP status code. The real status, headers and response will be within the body. (optional)
i4l_process_uid = 'i4l_process_uid_example' # str | Process UID. This parameter can be used by an its4land tool running inside the runtime environment to pass the process uid to the endpoint. With this information the endpoint can associate the newly created or updated resource with the process. (optional)

try:
    # Update an Admin Source
    api_response = api_instance.update_admin_source(adminsource_uid, patchadminsource, envelope=envelope, i4l_process_uid=i4l_process_uid)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling AdminSourcesApi->update_admin_source: %s\n" % e)
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **adminsource_uid** | **str**| AdminSource UID | 
 **patchadminsource** | [**RFC6902PatchRequest**](RFC6902PatchRequest.md)| Update data | 
 **envelope** | **str**| The endpoint can package everything (header, status code) neatly into the response body. Include envelope&#x3D;true as a request parameter. The API will always return a 200 HTTP status code. The real status, headers and response will be within the body. | [optional] 
 **i4l_process_uid** | **str**| Process UID. This parameter can be used by an its4land tool running inside the runtime environment to pass the process uid to the endpoint. With this information the endpoint can associate the newly created or updated resource with the process. | [optional] 

### Return type

[**AdminSourcesEndpointType**](AdminSourcesEndpointType.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

