# swagger_client.BoundaryFaceStringApi

All URIs are relative to *https://platform.its4land.com*

Method | HTTP request | Description
------------- | ------------- | -------------
[**get_boundary_face_string**](BoundaryFaceStringApi.md#get_boundary_face_string) | **GET** /boundaryfacestring | Returns a list of boundary face strings in a GeoJSON structure.
[**get_boundary_face_string_by_uid**](BoundaryFaceStringApi.md#get_boundary_face_string_by_uid) | **GET** /boundaryfacestring/{boundaryfacestring_uid} | Returns a single boundary face string
[**new_boundary_face_string**](BoundaryFaceStringApi.md#new_boundary_face_string) | **POST** /boundaryfacestring | Create a new concept for a boundary face string
[**put_boundary_face_string_by_uid**](BoundaryFaceStringApi.md#put_boundary_face_string_by_uid) | **PUT** /boundaryfacestring/{boundaryfacestring_uid} | Replace an existing BoundaryFaceString by a newer version
[**update_boundary_face_string**](BoundaryFaceStringApi.md#update_boundary_face_string) | **PATCH** /boundaryfacestring/{boundaryfacestring_uid} | Updates a boundary face string


# **get_boundary_face_string**
> BoundaryFaceStringEndpointType get_boundary_face_string(envelope=envelope, uid=uid, name=name, projects=projects, spatialunit=spatialunit, tags=tags, page=page, sort=sort, fields=fields, embed=embed)

Returns a list of boundary face strings in a GeoJSON structure.

Returns a list of boundary face strings. A boundary face string is modeled as a GeoJSON feature.

### Example
```python
from __future__ import print_function
import time
import swagger_client
from swagger_client.rest import ApiException
from pprint import pprint

# create an instance of the API class
api_instance = swagger_client.BoundaryFaceStringApi()
envelope = 'envelope_example' # str | The endpoint can package everything (header, status code) neatly into the response body. Include envelope=true as a request parameter. The API will always return a 200 HTTP status code. The real status, headers and response will be within the body. (optional)
uid = ['uid_example'] # list[str] | Comma separated list of Spatial unit UID (optional)
name = ['name_example'] # list[str] | Comma separated list of AdminSources names (optional)
projects = ['projects_example'] # list[str] | Comma separated list of project UID (optional)
spatialunit = ['spatialunit_example'] # list[str] | Comma separated list of SpatialSource UID (optional)
tags = ['tags_example'] # list[str] | Comma separated list of tags (optional)
page = 56 # int | Requests for collections can return between 0 and N results, controlled using the per_page and page query parameters. All endpoints are limited to 10 results by default. (optional)
sort = 'sort_example' # str | The sorting is initiated by the sort query parameter and a list of comma separated list of fields to sort by. (optional)
fields = ['fields_example'] # list[str] | Comma separated list of tags (optional)
embed = ['embed_example'] # list[str] | Embedding is triggered by passing in an embed query parameter, which takes a comma separated list of endpoint types. Single fields can be selected a dot-notation (endpoint-type.property-name) (optional)

try:
    # Returns a list of boundary face strings in a GeoJSON structure.
    api_response = api_instance.get_boundary_face_string(envelope=envelope, uid=uid, name=name, projects=projects, spatialunit=spatialunit, tags=tags, page=page, sort=sort, fields=fields, embed=embed)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling BoundaryFaceStringApi->get_boundary_face_string: %s\n" % e)
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **envelope** | **str**| The endpoint can package everything (header, status code) neatly into the response body. Include envelope&#x3D;true as a request parameter. The API will always return a 200 HTTP status code. The real status, headers and response will be within the body. | [optional] 
 **uid** | [**list[str]**](str.md)| Comma separated list of Spatial unit UID | [optional] 
 **name** | [**list[str]**](str.md)| Comma separated list of AdminSources names | [optional] 
 **projects** | [**list[str]**](str.md)| Comma separated list of project UID | [optional] 
 **spatialunit** | [**list[str]**](str.md)| Comma separated list of SpatialSource UID | [optional] 
 **tags** | [**list[str]**](str.md)| Comma separated list of tags | [optional] 
 **page** | **int**| Requests for collections can return between 0 and N results, controlled using the per_page and page query parameters. All endpoints are limited to 10 results by default. | [optional] 
 **sort** | **str**| The sorting is initiated by the sort query parameter and a list of comma separated list of fields to sort by. | [optional] 
 **fields** | [**list[str]**](str.md)| Comma separated list of tags | [optional] 
 **embed** | [**list[str]**](str.md)| Embedding is triggered by passing in an embed query parameter, which takes a comma separated list of endpoint types. Single fields can be selected a dot-notation (endpoint-type.property-name) | [optional] 

### Return type

[**BoundaryFaceStringEndpointType**](BoundaryFaceStringEndpointType.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **get_boundary_face_string_by_uid**
> BoundaryFaceStringEndpointType get_boundary_face_string_by_uid(boundaryfacestring_uid, envelope=envelope, embed=embed)

Returns a single boundary face string

Returns a boundary face string as GeoJSON as a feature in a GeoJSON structure.

### Example
```python
from __future__ import print_function
import time
import swagger_client
from swagger_client.rest import ApiException
from pprint import pprint

# create an instance of the API class
api_instance = swagger_client.BoundaryFaceStringApi()
boundaryfacestring_uid = 'boundaryfacestring_uid_example' # str | Boundary face string UID
envelope = 'envelope_example' # str | The endpoint can package everything (header, status code) neatly into the response body. Include envelope=true as a request parameter. The API will always return a 200 HTTP status code. The real status, headers and response will be within the body. (optional)
embed = ['embed_example'] # list[str] | Embedding is triggered by passing in an embed query parameter, which takes a comma separated list of endpoint types. Single fields can be selected a dot-notation (endpoint-type.property-name) (optional)

try:
    # Returns a single boundary face string
    api_response = api_instance.get_boundary_face_string_by_uid(boundaryfacestring_uid, envelope=envelope, embed=embed)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling BoundaryFaceStringApi->get_boundary_face_string_by_uid: %s\n" % e)
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **boundaryfacestring_uid** | **str**| Boundary face string UID | 
 **envelope** | **str**| The endpoint can package everything (header, status code) neatly into the response body. Include envelope&#x3D;true as a request parameter. The API will always return a 200 HTTP status code. The real status, headers and response will be within the body. | [optional] 
 **embed** | [**list[str]**](str.md)| Embedding is triggered by passing in an embed query parameter, which takes a comma separated list of endpoint types. Single fields can be selected a dot-notation (endpoint-type.property-name) | [optional] 

### Return type

[**BoundaryFaceStringEndpointType**](BoundaryFaceStringEndpointType.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **new_boundary_face_string**
> BoundaryFaceStringEndpointType new_boundary_face_string(newboundaryfacestring, envelope=envelope, embed=embed, i4l_process_uid=i4l_process_uid)

Create a new concept for a boundary face string

Create a new concept for a boundary face string.

### Example
```python
from __future__ import print_function
import time
import swagger_client
from swagger_client.rest import ApiException
from pprint import pprint

# create an instance of the API class
api_instance = swagger_client.BoundaryFaceStringApi()
newboundaryfacestring = swagger_client.BoundaryFaceStringPostRequest() # BoundaryFaceStringPostRequest | New boundary face string
envelope = 'envelope_example' # str | The endpoint can package everything (header, status code) neatly into the response body. Include envelope=true as a request parameter. The API will always return a 200 HTTP status code. The real status, headers and response will be within the body. (optional)
embed = ['embed_example'] # list[str] | Embedding is triggered by passing in an embed query parameter, which takes a comma separated list of endpoint types. Single fields can be selected a dot-notation (endpoint-type.property-name) (optional)
i4l_process_uid = 'i4l_process_uid_example' # str | Process UID. This parameter can be used by an its4land tool running inside the runtime environment to pass the process uid to the endpoint. With this information the endpoint can associate the newly created or updated resource with the process. (optional)

try:
    # Create a new concept for a boundary face string
    api_response = api_instance.new_boundary_face_string(newboundaryfacestring, envelope=envelope, embed=embed, i4l_process_uid=i4l_process_uid)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling BoundaryFaceStringApi->new_boundary_face_string: %s\n" % e)
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **newboundaryfacestring** | [**BoundaryFaceStringPostRequest**](BoundaryFaceStringPostRequest.md)| New boundary face string | 
 **envelope** | **str**| The endpoint can package everything (header, status code) neatly into the response body. Include envelope&#x3D;true as a request parameter. The API will always return a 200 HTTP status code. The real status, headers and response will be within the body. | [optional] 
 **embed** | [**list[str]**](str.md)| Embedding is triggered by passing in an embed query parameter, which takes a comma separated list of endpoint types. Single fields can be selected a dot-notation (endpoint-type.property-name) | [optional] 
 **i4l_process_uid** | **str**| Process UID. This parameter can be used by an its4land tool running inside the runtime environment to pass the process uid to the endpoint. With this information the endpoint can associate the newly created or updated resource with the process. | [optional] 

### Return type

[**BoundaryFaceStringEndpointType**](BoundaryFaceStringEndpointType.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **put_boundary_face_string_by_uid**
> BoundaryFaceStringEndpointType put_boundary_face_string_by_uid(boundaryfacestring_uid, updatedboundaryfacestring, envelope=envelope, embed=embed, i4l_process_uid=i4l_process_uid)

Replace an existing BoundaryFaceString by a newer version

An existing BoundaryFaceString will be replaced by a newer version. The UID of BoundaryFaceString remains

### Example
```python
from __future__ import print_function
import time
import swagger_client
from swagger_client.rest import ApiException
from pprint import pprint

# create an instance of the API class
api_instance = swagger_client.BoundaryFaceStringApi()
boundaryfacestring_uid = 'boundaryfacestring_uid_example' # str | Boundary face string UID
updatedboundaryfacestring = swagger_client.BoundaryFaceStringPostRequest() # BoundaryFaceStringPostRequest | Updated boundary face string
envelope = 'envelope_example' # str | The endpoint can package everything (header, status code) neatly into the response body. Include envelope=true as a request parameter. The API will always return a 200 HTTP status code. The real status, headers and response will be within the body. (optional)
embed = ['embed_example'] # list[str] | Embedding is triggered by passing in an embed query parameter, which takes a comma separated list of endpoint types. Single fields can be selected a dot-notation (endpoint-type.property-name) (optional)
i4l_process_uid = 'i4l_process_uid_example' # str | Process UID. This parameter can be used by an its4land tool running inside the runtime environment to pass the process uid to the endpoint. With this information the endpoint can associate the newly created or updated resource with the process. (optional)

try:
    # Replace an existing BoundaryFaceString by a newer version
    api_response = api_instance.put_boundary_face_string_by_uid(boundaryfacestring_uid, updatedboundaryfacestring, envelope=envelope, embed=embed, i4l_process_uid=i4l_process_uid)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling BoundaryFaceStringApi->put_boundary_face_string_by_uid: %s\n" % e)
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **boundaryfacestring_uid** | **str**| Boundary face string UID | 
 **updatedboundaryfacestring** | [**BoundaryFaceStringPostRequest**](BoundaryFaceStringPostRequest.md)| Updated boundary face string | 
 **envelope** | **str**| The endpoint can package everything (header, status code) neatly into the response body. Include envelope&#x3D;true as a request parameter. The API will always return a 200 HTTP status code. The real status, headers and response will be within the body. | [optional] 
 **embed** | [**list[str]**](str.md)| Embedding is triggered by passing in an embed query parameter, which takes a comma separated list of endpoint types. Single fields can be selected a dot-notation (endpoint-type.property-name) | [optional] 
 **i4l_process_uid** | **str**| Process UID. This parameter can be used by an its4land tool running inside the runtime environment to pass the process uid to the endpoint. With this information the endpoint can associate the newly created or updated resource with the process. | [optional] 

### Return type

[**BoundaryFaceStringEndpointType**](BoundaryFaceStringEndpointType.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **update_boundary_face_string**
> BoundaryFaceStringEndpointType update_boundary_face_string(boundaryfacestring_uid, patchboundaryfacestring, envelope=envelope, i4l_process_uid=i4l_process_uid)

Updates a boundary face string

Updates a boundary face string

### Example
```python
from __future__ import print_function
import time
import swagger_client
from swagger_client.rest import ApiException
from pprint import pprint

# create an instance of the API class
api_instance = swagger_client.BoundaryFaceStringApi()
boundaryfacestring_uid = 'boundaryfacestring_uid_example' # str | Boundary face string UID
patchboundaryfacestring = swagger_client.RFC6902PatchRequest() # RFC6902PatchRequest | Update data
envelope = 'envelope_example' # str | The endpoint can package everything (header, status code) neatly into the response body. Include envelope=true as a request parameter. The API will always return a 200 HTTP status code. The real status, headers and response will be within the body. (optional)
i4l_process_uid = 'i4l_process_uid_example' # str | Process UID. This parameter can be used by an its4land tool running inside the runtime environment to pass the process uid to the endpoint. With this information the endpoint can associate the newly created or updated resource with the process. (optional)

try:
    # Updates a boundary face string
    api_response = api_instance.update_boundary_face_string(boundaryfacestring_uid, patchboundaryfacestring, envelope=envelope, i4l_process_uid=i4l_process_uid)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling BoundaryFaceStringApi->update_boundary_face_string: %s\n" % e)
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **boundaryfacestring_uid** | **str**| Boundary face string UID | 
 **patchboundaryfacestring** | [**RFC6902PatchRequest**](RFC6902PatchRequest.md)| Update data | 
 **envelope** | **str**| The endpoint can package everything (header, status code) neatly into the response body. Include envelope&#x3D;true as a request parameter. The API will always return a 200 HTTP status code. The real status, headers and response will be within the body. | [optional] 
 **i4l_process_uid** | **str**| Process UID. This parameter can be used by an its4land tool running inside the runtime environment to pass the process uid to the endpoint. With this information the endpoint can associate the newly created or updated resource with the process. | [optional] 

### Return type

[**BoundaryFaceStringEndpointType**](BoundaryFaceStringEndpointType.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

