# swagger_client.ClassifierApi

All URIs are relative to *https://platform.its4land.com*

Method | HTTP request | Description
------------- | ------------- | -------------
[**get_classifier**](ClassifierApi.md#get_classifier) | **GET** /classifier | Returns a list of classifier
[**get_classifier_by_uid**](ClassifierApi.md#get_classifier_by_uid) | **GET** /classifier/{classifier_id} | Returns a single classifier.
[**new_classifier**](ClassifierApi.md#new_classifier) | **POST** /classifier | Create a new classifier


# **get_classifier**
> list[ClassifierEndpointType] get_classifier(envelope=envelope, uid=uid, name=name, models=models, tags=tags, page=page, sort=sort, fields=fields)

Returns a list of classifier

Returns a list of classifier

### Example
```python
from __future__ import print_function
import time
import swagger_client
from swagger_client.rest import ApiException
from pprint import pprint

# create an instance of the API class
api_instance = swagger_client.ClassifierApi()
envelope = 'envelope_example' # str | The endpoint can package everything (header, status code) neatly into the response body. Include envelope=true as a request parameter. The API will always return a 200 HTTP status code. The real status, headers and response will be within the body. (optional)
uid = ['uid_example'] # list[str] | Comma separated list of classifier UID (optional)
name = ['name_example'] # list[str] | Comma separated list of classifier names (optional)
models = ['models_example'] # list[str] | Comma separated list of model UID (optional)
tags = ['tags_example'] # list[str] | Comma separated list of tags (optional)
page = 56 # int | Requests for collections can return between 0 and N results, controlled using the per_page and page query parameters. All endpoints are limited to 10 results by default. (optional)
sort = 'sort_example' # str | The sorting is initiated by the sort query parameter and a list of comma separated list of fields to sort by. (optional)
fields = ['fields_example'] # list[str] | Comma separated list of field names (optional)

try:
    # Returns a list of classifier
    api_response = api_instance.get_classifier(envelope=envelope, uid=uid, name=name, models=models, tags=tags, page=page, sort=sort, fields=fields)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling ClassifierApi->get_classifier: %s\n" % e)
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **envelope** | **str**| The endpoint can package everything (header, status code) neatly into the response body. Include envelope&#x3D;true as a request parameter. The API will always return a 200 HTTP status code. The real status, headers and response will be within the body. | [optional] 
 **uid** | [**list[str]**](str.md)| Comma separated list of classifier UID | [optional] 
 **name** | [**list[str]**](str.md)| Comma separated list of classifier names | [optional] 
 **models** | [**list[str]**](str.md)| Comma separated list of model UID | [optional] 
 **tags** | [**list[str]**](str.md)| Comma separated list of tags | [optional] 
 **page** | **int**| Requests for collections can return between 0 and N results, controlled using the per_page and page query parameters. All endpoints are limited to 10 results by default. | [optional] 
 **sort** | **str**| The sorting is initiated by the sort query parameter and a list of comma separated list of fields to sort by. | [optional] 
 **fields** | [**list[str]**](str.md)| Comma separated list of field names | [optional] 

### Return type

[**list[ClassifierEndpointType]**](ClassifierEndpointType.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **get_classifier_by_uid**
> ClassifierEndpointType get_classifier_by_uid(classifier_id, envelope=envelope)

Returns a single classifier.

Returns a single classifier.

### Example
```python
from __future__ import print_function
import time
import swagger_client
from swagger_client.rest import ApiException
from pprint import pprint

# create an instance of the API class
api_instance = swagger_client.ClassifierApi()
classifier_id = 'classifier_id_example' # str | Classifier UID
envelope = 'envelope_example' # str | The endpoint can package everything (header, status code) neatly into the response body. Include envelope=true as a request parameter. The API will always return a 200 HTTP status code. The real status, headers and response will be within the body. (optional)

try:
    # Returns a single classifier.
    api_response = api_instance.get_classifier_by_uid(classifier_id, envelope=envelope)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling ClassifierApi->get_classifier_by_uid: %s\n" % e)
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **classifier_id** | **str**| Classifier UID | 
 **envelope** | **str**| The endpoint can package everything (header, status code) neatly into the response body. Include envelope&#x3D;true as a request parameter. The API will always return a 200 HTTP status code. The real status, headers and response will be within the body. | [optional] 

### Return type

[**ClassifierEndpointType**](ClassifierEndpointType.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **new_classifier**
> ClassifierEndpointType new_classifier(newclassifier, envelope=envelope, i4l_process_uid=i4l_process_uid)

Create a new classifier

Create a new classifier. To add a new Classifier , the content of Classifier must be stored in advanced via the ContentItem endpoint

### Example
```python
from __future__ import print_function
import time
import swagger_client
from swagger_client.rest import ApiException
from pprint import pprint

# create an instance of the API class
api_instance = swagger_client.ClassifierApi()
newclassifier = swagger_client.ClassifierPostRequest() # ClassifierPostRequest | New Classifier data
envelope = 'envelope_example' # str | The endpoint can package everything (header, status code) neatly into the response body. Include envelope=true as a request parameter. The API will always return a 200 HTTP status code. The real status, headers and response will be within the body. (optional)
i4l_process_uid = 'i4l_process_uid_example' # str | Process UID. This parameter can be used by an its4land tool running inside the runtime environment to pass the process uid to the endpoint. With this information the endpoint can associate the newly created or updated resource with the process. (optional)

try:
    # Create a new classifier
    api_response = api_instance.new_classifier(newclassifier, envelope=envelope, i4l_process_uid=i4l_process_uid)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling ClassifierApi->new_classifier: %s\n" % e)
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **newclassifier** | [**ClassifierPostRequest**](ClassifierPostRequest.md)| New Classifier data | 
 **envelope** | **str**| The endpoint can package everything (header, status code) neatly into the response body. Include envelope&#x3D;true as a request parameter. The API will always return a 200 HTTP status code. The real status, headers and response will be within the body. | [optional] 
 **i4l_process_uid** | **str**| Process UID. This parameter can be used by an its4land tool running inside the runtime environment to pass the process uid to the endpoint. With this information the endpoint can associate the newly created or updated resource with the process. | [optional] 

### Return type

[**ClassifierEndpointType**](ClassifierEndpointType.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

