# swagger_client.ContentItemsApi

All URIs are relative to *https://platform.its4land.com*

Method | HTTP request | Description
------------- | ------------- | -------------
[**get_content_item**](ContentItemsApi.md#get_content_item) | **GET** /contentitems/{contentitem_id} | Returns a single content from the object storage.
[**get_content_items**](ContentItemsApi.md#get_content_items) | **GET** /contentitems | Returns a list of contentitems
[**new_content_item**](ContentItemsApi.md#new_content_item) | **POST** /contentitems | Create a new content in the object storage


# **get_content_item**
> file get_content_item(contentitem_id, envelope=envelope)

Returns a single content from the object storage.

Returns a single content from the object storage.

### Example
```python
from __future__ import print_function
import time
import swagger_client
from swagger_client.rest import ApiException
from pprint import pprint

# create an instance of the API class
api_instance = swagger_client.ContentItemsApi()
contentitem_id = 'contentitem_id_example' # str | UID of the ContentItem
envelope = 'envelope_example' # str | The endpoint can package everything (header, status code) neatly into the response body. Include envelope=true as a request parameter. The API will always return a 200 HTTP status code. The real status, headers and response will be within the body. (optional)

try:
    # Returns a single content from the object storage.
    api_response = api_instance.get_content_item(contentitem_id, envelope=envelope)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling ContentItemsApi->get_content_item: %s\n" % e)
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **contentitem_id** | **str**| UID of the ContentItem | 
 **envelope** | **str**| The endpoint can package everything (header, status code) neatly into the response body. Include envelope&#x3D;true as a request parameter. The API will always return a 200 HTTP status code. The real status, headers and response will be within the body. | [optional] 

### Return type

[**file**](file.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: multipart/form-data

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **get_content_items**
> list[ContentItemEndpointType] get_content_items(envelope=envelope, uid=uid, contentname=contentname, contenttype=contenttype, contentdescription=contentdescription, page=page, sort=sort, fields=fields, embed=embed)

Returns a list of contentitems

Returns a list of contentitem metadata based on the filter criteria

### Example
```python
from __future__ import print_function
import time
import swagger_client
from swagger_client.rest import ApiException
from pprint import pprint

# create an instance of the API class
api_instance = swagger_client.ContentItemsApi()
envelope = 'envelope_example' # str | The endpoint can package everything (header, status code) neatly into the response body. Include envelope=true as a request parameter. The API will always return a 200 HTTP status code. The real status, headers and response will be within the body. (optional)
uid = ['uid_example'] # list[str] | UID of a ContentItem (optional)
contentname = ['contentname_example'] # list[str] | Name of File (optional)
contenttype = ['contenttype_example'] # list[str] | mime/type of the content (optional)
contentdescription = 'contentdescription_example' # str | Free text for description. Only plain text. (optional)
page = 56 # int | Requests for collections can return between 0 and N results, controlled using the per_page and page query parameters. All endpoints are limited to 10 results by default. (optional)
sort = 'sort_example' # str | The sorting is initiated by the sort query parameter and a list of comma separated list of fields to sort by. (optional)
fields = ['fields_example'] # list[str] | Comma separated list of field names (optional)
embed = ['embed_example'] # list[str] | Embedding is triggered by passing in an embed query parameter, which takes a comma separated list of endpoint types. Single fields can be selected a dot-notation (endpoint-type.property-name) (optional)

try:
    # Returns a list of contentitems
    api_response = api_instance.get_content_items(envelope=envelope, uid=uid, contentname=contentname, contenttype=contenttype, contentdescription=contentdescription, page=page, sort=sort, fields=fields, embed=embed)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling ContentItemsApi->get_content_items: %s\n" % e)
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **envelope** | **str**| The endpoint can package everything (header, status code) neatly into the response body. Include envelope&#x3D;true as a request parameter. The API will always return a 200 HTTP status code. The real status, headers and response will be within the body. | [optional] 
 **uid** | [**list[str]**](str.md)| UID of a ContentItem | [optional] 
 **contentname** | [**list[str]**](str.md)| Name of File | [optional] 
 **contenttype** | [**list[str]**](str.md)| mime/type of the content | [optional] 
 **contentdescription** | **str**| Free text for description. Only plain text. | [optional] 
 **page** | **int**| Requests for collections can return between 0 and N results, controlled using the per_page and page query parameters. All endpoints are limited to 10 results by default. | [optional] 
 **sort** | **str**| The sorting is initiated by the sort query parameter and a list of comma separated list of fields to sort by. | [optional] 
 **fields** | [**list[str]**](str.md)| Comma separated list of field names | [optional] 
 **embed** | [**list[str]**](str.md)| Embedding is triggered by passing in an embed query parameter, which takes a comma separated list of endpoint types. Single fields can be selected a dot-notation (endpoint-type.property-name) | [optional] 

### Return type

[**list[ContentItemEndpointType]**](ContentItemEndpointType.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **new_content_item**
> ContentItemEndpointType new_content_item(newcontent, envelope=envelope, description=description, i4l_process_uid=i4l_process_uid)

Create a new content in the object storage

Create a new content in the object storage

### Example
```python
from __future__ import print_function
import time
import swagger_client
from swagger_client.rest import ApiException
from pprint import pprint

# create an instance of the API class
api_instance = swagger_client.ContentItemsApi()
newcontent = '/path/to/file.txt' # file | Content as multipart from-data
envelope = 'envelope_example' # str | The endpoint can package everything (header, status code) neatly into the response body. Include envelope=true as a request parameter. The API will always return a 200 HTTP status code. The real status, headers and response will be within the body. (optional)
description = 'description_example' # str | Description of content (optional) (optional)
i4l_process_uid = 'i4l_process_uid_example' # str | Process UID. This parameter can be used by an its4land tool running inside the runtime environment to pass the process uid to the endpoint. With this information the endpoint can associate the newly created or updated resource with the process. (optional)

try:
    # Create a new content in the object storage
    api_response = api_instance.new_content_item(newcontent, envelope=envelope, description=description, i4l_process_uid=i4l_process_uid)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling ContentItemsApi->new_content_item: %s\n" % e)
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **newcontent** | **file**| Content as multipart from-data | 
 **envelope** | **str**| The endpoint can package everything (header, status code) neatly into the response body. Include envelope&#x3D;true as a request parameter. The API will always return a 200 HTTP status code. The real status, headers and response will be within the body. | [optional] 
 **description** | **str**| Description of content (optional) | [optional] 
 **i4l_process_uid** | **str**| Process UID. This parameter can be used by an its4land tool running inside the runtime environment to pass the process uid to the endpoint. With this information the endpoint can associate the newly created or updated resource with the process. | [optional] 

### Return type

[**ContentItemEndpointType**](ContentItemEndpointType.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: multipart/form-data
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

