# swagger_client.MetricMapFeaturesApi

All URIs are relative to *https://platform.its4land.com*

Method | HTTP request | Description
------------- | ------------- | -------------
[**get_metric_map_feature**](MetricMapFeaturesApi.md#get_metric_map_feature) | **GET** /metricmapfeature | Returns MetricMapFeature
[**new_metric_map_feature**](MetricMapFeaturesApi.md#new_metric_map_feature) | **POST** /metricmapfeature | Create a new metricMapFeature
[**update_metric_map_feature**](MetricMapFeaturesApi.md#update_metric_map_feature) | **PATCH** /metricmapfeature/{mmf_uid} | Updates a metric map feature


# **get_metric_map_feature**
> MetricMapFeaturesEndpointType get_metric_map_feature(querywindow, envelope=envelope, fgroup=fgroup, ftype=ftype, fsubtype=fsubtype)

Returns MetricMapFeature

Returns MetricMapFeature in a GeoJSON structure. A metric map feature is modeled as a feature in  the GeoJSON structure.

### Example
```python
from __future__ import print_function
import time
import swagger_client
from swagger_client.rest import ApiException
from pprint import pprint

# create an instance of the API class
api_instance = swagger_client.MetricMapFeaturesApi()
querywindow = 'querywindow_example' # str | Polygon. The polygon is encoded a comma separated list of coordinates. X1, Y1, X2, Y2, ..., Xn, Yn, X1, Y1
envelope = 'envelope_example' # str | The endpoint can package everything (header, status code) neatly into the response body. Include envelope=true as a request parameter. The API will always return a 200 HTTP status code. The real status, headers and response will be within the body. (optional)
fgroup = 'fgroup_example' # str | Restricts the output to the listed feature group (optional)
ftype = 'ftype_example' # str | Restricts the output to the listed feature types. When used in combination with fgroup, output contains only those ftype which are contained in the feature groups (optional)
fsubtype = 'fsubtype_example' # str | Restricts the output to the listed feature types. When used in combination with fgroup and/or ftype, output contains only those fsubtype which are contained in the feature groups and feature types (optional)

try:
    # Returns MetricMapFeature
    api_response = api_instance.get_metric_map_feature(querywindow, envelope=envelope, fgroup=fgroup, ftype=ftype, fsubtype=fsubtype)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling MetricMapFeaturesApi->get_metric_map_feature: %s\n" % e)
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **querywindow** | **str**| Polygon. The polygon is encoded a comma separated list of coordinates. X1, Y1, X2, Y2, ..., Xn, Yn, X1, Y1 | 
 **envelope** | **str**| The endpoint can package everything (header, status code) neatly into the response body. Include envelope&#x3D;true as a request parameter. The API will always return a 200 HTTP status code. The real status, headers and response will be within the body. | [optional] 
 **fgroup** | **str**| Restricts the output to the listed feature group | [optional] 
 **ftype** | **str**| Restricts the output to the listed feature types. When used in combination with fgroup, output contains only those ftype which are contained in the feature groups | [optional] 
 **fsubtype** | **str**| Restricts the output to the listed feature types. When used in combination with fgroup and/or ftype, output contains only those fsubtype which are contained in the feature groups and feature types | [optional] 

### Return type

[**MetricMapFeaturesEndpointType**](MetricMapFeaturesEndpointType.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **new_metric_map_feature**
> MetricMapFeaturesEndpointType new_metric_map_feature(newmetricmapfeature, envelope=envelope, i4l_process_uid=i4l_process_uid)

Create a new metricMapFeature

Create a new MetricMapFeature. The new metric map feature is a feature in the GeoJSON structure. Currently ony one new feature per request is allowed.

### Example
```python
from __future__ import print_function
import time
import swagger_client
from swagger_client.rest import ApiException
from pprint import pprint

# create an instance of the API class
api_instance = swagger_client.MetricMapFeaturesApi()
newmetricmapfeature = swagger_client.MetricMapFeaturePostRequest() # MetricMapFeaturePostRequest | New MetricMap Feature data
envelope = 'envelope_example' # str | The endpoint can package everything (header, status code) neatly into the response body. Include envelope=true as a request parameter. The API will always return a 200 HTTP status code. The real status, headers and response will be within the body. (optional)
i4l_process_uid = 'i4l_process_uid_example' # str | Process UID. This parameter can be used by an its4land tool running inside the runtime environment to pass the process uid to the endpoint. With this information the endpoint can associate the newly created or updated resource with the process. (optional)

try:
    # Create a new metricMapFeature
    api_response = api_instance.new_metric_map_feature(newmetricmapfeature, envelope=envelope, i4l_process_uid=i4l_process_uid)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling MetricMapFeaturesApi->new_metric_map_feature: %s\n" % e)
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **newmetricmapfeature** | [**MetricMapFeaturePostRequest**](MetricMapFeaturePostRequest.md)| New MetricMap Feature data | 
 **envelope** | **str**| The endpoint can package everything (header, status code) neatly into the response body. Include envelope&#x3D;true as a request parameter. The API will always return a 200 HTTP status code. The real status, headers and response will be within the body. | [optional] 
 **i4l_process_uid** | **str**| Process UID. This parameter can be used by an its4land tool running inside the runtime environment to pass the process uid to the endpoint. With this information the endpoint can associate the newly created or updated resource with the process. | [optional] 

### Return type

[**MetricMapFeaturesEndpointType**](MetricMapFeaturesEndpointType.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **update_metric_map_feature**
> MetricMapFeaturesEndpointType update_metric_map_feature(mmf_uid, patchmetricmapfeature, envelope=envelope, i4l_process_uid=i4l_process_uid)

Updates a metric map feature

Updates a metric map feature. Only fgroup, fname, ftype, fsubtype and fURI can be updated

### Example
```python
from __future__ import print_function
import time
import swagger_client
from swagger_client.rest import ApiException
from pprint import pprint

# create an instance of the API class
api_instance = swagger_client.MetricMapFeaturesApi()
mmf_uid = 'mmf_uid_example' # str | MetricMapFeature UID
patchmetricmapfeature = swagger_client.RFC6902PatchRequest() # RFC6902PatchRequest | Update data
envelope = 'envelope_example' # str | The endpoint can package everything (header, status code) neatly into the response body. Include envelope=true as a request parameter. The API will always return a 200 HTTP status code. The real status, headers and response will be within the body. (optional)
i4l_process_uid = 'i4l_process_uid_example' # str | Process UID. This parameter can be used by an its4land tool running inside the runtime environment to pass the process uid to the endpoint. With this information the endpoint can associate the newly created or updated resource with the process. (optional)

try:
    # Updates a metric map feature
    api_response = api_instance.update_metric_map_feature(mmf_uid, patchmetricmapfeature, envelope=envelope, i4l_process_uid=i4l_process_uid)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling MetricMapFeaturesApi->update_metric_map_feature: %s\n" % e)
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **mmf_uid** | **str**| MetricMapFeature UID | 
 **patchmetricmapfeature** | [**RFC6902PatchRequest**](RFC6902PatchRequest.md)| Update data | 
 **envelope** | **str**| The endpoint can package everything (header, status code) neatly into the response body. Include envelope&#x3D;true as a request parameter. The API will always return a 200 HTTP status code. The real status, headers and response will be within the body. | [optional] 
 **i4l_process_uid** | **str**| Process UID. This parameter can be used by an its4land tool running inside the runtime environment to pass the process uid to the endpoint. With this information the endpoint can associate the newly created or updated resource with the process. | [optional] 

### Return type

[**MetricMapFeaturesEndpointType**](MetricMapFeaturesEndpointType.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

