# swagger_client.ModelClassesApi

All URIs are relative to *https://platform.its4land.com*

Method | HTTP request | Description
------------- | ------------- | -------------
[**get_model_classes**](ModelClassesApi.md#get_model_classes) | **GET** /modelclasses | Returns ModelClasses
[**get_model_classes_by_uid**](ModelClassesApi.md#get_model_classes_by_uid) | **GET** /modelclasses/{modelclasses_uid} | Returns a single model class
[**update_model_classes**](ModelClassesApi.md#update_model_classes) | **PATCH** /modelclasses/{modelclasses_uid} | Updates some attributes of a ModelClass


# **get_model_classes**
> list[ModelClassesEndpointType] get_model_classes(envelope=envelope, uid=uid, nameinmodel=nameinmodel, conceptname=conceptname, page=page, sort=sort, fields=fields)

Returns ModelClasses

Returns ModelClasses

### Example
```python
from __future__ import print_function
import time
import swagger_client
from swagger_client.rest import ApiException
from pprint import pprint

# create an instance of the API class
api_instance = swagger_client.ModelClassesApi()
envelope = 'envelope_example' # str | The endpoint can package everything (header, status code) neatly into the response body. Include envelope=true as a request parameter. The API will always return a 200 HTTP status code. The real status, headers and response will be within the body. (optional)
uid = ['uid_example'] # list[str] | Comma separated list of ModelClasses UID (optional)
nameinmodel = ['nameinmodel_example'] # list[str] | Comma separated list of ModelClasses names (optional)
conceptname = ['conceptname_example'] # list[str] | Comma separated list of ModelClasses concept names (optional)
page = 56 # int | Requests for collections can return between 0 and N results, controlled using the per_page and page query parameters. All endpoints are limited to 10 results by default. (optional)
sort = 'sort_example' # str | The sorting is initiated by the sort query parameter and a list of comma separated list of fields to sort by. (optional)
fields = ['fields_example'] # list[str] | Comma separated list of field names (optional)

try:
    # Returns ModelClasses
    api_response = api_instance.get_model_classes(envelope=envelope, uid=uid, nameinmodel=nameinmodel, conceptname=conceptname, page=page, sort=sort, fields=fields)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling ModelClassesApi->get_model_classes: %s\n" % e)
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **envelope** | **str**| The endpoint can package everything (header, status code) neatly into the response body. Include envelope&#x3D;true as a request parameter. The API will always return a 200 HTTP status code. The real status, headers and response will be within the body. | [optional] 
 **uid** | [**list[str]**](str.md)| Comma separated list of ModelClasses UID | [optional] 
 **nameinmodel** | [**list[str]**](str.md)| Comma separated list of ModelClasses names | [optional] 
 **conceptname** | [**list[str]**](str.md)| Comma separated list of ModelClasses concept names | [optional] 
 **page** | **int**| Requests for collections can return between 0 and N results, controlled using the per_page and page query parameters. All endpoints are limited to 10 results by default. | [optional] 
 **sort** | **str**| The sorting is initiated by the sort query parameter and a list of comma separated list of fields to sort by. | [optional] 
 **fields** | [**list[str]**](str.md)| Comma separated list of field names | [optional] 

### Return type

[**list[ModelClassesEndpointType]**](ModelClassesEndpointType.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **get_model_classes_by_uid**
> ModelClassesEndpointType get_model_classes_by_uid(modelclasses_uid, envelope=envelope)

Returns a single model class

Returns a single model class

### Example
```python
from __future__ import print_function
import time
import swagger_client
from swagger_client.rest import ApiException
from pprint import pprint

# create an instance of the API class
api_instance = swagger_client.ModelClassesApi()
modelclasses_uid = 'modelclasses_uid_example' # str | ModelClass UID
envelope = 'envelope_example' # str | The endpoint can package everything (header, status code) neatly into the response body. Include envelope=true as a request parameter. The API will always return a 200 HTTP status code. The real status, headers and response will be within the body. (optional)

try:
    # Returns a single model class
    api_response = api_instance.get_model_classes_by_uid(modelclasses_uid, envelope=envelope)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling ModelClassesApi->get_model_classes_by_uid: %s\n" % e)
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **modelclasses_uid** | **str**| ModelClass UID | 
 **envelope** | **str**| The endpoint can package everything (header, status code) neatly into the response body. Include envelope&#x3D;true as a request parameter. The API will always return a 200 HTTP status code. The real status, headers and response will be within the body. | [optional] 

### Return type

[**ModelClassesEndpointType**](ModelClassesEndpointType.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **update_model_classes**
> ModelClassesEndpointType update_model_classes(modelclasses_uid, patchmodelclasses, envelope=envelope, i4l_process_uid=i4l_process_uid)

Updates some attributes of a ModelClass

Updates some attributes of a ModelClass

### Example
```python
from __future__ import print_function
import time
import swagger_client
from swagger_client.rest import ApiException
from pprint import pprint

# create an instance of the API class
api_instance = swagger_client.ModelClassesApi()
modelclasses_uid = 'modelclasses_uid_example' # str | ModelClass UID
patchmodelclasses = swagger_client.RFC6902PatchRequest() # RFC6902PatchRequest | Update data
envelope = 'envelope_example' # str | The endpoint can package everything (header, status code) neatly into the response body. Include envelope=true as a request parameter. The API will always return a 200 HTTP status code. The real status, headers and response will be within the body. (optional)
i4l_process_uid = 'i4l_process_uid_example' # str | Process UID. This parameter can be used by an its4land tool running inside the runtime environment to pass the process uid to the endpoint. With this information the endpoint can associate the newly created or updated resource with the process. (optional)

try:
    # Updates some attributes of a ModelClass
    api_response = api_instance.update_model_classes(modelclasses_uid, patchmodelclasses, envelope=envelope, i4l_process_uid=i4l_process_uid)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling ModelClassesApi->update_model_classes: %s\n" % e)
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **modelclasses_uid** | **str**| ModelClass UID | 
 **patchmodelclasses** | [**RFC6902PatchRequest**](RFC6902PatchRequest.md)| Update data | 
 **envelope** | **str**| The endpoint can package everything (header, status code) neatly into the response body. Include envelope&#x3D;true as a request parameter. The API will always return a 200 HTTP status code. The real status, headers and response will be within the body. | [optional] 
 **i4l_process_uid** | **str**| Process UID. This parameter can be used by an its4land tool running inside the runtime environment to pass the process uid to the endpoint. With this information the endpoint can associate the newly created or updated resource with the process. | [optional] 

### Return type

[**ModelClassesEndpointType**](ModelClassesEndpointType.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

