# swagger_client.SpatialSourcesApi

All URIs are relative to *https://platform.its4land.com*

Method | HTTP request | Description
------------- | ------------- | -------------
[**detach_spatial_source_add_doc**](SpatialSourcesApi.md#detach_spatial_source_add_doc) | **DELETE** /spatialsource/{spatialsource_uid}/AdditionalDocument/{adddoc_uid} | Removes an additional document for a spatial source.
[**get_spatial_source_add_docs**](SpatialSourcesApi.md#get_spatial_source_add_docs) | **GET** /spatialsource/{spatialsource_uid}/AdditionalDocument | Returns the additional documents of a spatial source
[**get_spatial_source_by_uid**](SpatialSourcesApi.md#get_spatial_source_by_uid) | **GET** /spatialsource/{spatialsource_uid} | Returns a single SpatialSource
[**get_spatial_source_single_add_doc**](SpatialSourcesApi.md#get_spatial_source_single_add_doc) | **GET** /spatialsource/{spatialsource_uid}/AdditionalDocument/{adddoc_uid} | Returns the additional documents of a spatial source
[**get_spatial_sources**](SpatialSourcesApi.md#get_spatial_sources) | **GET** /spatialsources | Returns a list of SpatialSources
[**new_spatial_source**](SpatialSourcesApi.md#new_spatial_source) | **POST** /spatialsources | Create a new SpatialSource
[**new_spatial_source_add_add_doc**](SpatialSourcesApi.md#new_spatial_source_add_add_doc) | **POST** /spatialsource/{spatialsource_uid}/AdditionalDocument | Add a new additional document to a spatial source
[**put_spatial_source_by_uid**](SpatialSourcesApi.md#put_spatial_source_by_uid) | **PUT** /spatialsource/{spatialsource_uid} | Replace an existing SpatialSource by a newer version


# **detach_spatial_source_add_doc**
> list[SpatialSourcesEndpointType] detach_spatial_source_add_doc(spatialsource_uid, adddoc_uid, envelope=envelope, force_delete=force_delete)

Removes an additional document for a spatial source.

Removes an additional document for a spatial source. By default only the link between additional document and spatial source is removed.

### Example
```python
from __future__ import print_function
import time
import swagger_client
from swagger_client.rest import ApiException
from pprint import pprint

# create an instance of the API class
api_instance = swagger_client.SpatialSourcesApi()
spatialsource_uid = 'spatialsource_uid_example' # str | SpatialSource UID
adddoc_uid = 'adddoc_uid_example' # str | SpatialSource UID
envelope = 'envelope_example' # str | The endpoint can package everything (header, status code) neatly into the response body. Include envelope=true as a request parameter. The API will always return a 200 HTTP status code. The real status, headers and response will be within the body. (optional)
force_delete = 'force_delete_example' # str | Deletes the additional document resource. (optional)

try:
    # Removes an additional document for a spatial source.
    api_response = api_instance.detach_spatial_source_add_doc(spatialsource_uid, adddoc_uid, envelope=envelope, force_delete=force_delete)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling SpatialSourcesApi->detach_spatial_source_add_doc: %s\n" % e)
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **spatialsource_uid** | **str**| SpatialSource UID | 
 **adddoc_uid** | **str**| SpatialSource UID | 
 **envelope** | **str**| The endpoint can package everything (header, status code) neatly into the response body. Include envelope&#x3D;true as a request parameter. The API will always return a 200 HTTP status code. The real status, headers and response will be within the body. | [optional] 
 **force_delete** | **str**| Deletes the additional document resource. | [optional] 

### Return type

[**list[SpatialSourcesEndpointType]**](SpatialSourcesEndpointType.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **get_spatial_source_add_docs**
> list[AdditionalDocumentsEndpointType] get_spatial_source_add_docs(spatialsource_uid, envelope=envelope, page=page, sort=sort, fields=fields)

Returns the additional documents of a spatial source

Returns the additional documents of a spatial source

### Example
```python
from __future__ import print_function
import time
import swagger_client
from swagger_client.rest import ApiException
from pprint import pprint

# create an instance of the API class
api_instance = swagger_client.SpatialSourcesApi()
spatialsource_uid = 'spatialsource_uid_example' # str | SpatialSource UID
envelope = 'envelope_example' # str | The endpoint can package everything (header, status code) neatly into the response body. Include envelope=true as a request parameter. The API will always return a 200 HTTP status code. The real status, headers and response will be within the body. (optional)
page = 56 # int | Requests for collections can return between 0 and N results, controlled using the per_page and page query parameters. All endpoints are limited to 10 results by default. (optional)
sort = 'sort_example' # str | The sorting is initiated by the sort query parameter and a list of comma separated list of fields to sort by. (optional)
fields = ['fields_example'] # list[str] | Comma separated list of field names (optional)

try:
    # Returns the additional documents of a spatial source
    api_response = api_instance.get_spatial_source_add_docs(spatialsource_uid, envelope=envelope, page=page, sort=sort, fields=fields)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling SpatialSourcesApi->get_spatial_source_add_docs: %s\n" % e)
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **spatialsource_uid** | **str**| SpatialSource UID | 
 **envelope** | **str**| The endpoint can package everything (header, status code) neatly into the response body. Include envelope&#x3D;true as a request parameter. The API will always return a 200 HTTP status code. The real status, headers and response will be within the body. | [optional] 
 **page** | **int**| Requests for collections can return between 0 and N results, controlled using the per_page and page query parameters. All endpoints are limited to 10 results by default. | [optional] 
 **sort** | **str**| The sorting is initiated by the sort query parameter and a list of comma separated list of fields to sort by. | [optional] 
 **fields** | [**list[str]**](str.md)| Comma separated list of field names | [optional] 

### Return type

[**list[AdditionalDocumentsEndpointType]**](AdditionalDocumentsEndpointType.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **get_spatial_source_by_uid**
> SpatialSourcesEndpointType get_spatial_source_by_uid(spatialsource_uid, envelope=envelope, embed=embed)

Returns a single SpatialSource

Returns a single SpatialSource

### Example
```python
from __future__ import print_function
import time
import swagger_client
from swagger_client.rest import ApiException
from pprint import pprint

# create an instance of the API class
api_instance = swagger_client.SpatialSourcesApi()
spatialsource_uid = 'spatialsource_uid_example' # str | SpatialSource UID
envelope = 'envelope_example' # str | The endpoint can package everything (header, status code) neatly into the response body. Include envelope=true as a request parameter. The API will always return a 200 HTTP status code. The real status, headers and response will be within the body. (optional)
embed = ['embed_example'] # list[str] | Embedding is triggered by passing in an embed query parameter, which takes a comma separated list of endpoint types. Single fields can be selected a dot-notation (endpoint-type.property-name) (optional)

try:
    # Returns a single SpatialSource
    api_response = api_instance.get_spatial_source_by_uid(spatialsource_uid, envelope=envelope, embed=embed)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling SpatialSourcesApi->get_spatial_source_by_uid: %s\n" % e)
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **spatialsource_uid** | **str**| SpatialSource UID | 
 **envelope** | **str**| The endpoint can package everything (header, status code) neatly into the response body. Include envelope&#x3D;true as a request parameter. The API will always return a 200 HTTP status code. The real status, headers and response will be within the body. | [optional] 
 **embed** | [**list[str]**](str.md)| Embedding is triggered by passing in an embed query parameter, which takes a comma separated list of endpoint types. Single fields can be selected a dot-notation (endpoint-type.property-name) | [optional] 

### Return type

[**SpatialSourcesEndpointType**](SpatialSourcesEndpointType.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **get_spatial_source_single_add_doc**
> list[AdditionalDocumentsEndpointType] get_spatial_source_single_add_doc(spatialsource_uid, adddoc_uid, envelope=envelope, fields=fields)

Returns the additional documents of a spatial source

Returns the additional documents of a spatial source

### Example
```python
from __future__ import print_function
import time
import swagger_client
from swagger_client.rest import ApiException
from pprint import pprint

# create an instance of the API class
api_instance = swagger_client.SpatialSourcesApi()
spatialsource_uid = 'spatialsource_uid_example' # str | SpatialSource UID
adddoc_uid = 'adddoc_uid_example' # str | SpatialSource UID
envelope = 'envelope_example' # str | The endpoint can package everything (header, status code) neatly into the response body. Include envelope=true as a request parameter. The API will always return a 200 HTTP status code. The real status, headers and response will be within the body. (optional)
fields = ['fields_example'] # list[str] | Comma separated list of field names (optional)

try:
    # Returns the additional documents of a spatial source
    api_response = api_instance.get_spatial_source_single_add_doc(spatialsource_uid, adddoc_uid, envelope=envelope, fields=fields)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling SpatialSourcesApi->get_spatial_source_single_add_doc: %s\n" % e)
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **spatialsource_uid** | **str**| SpatialSource UID | 
 **adddoc_uid** | **str**| SpatialSource UID | 
 **envelope** | **str**| The endpoint can package everything (header, status code) neatly into the response body. Include envelope&#x3D;true as a request parameter. The API will always return a 200 HTTP status code. The real status, headers and response will be within the body. | [optional] 
 **fields** | [**list[str]**](str.md)| Comma separated list of field names | [optional] 

### Return type

[**list[AdditionalDocumentsEndpointType]**](AdditionalDocumentsEndpointType.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **get_spatial_sources**
> list[SpatialSourcesEndpointType] get_spatial_sources(envelope=envelope, uid=uid, name=name, type=type, projects=projects, tags=tags, page=page, sort=sort, fields=fields, embed=embed)

Returns a list of SpatialSources

Returns a list of SpatialSources

### Example
```python
from __future__ import print_function
import time
import swagger_client
from swagger_client.rest import ApiException
from pprint import pprint

# create an instance of the API class
api_instance = swagger_client.SpatialSourcesApi()
envelope = 'envelope_example' # str | The endpoint can package everything (header, status code) neatly into the response body. Include envelope=true as a request parameter. The API will always return a 200 HTTP status code. The real status, headers and response will be within the body. (optional)
uid = ['uid_example'] # list[str] | Comma separated list of SpatialSources UID (optional)
name = ['name_example'] # list[str] | Comma separated list of SpatialSources names (optional)
type = ['type_example'] # list[str] | Comma separated list of SpatialSources types (optional)
projects = ['projects_example'] # list[str] | Comma separated list of project UID (optional)
tags = ['tags_example'] # list[str] | Comma separated list of tags (optional)
page = 56 # int | Requests for collections can return between 0 and N results, controlled using the per_page and page query parameters. All endpoints are limited to 10 results by default. (optional)
sort = 'sort_example' # str | The sorting is initiated by the sort query parameter and a list of comma separated list of fields to sort by. (optional)
fields = ['fields_example'] # list[str] | Comma separated list of tags (optional)
embed = ['embed_example'] # list[str] | Embedding is triggered by passing in an embed query parameter, which takes a comma separated list of endpoint types. Single fields can be selected a dot-notation (endpoint-type.property-name) (optional)

try:
    # Returns a list of SpatialSources
    api_response = api_instance.get_spatial_sources(envelope=envelope, uid=uid, name=name, type=type, projects=projects, tags=tags, page=page, sort=sort, fields=fields, embed=embed)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling SpatialSourcesApi->get_spatial_sources: %s\n" % e)
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **envelope** | **str**| The endpoint can package everything (header, status code) neatly into the response body. Include envelope&#x3D;true as a request parameter. The API will always return a 200 HTTP status code. The real status, headers and response will be within the body. | [optional] 
 **uid** | [**list[str]**](str.md)| Comma separated list of SpatialSources UID | [optional] 
 **name** | [**list[str]**](str.md)| Comma separated list of SpatialSources names | [optional] 
 **type** | [**list[str]**](str.md)| Comma separated list of SpatialSources types | [optional] 
 **projects** | [**list[str]**](str.md)| Comma separated list of project UID | [optional] 
 **tags** | [**list[str]**](str.md)| Comma separated list of tags | [optional] 
 **page** | **int**| Requests for collections can return between 0 and N results, controlled using the per_page and page query parameters. All endpoints are limited to 10 results by default. | [optional] 
 **sort** | **str**| The sorting is initiated by the sort query parameter and a list of comma separated list of fields to sort by. | [optional] 
 **fields** | [**list[str]**](str.md)| Comma separated list of tags | [optional] 
 **embed** | [**list[str]**](str.md)| Embedding is triggered by passing in an embed query parameter, which takes a comma separated list of endpoint types. Single fields can be selected a dot-notation (endpoint-type.property-name) | [optional] 

### Return type

[**list[SpatialSourcesEndpointType]**](SpatialSourcesEndpointType.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **new_spatial_source**
> SpatialSourcesEndpointType new_spatial_source(newspatialsource, envelope=envelope, embed=embed, process_uid=process_uid, i4l_process_uid=i4l_process_uid)

Create a new SpatialSource

Create a new SpatialSource. To add a new SpatialSources , the content of SpatialSources  must be stored in advanced via the ContentItem endpoint.

### Example
```python
from __future__ import print_function
import time
import swagger_client
from swagger_client.rest import ApiException
from pprint import pprint

# create an instance of the API class
api_instance = swagger_client.SpatialSourcesApi()
newspatialsource = swagger_client.SpatialSourcesPostRequest() # SpatialSourcesPostRequest | New SpatialSource data
envelope = 'envelope_example' # str | The endpoint can package everything (header, status code) neatly into the response body. Include envelope=true as a request parameter. The API will always return a 200 HTTP status code. The real status, headers and response will be within the body. (optional)
embed = ['embed_example'] # list[str] | Embedding is triggered by passing in an embed query parameter, which takes a comma separated list of endpoint types. Single fields can be selected a dot-notation (endpoint-type.property-name) (optional)
process_uid = 'process_uid_example' # str | deprecated (optional)
i4l_process_uid = 'i4l_process_uid_example' # str | Process UID. This parameter can be used by an its4land tool running inside the runtime environment to pass the process uid to the endpoint. With this information the endpoint can associate the newly created or updated resource with the process. (optional)

try:
    # Create a new SpatialSource
    api_response = api_instance.new_spatial_source(newspatialsource, envelope=envelope, embed=embed, process_uid=process_uid, i4l_process_uid=i4l_process_uid)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling SpatialSourcesApi->new_spatial_source: %s\n" % e)
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **newspatialsource** | [**SpatialSourcesPostRequest**](SpatialSourcesPostRequest.md)| New SpatialSource data | 
 **envelope** | **str**| The endpoint can package everything (header, status code) neatly into the response body. Include envelope&#x3D;true as a request parameter. The API will always return a 200 HTTP status code. The real status, headers and response will be within the body. | [optional] 
 **embed** | [**list[str]**](str.md)| Embedding is triggered by passing in an embed query parameter, which takes a comma separated list of endpoint types. Single fields can be selected a dot-notation (endpoint-type.property-name) | [optional] 
 **process_uid** | **str**| deprecated | [optional] 
 **i4l_process_uid** | **str**| Process UID. This parameter can be used by an its4land tool running inside the runtime environment to pass the process uid to the endpoint. With this information the endpoint can associate the newly created or updated resource with the process. | [optional] 

### Return type

[**SpatialSourcesEndpointType**](SpatialSourcesEndpointType.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **new_spatial_source_add_add_doc**
> AdditionalDocumentsEndpointType new_spatial_source_add_add_doc(spatialsource_uid, newadddocdata, envelope=envelope, i4l_process_uid=i4l_process_uid)

Add a new additional document to a spatial source

Add a new additional document to a spatial source

### Example
```python
from __future__ import print_function
import time
import swagger_client
from swagger_client.rest import ApiException
from pprint import pprint

# create an instance of the API class
api_instance = swagger_client.SpatialSourcesApi()
spatialsource_uid = 'spatialsource_uid_example' # str | SpatialSource UID
newadddocdata = swagger_client.AdditionalDocumentsPost() # AdditionalDocumentsPost | New additional document data
envelope = 'envelope_example' # str | The endpoint can package everything (header, status code) neatly into the response body. Include envelope=true as a request parameter. The API will always return a 200 HTTP status code. The real status, headers and response will be within the body. (optional)
i4l_process_uid = 'i4l_process_uid_example' # str | Process UID. This parameter can be used by an its4land tool running inside the runtime environment to pass the process uid to the endpoint. With this information the endpoint can associate the newly created or updated resource with the process. (optional)

try:
    # Add a new additional document to a spatial source
    api_response = api_instance.new_spatial_source_add_add_doc(spatialsource_uid, newadddocdata, envelope=envelope, i4l_process_uid=i4l_process_uid)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling SpatialSourcesApi->new_spatial_source_add_add_doc: %s\n" % e)
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **spatialsource_uid** | **str**| SpatialSource UID | 
 **newadddocdata** | [**AdditionalDocumentsPost**](AdditionalDocumentsPost.md)| New additional document data | 
 **envelope** | **str**| The endpoint can package everything (header, status code) neatly into the response body. Include envelope&#x3D;true as a request parameter. The API will always return a 200 HTTP status code. The real status, headers and response will be within the body. | [optional] 
 **i4l_process_uid** | **str**| Process UID. This parameter can be used by an its4land tool running inside the runtime environment to pass the process uid to the endpoint. With this information the endpoint can associate the newly created or updated resource with the process. | [optional] 

### Return type

[**AdditionalDocumentsEndpointType**](AdditionalDocumentsEndpointType.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **put_spatial_source_by_uid**
> SpatialSourcesEndpointType put_spatial_source_by_uid(spatialsource_uid, updatedspatialsource, envelope=envelope, embed=embed, i4l_process_uid=i4l_process_uid)

Replace an existing SpatialSource by a newer version

An existing SpatialSource will be replaced by a newer version. The UID of SpatialSource remains

### Example
```python
from __future__ import print_function
import time
import swagger_client
from swagger_client.rest import ApiException
from pprint import pprint

# create an instance of the API class
api_instance = swagger_client.SpatialSourcesApi()
spatialsource_uid = 'spatialsource_uid_example' # str | SpatialSource UID
updatedspatialsource = swagger_client.SpatialSourcesPostRequest() # SpatialSourcesPostRequest | Updated spatial source
envelope = 'envelope_example' # str | The endpoint can package everything (header, status code) neatly into the response body. Include envelope=true as a request parameter. The API will always return a 200 HTTP status code. The real status, headers and response will be within the body. (optional)
embed = ['embed_example'] # list[str] | Embedding is triggered by passing in an embed query parameter, which takes a comma separated list of endpoint types. Single fields can be selected a dot-notation (endpoint-type.property-name) (optional)
i4l_process_uid = 'i4l_process_uid_example' # str | Process UID. This parameter can be used by an its4land tool running inside the runtime environment to pass the process uid to the endpoint. With this information the endpoint can associate the newly created or updated resource with the process. (optional)

try:
    # Replace an existing SpatialSource by a newer version
    api_response = api_instance.put_spatial_source_by_uid(spatialsource_uid, updatedspatialsource, envelope=envelope, embed=embed, i4l_process_uid=i4l_process_uid)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling SpatialSourcesApi->put_spatial_source_by_uid: %s\n" % e)
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **spatialsource_uid** | **str**| SpatialSource UID | 
 **updatedspatialsource** | [**SpatialSourcesPostRequest**](SpatialSourcesPostRequest.md)| Updated spatial source | 
 **envelope** | **str**| The endpoint can package everything (header, status code) neatly into the response body. Include envelope&#x3D;true as a request parameter. The API will always return a 200 HTTP status code. The real status, headers and response will be within the body. | [optional] 
 **embed** | [**list[str]**](str.md)| Embedding is triggered by passing in an embed query parameter, which takes a comma separated list of endpoint types. Single fields can be selected a dot-notation (endpoint-type.property-name) | [optional] 
 **i4l_process_uid** | **str**| Process UID. This parameter can be used by an its4land tool running inside the runtime environment to pass the process uid to the endpoint. With this information the endpoint can associate the newly created or updated resource with the process. | [optional] 

### Return type

[**SpatialSourcesEndpointType**](SpatialSourcesEndpointType.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

