# swagger_client.SpatialUnitsApi

All URIs are relative to *https://platform.its4land.com*

Method | HTTP request | Description
------------- | ------------- | -------------
[**create2_ppolygon_sp_ufrom_bfs**](SpatialUnitsApi.md#create2_ppolygon_sp_ufrom_bfs) | **POST** /spatialunits/create2Dpolygonspatialunit | Creates a spatial unit
[**get_spatial_unit_by_uid**](SpatialUnitsApi.md#get_spatial_unit_by_uid) | **GET** /spatialunits/qualitative/{spatialunit_uid} | Returns a single spatial unit
[**get_spatial_unit_concept_by_uid**](SpatialUnitsApi.md#get_spatial_unit_concept_by_uid) | **GET** /spatialunits/concepts/{concept_uid} | Returns a single spatial unit concept
[**get_spatial_units**](SpatialUnitsApi.md#get_spatial_units) | **GET** /spatialunits | Returns a list of SpatialUnits in a GeoJSON structure.
[**get_spatial_units_by_uuid**](SpatialUnitsApi.md#get_spatial_units_by_uuid) | **GET** /spatialunits/{spatialunit_uid} | Returns a list of SpatialUnits
[**get_spatial_units_concepts**](SpatialUnitsApi.md#get_spatial_units_concepts) | **GET** /spatialunits/concepts | Returns a list of spatial units concepts
[**get_spatial_units_qualitative**](SpatialUnitsApi.md#get_spatial_units_qualitative) | **GET** /spatialunits/qualitative | Returns a list of SpatialUnits
[**new_spatial_unit**](SpatialUnitsApi.md#new_spatial_unit) | **POST** /spatialunits | Create a new SpatialUnit
[**new_spatial_unit_concept**](SpatialUnitsApi.md#new_spatial_unit_concept) | **POST** /spatialunits/concepts | Create a new concept for a spatial unit
[**new_spatial_unit_qualitative**](SpatialUnitsApi.md#new_spatial_unit_qualitative) | **POST** /spatialunits/qualitative | Create a new SpatialUnit
[**update_spatial_unit**](SpatialUnitsApi.md#update_spatial_unit) | **PATCH** /spatialunits/{spatialunit_uid} | Update an spatial unit
[**update_spatial_unit_concept**](SpatialUnitsApi.md#update_spatial_unit_concept) | **PATCH** /spatialunits/concepts/{concept_uid} | Updates a new spatial unit concept
[**update_spatial_unit_qualitative**](SpatialUnitsApi.md#update_spatial_unit_qualitative) | **PATCH** /spatialunits/qualitative/{spatialunit_uid} | Updates a new SpatialUnit


# **create2_ppolygon_sp_ufrom_bfs**
> SpatialUnitsFeatureEndpointType create2_ppolygon_sp_ufrom_bfs(spatialunitdata, envelope=envelope, i4l_process_uid=i4l_process_uid, embed=embed)

Creates a spatial unit

Create a 2D polygon base spatial unit from a boundary face string  as GeoJSON

### Example
```python
from __future__ import print_function
import time
import swagger_client
from swagger_client.rest import ApiException
from pprint import pprint

# create an instance of the API class
api_instance = swagger_client.SpatialUnitsApi()
spatialunitdata = swagger_client.SpatialUnitBaseFeaturePostRequest() # SpatialUnitBaseFeaturePostRequest | Update data
envelope = 'envelope_example' # str | The endpoint can package everything (header, status code) neatly into the response body. Include envelope=true as a request parameter. The API will always return a 200 HTTP status code. The real status, headers and response will be within the body. (optional)
i4l_process_uid = 'i4l_process_uid_example' # str | Process UID. This parameter can be used by an its4land tool running inside the runtime environment to pass the process uid to the endpoint. With this information the endpoint can associate the newly created or updated resource with the process. (optional)
embed = ['embed_example'] # list[str] | Embedding is triggered by passing in an embed query parameter, which takes a comma separated list of endpoint types. Single fields can be selected a dot-notation (endpoint-type.property-name) (optional)

try:
    # Creates a spatial unit
    api_response = api_instance.create2_ppolygon_sp_ufrom_bfs(spatialunitdata, envelope=envelope, i4l_process_uid=i4l_process_uid, embed=embed)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling SpatialUnitsApi->create2_ppolygon_sp_ufrom_bfs: %s\n" % e)
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **spatialunitdata** | [**SpatialUnitBaseFeaturePostRequest**](SpatialUnitBaseFeaturePostRequest.md)| Update data | 
 **envelope** | **str**| The endpoint can package everything (header, status code) neatly into the response body. Include envelope&#x3D;true as a request parameter. The API will always return a 200 HTTP status code. The real status, headers and response will be within the body. | [optional] 
 **i4l_process_uid** | **str**| Process UID. This parameter can be used by an its4land tool running inside the runtime environment to pass the process uid to the endpoint. With this information the endpoint can associate the newly created or updated resource with the process. | [optional] 
 **embed** | [**list[str]**](str.md)| Embedding is triggered by passing in an embed query parameter, which takes a comma separated list of endpoint types. Single fields can be selected a dot-notation (endpoint-type.property-name) | [optional] 

### Return type

[**SpatialUnitsFeatureEndpointType**](SpatialUnitsFeatureEndpointType.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **get_spatial_unit_by_uid**
> SpatialUnitsFeatureEndpointType get_spatial_unit_by_uid(spatialunit_uid, envelope=envelope, embed=embed)

Returns a single spatial unit

Returns a single spatial unit with qualitative base qualitative base spatial profile

### Example
```python
from __future__ import print_function
import time
import swagger_client
from swagger_client.rest import ApiException
from pprint import pprint

# create an instance of the API class
api_instance = swagger_client.SpatialUnitsApi()
spatialunit_uid = 'spatialunit_uid_example' # str | Spatial unit UID
envelope = 'envelope_example' # str | The endpoint can package everything (header, status code) neatly into the response body. Include envelope=true as a request parameter. The API will always return a 200 HTTP status code. The real status, headers and response will be within the body. (optional)
embed = ['embed_example'] # list[str] | Embedding is triggered by passing in an embed query parameter, which takes a comma separated list of endpoint types. Single fields can be selected a dot-notation (endpoint-type.property-name) (optional)

try:
    # Returns a single spatial unit
    api_response = api_instance.get_spatial_unit_by_uid(spatialunit_uid, envelope=envelope, embed=embed)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling SpatialUnitsApi->get_spatial_unit_by_uid: %s\n" % e)
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **spatialunit_uid** | **str**| Spatial unit UID | 
 **envelope** | **str**| The endpoint can package everything (header, status code) neatly into the response body. Include envelope&#x3D;true as a request parameter. The API will always return a 200 HTTP status code. The real status, headers and response will be within the body. | [optional] 
 **embed** | [**list[str]**](str.md)| Embedding is triggered by passing in an embed query parameter, which takes a comma separated list of endpoint types. Single fields can be selected a dot-notation (endpoint-type.property-name) | [optional] 

### Return type

[**SpatialUnitsFeatureEndpointType**](SpatialUnitsFeatureEndpointType.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **get_spatial_unit_concept_by_uid**
> SpatialUnitConceptEndpointType get_spatial_unit_concept_by_uid(concept_uid, envelope=envelope, embed=embed)

Returns a single spatial unit concept

Returns a single spatial unit concept

### Example
```python
from __future__ import print_function
import time
import swagger_client
from swagger_client.rest import ApiException
from pprint import pprint

# create an instance of the API class
api_instance = swagger_client.SpatialUnitsApi()
concept_uid = 'concept_uid_example' # str | Spatial unit concept UID
envelope = 'envelope_example' # str | The endpoint can package everything (header, status code) neatly into the response body. Include envelope=true as a request parameter. The API will always return a 200 HTTP status code. The real status, headers and response will be within the body. (optional)
embed = ['embed_example'] # list[str] | Embedding is triggered by passing in an embed query parameter, which takes a comma separated list of endpoint types. Single fields can be selected a dot-notation (endpoint-type.property-name) (optional)

try:
    # Returns a single spatial unit concept
    api_response = api_instance.get_spatial_unit_concept_by_uid(concept_uid, envelope=envelope, embed=embed)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling SpatialUnitsApi->get_spatial_unit_concept_by_uid: %s\n" % e)
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **concept_uid** | **str**| Spatial unit concept UID | 
 **envelope** | **str**| The endpoint can package everything (header, status code) neatly into the response body. Include envelope&#x3D;true as a request parameter. The API will always return a 200 HTTP status code. The real status, headers and response will be within the body. | [optional] 
 **embed** | [**list[str]**](str.md)| Embedding is triggered by passing in an embed query parameter, which takes a comma separated list of endpoint types. Single fields can be selected a dot-notation (endpoint-type.property-name) | [optional] 

### Return type

[**SpatialUnitConceptEndpointType**](SpatialUnitConceptEndpointType.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **get_spatial_units**
> list[SpatialUnitsFeatureEndpointType] get_spatial_units(querywindow, envelope=envelope, uid=uid, name=name, concept=concept, level=level, projects=projects, adminsource=adminsource, tags=tags, page=page, sort=sort, fields=fields, embed=embed)

Returns a list of SpatialUnits in a GeoJSON structure.

Returns a list of SpatialUnits as GeoJSON feature with 2D polygon base spatial profile

### Example
```python
from __future__ import print_function
import time
import swagger_client
from swagger_client.rest import ApiException
from pprint import pprint

# create an instance of the API class
api_instance = swagger_client.SpatialUnitsApi()
querywindow = 'querywindow_example' # str | Polygon. The polygon is encoded a comma separated list of coordinates. X1, Y1, X2, Y2, ..., Xn, Yn, X1, Y1
envelope = 'envelope_example' # str | The endpoint can package everything (header, status code) neatly into the response body. Include envelope=true as a request parameter. The API will always return a 200 HTTP status code. The real status, headers and response will be within the body. (optional)
uid = ['uid_example'] # list[str] | Comma separated list of AdminSources UID (optional)
name = ['name_example'] # list[str] | Comma separated list of AdminSources names (optional)
concept = ['concept_example'] # list[str] | Comma separated list of Spatial Unit concepts (optional)
level = ['level_example'] # list[str] | Comma separated list of LADM Levels (optional)
projects = ['projects_example'] # list[str] | Comma separated list of project UID (optional)
adminsource = ['adminsource_example'] # list[str] | Comma separated list of SpatialSource UID (optional)
tags = ['tags_example'] # list[str] | Comma separated list of tags (optional)
page = 56 # int | Requests for collections can return between 0 and N results, controlled using the per_page and page query parameters. All endpoints are limited to 10 results by default. (optional)
sort = 'sort_example' # str | The sorting is initiated by the sort query parameter and a list of comma separated list of fields to sort by. (optional)
fields = ['fields_example'] # list[str] | Comma separated list of tags (optional)
embed = ['embed_example'] # list[str] | Embedding is triggered by passing in an embed query parameter, which takes a comma separated list of endpoint types. Single fields can be selected a dot-notation (endpoint-type.property-name) (optional)

try:
    # Returns a list of SpatialUnits in a GeoJSON structure.
    api_response = api_instance.get_spatial_units(querywindow, envelope=envelope, uid=uid, name=name, concept=concept, level=level, projects=projects, adminsource=adminsource, tags=tags, page=page, sort=sort, fields=fields, embed=embed)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling SpatialUnitsApi->get_spatial_units: %s\n" % e)
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **querywindow** | **str**| Polygon. The polygon is encoded a comma separated list of coordinates. X1, Y1, X2, Y2, ..., Xn, Yn, X1, Y1 | 
 **envelope** | **str**| The endpoint can package everything (header, status code) neatly into the response body. Include envelope&#x3D;true as a request parameter. The API will always return a 200 HTTP status code. The real status, headers and response will be within the body. | [optional] 
 **uid** | [**list[str]**](str.md)| Comma separated list of AdminSources UID | [optional] 
 **name** | [**list[str]**](str.md)| Comma separated list of AdminSources names | [optional] 
 **concept** | [**list[str]**](str.md)| Comma separated list of Spatial Unit concepts | [optional] 
 **level** | [**list[str]**](str.md)| Comma separated list of LADM Levels | [optional] 
 **projects** | [**list[str]**](str.md)| Comma separated list of project UID | [optional] 
 **adminsource** | [**list[str]**](str.md)| Comma separated list of SpatialSource UID | [optional] 
 **tags** | [**list[str]**](str.md)| Comma separated list of tags | [optional] 
 **page** | **int**| Requests for collections can return between 0 and N results, controlled using the per_page and page query parameters. All endpoints are limited to 10 results by default. | [optional] 
 **sort** | **str**| The sorting is initiated by the sort query parameter and a list of comma separated list of fields to sort by. | [optional] 
 **fields** | [**list[str]**](str.md)| Comma separated list of tags | [optional] 
 **embed** | [**list[str]**](str.md)| Embedding is triggered by passing in an embed query parameter, which takes a comma separated list of endpoint types. Single fields can be selected a dot-notation (endpoint-type.property-name) | [optional] 

### Return type

[**list[SpatialUnitsFeatureEndpointType]**](SpatialUnitsFeatureEndpointType.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **get_spatial_units_by_uuid**
> list[SpatialUnitsFeatureEndpointType] get_spatial_units_by_uuid(spatialunit_uid, envelope=envelope, embed=embed)

Returns a list of SpatialUnits

Returns a list of SpatialUnits as feature with 2d polygon base spatial profile

### Example
```python
from __future__ import print_function
import time
import swagger_client
from swagger_client.rest import ApiException
from pprint import pprint

# create an instance of the API class
api_instance = swagger_client.SpatialUnitsApi()
spatialunit_uid = 'spatialunit_uid_example' # str | Spatial unit UID
envelope = 'envelope_example' # str | The endpoint can package everything (header, status code) neatly into the response body. Include envelope=true as a request parameter. The API will always return a 200 HTTP status code. The real status, headers and response will be within the body. (optional)
embed = ['embed_example'] # list[str] | Embedding is triggered by passing in an embed query parameter, which takes a comma separated list of endpoint types. Single fields can be selected a dot-notation (endpoint-type.property-name) (optional)

try:
    # Returns a list of SpatialUnits
    api_response = api_instance.get_spatial_units_by_uuid(spatialunit_uid, envelope=envelope, embed=embed)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling SpatialUnitsApi->get_spatial_units_by_uuid: %s\n" % e)
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **spatialunit_uid** | **str**| Spatial unit UID | 
 **envelope** | **str**| The endpoint can package everything (header, status code) neatly into the response body. Include envelope&#x3D;true as a request parameter. The API will always return a 200 HTTP status code. The real status, headers and response will be within the body. | [optional] 
 **embed** | [**list[str]**](str.md)| Embedding is triggered by passing in an embed query parameter, which takes a comma separated list of endpoint types. Single fields can be selected a dot-notation (endpoint-type.property-name) | [optional] 

### Return type

[**list[SpatialUnitsFeatureEndpointType]**](SpatialUnitsFeatureEndpointType.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **get_spatial_units_concepts**
> list[SpatialUnitsFeatureEndpointType] get_spatial_units_concepts(envelope=envelope, uid=uid, name=name, projects=projects, spatialunit=spatialunit, tags=tags, page=page, sort=sort, fields=fields, embed=embed)

Returns a list of spatial units concepts

Returns a list of spatial units concepts

### Example
```python
from __future__ import print_function
import time
import swagger_client
from swagger_client.rest import ApiException
from pprint import pprint

# create an instance of the API class
api_instance = swagger_client.SpatialUnitsApi()
envelope = 'envelope_example' # str | The endpoint can package everything (header, status code) neatly into the response body. Include envelope=true as a request parameter. The API will always return a 200 HTTP status code. The real status, headers and response will be within the body. (optional)
uid = ['uid_example'] # list[str] | Comma separated list of Spatial unit UID (optional)
name = ['name_example'] # list[str] | Comma separated list of AdminSources names (optional)
projects = ['projects_example'] # list[str] | Comma separated list of project UID (optional)
spatialunit = ['spatialunit_example'] # list[str] | Comma separated list of SpatialSource UID (optional)
tags = ['tags_example'] # list[str] | Comma separated list of tags (optional)
page = 56 # int | Requests for collections can return between 0 and N results, controlled using the per_page and page query parameters. All endpoints are limited to 10 results by default. (optional)
sort = 'sort_example' # str | The sorting is initiated by the sort query parameter and a list of comma separated list of fields to sort by. (optional)
fields = ['fields_example'] # list[str] | Comma separated list of tags (optional)
embed = ['embed_example'] # list[str] | Embedding is triggered by passing in an embed query parameter, which takes a comma separated list of endpoint types. Single fields can be selected a dot-notation (endpoint-type.property-name) (optional)

try:
    # Returns a list of spatial units concepts
    api_response = api_instance.get_spatial_units_concepts(envelope=envelope, uid=uid, name=name, projects=projects, spatialunit=spatialunit, tags=tags, page=page, sort=sort, fields=fields, embed=embed)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling SpatialUnitsApi->get_spatial_units_concepts: %s\n" % e)
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **envelope** | **str**| The endpoint can package everything (header, status code) neatly into the response body. Include envelope&#x3D;true as a request parameter. The API will always return a 200 HTTP status code. The real status, headers and response will be within the body. | [optional] 
 **uid** | [**list[str]**](str.md)| Comma separated list of Spatial unit UID | [optional] 
 **name** | [**list[str]**](str.md)| Comma separated list of AdminSources names | [optional] 
 **projects** | [**list[str]**](str.md)| Comma separated list of project UID | [optional] 
 **spatialunit** | [**list[str]**](str.md)| Comma separated list of SpatialSource UID | [optional] 
 **tags** | [**list[str]**](str.md)| Comma separated list of tags | [optional] 
 **page** | **int**| Requests for collections can return between 0 and N results, controlled using the per_page and page query parameters. All endpoints are limited to 10 results by default. | [optional] 
 **sort** | **str**| The sorting is initiated by the sort query parameter and a list of comma separated list of fields to sort by. | [optional] 
 **fields** | [**list[str]**](str.md)| Comma separated list of tags | [optional] 
 **embed** | [**list[str]**](str.md)| Embedding is triggered by passing in an embed query parameter, which takes a comma separated list of endpoint types. Single fields can be selected a dot-notation (endpoint-type.property-name) | [optional] 

### Return type

[**list[SpatialUnitsFeatureEndpointType]**](SpatialUnitsFeatureEndpointType.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **get_spatial_units_qualitative**
> list[SpatialUnitsFeatureEndpointType] get_spatial_units_qualitative(querywindow, envelope=envelope, uid=uid, name=name, concept=concept, level=level, projects=projects, adminsource=adminsource, tags=tags, page=page, sort=sort, fields=fields, embed=embed)

Returns a list of SpatialUnits

Returns a list of SpatialUnits as feature with geometry

### Example
```python
from __future__ import print_function
import time
import swagger_client
from swagger_client.rest import ApiException
from pprint import pprint

# create an instance of the API class
api_instance = swagger_client.SpatialUnitsApi()
querywindow = 'querywindow_example' # str | Polygon. The polygon is encoded a comma separated list of coordinates. X1, Y1, X2, Y2, ..., Xn, Yn, X1, Y1
envelope = 'envelope_example' # str | The endpoint can package everything (header, status code) neatly into the response body. Include envelope=true as a request parameter. The API will always return a 200 HTTP status code. The real status, headers and response will be within the body. (optional)
uid = ['uid_example'] # list[str] | Comma separated list of Spatial unit UID (optional)
name = ['name_example'] # list[str] | Comma separated list of AdminSources names (optional)
concept = ['concept_example'] # list[str] | Comma separated list of Spatial Unit concepts (optional)
level = ['level_example'] # list[str] | Comma separated list of LADM Levels (optional)
projects = ['projects_example'] # list[str] | Comma separated list of project UID (optional)
adminsource = ['adminsource_example'] # list[str] | Comma separated list of SpatialSource UID (optional)
tags = ['tags_example'] # list[str] | Comma separated list of tags (optional)
page = 56 # int | Requests for collections can return between 0 and N results, controlled using the per_page and page query parameters. All endpoints are limited to 10 results by default. (optional)
sort = 'sort_example' # str | The sorting is initiated by the sort query parameter and a list of comma separated list of fields to sort by. (optional)
fields = ['fields_example'] # list[str] | Comma separated list of tags (optional)
embed = ['embed_example'] # list[str] | Embedding is triggered by passing in an embed query parameter, which takes a comma separated list of endpoint types. Single fields can be selected a dot-notation (endpoint-type.property-name) (optional)

try:
    # Returns a list of SpatialUnits
    api_response = api_instance.get_spatial_units_qualitative(querywindow, envelope=envelope, uid=uid, name=name, concept=concept, level=level, projects=projects, adminsource=adminsource, tags=tags, page=page, sort=sort, fields=fields, embed=embed)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling SpatialUnitsApi->get_spatial_units_qualitative: %s\n" % e)
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **querywindow** | **str**| Polygon. The polygon is encoded a comma separated list of coordinates. X1, Y1, X2, Y2, ..., Xn, Yn, X1, Y1 | 
 **envelope** | **str**| The endpoint can package everything (header, status code) neatly into the response body. Include envelope&#x3D;true as a request parameter. The API will always return a 200 HTTP status code. The real status, headers and response will be within the body. | [optional] 
 **uid** | [**list[str]**](str.md)| Comma separated list of Spatial unit UID | [optional] 
 **name** | [**list[str]**](str.md)| Comma separated list of AdminSources names | [optional] 
 **concept** | [**list[str]**](str.md)| Comma separated list of Spatial Unit concepts | [optional] 
 **level** | [**list[str]**](str.md)| Comma separated list of LADM Levels | [optional] 
 **projects** | [**list[str]**](str.md)| Comma separated list of project UID | [optional] 
 **adminsource** | [**list[str]**](str.md)| Comma separated list of SpatialSource UID | [optional] 
 **tags** | [**list[str]**](str.md)| Comma separated list of tags | [optional] 
 **page** | **int**| Requests for collections can return between 0 and N results, controlled using the per_page and page query parameters. All endpoints are limited to 10 results by default. | [optional] 
 **sort** | **str**| The sorting is initiated by the sort query parameter and a list of comma separated list of fields to sort by. | [optional] 
 **fields** | [**list[str]**](str.md)| Comma separated list of tags | [optional] 
 **embed** | [**list[str]**](str.md)| Embedding is triggered by passing in an embed query parameter, which takes a comma separated list of endpoint types. Single fields can be selected a dot-notation (endpoint-type.property-name) | [optional] 

### Return type

[**list[SpatialUnitsFeatureEndpointType]**](SpatialUnitsFeatureEndpointType.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **new_spatial_unit**
> SpatialUnitsFeatureEndpointType new_spatial_unit(newspatialunit, envelope=envelope, embed=embed, i4l_process_uid=i4l_process_uid)

Create a new SpatialUnit

Create a new SpatialUnit with 2d polygon base spatial profile. The spatial unit is modeled as a GeoJSON feature. The endpoint currently allows only one spatial unit per request.

### Example
```python
from __future__ import print_function
import time
import swagger_client
from swagger_client.rest import ApiException
from pprint import pprint

# create an instance of the API class
api_instance = swagger_client.SpatialUnitsApi()
newspatialunit = swagger_client.SpatialUnitsFeaturePostRequest() # SpatialUnitsFeaturePostRequest | New Spatial Unit data
envelope = 'envelope_example' # str | The endpoint can package everything (header, status code) neatly into the response body. Include envelope=true as a request parameter. The API will always return a 200 HTTP status code. The real status, headers and response will be within the body. (optional)
embed = ['embed_example'] # list[str] | Embedding is triggered by passing in an embed query parameter, which takes a comma separated list of endpoint types. Single fields can be selected a dot-notation (endpoint-type.property-name) (optional)
i4l_process_uid = 'i4l_process_uid_example' # str | Process UID. This parameter can be used by an its4land tool running inside the runtime environment to pass the process uid to the endpoint. With this information the endpoint can associate the newly created or updated resource with the process. (optional)

try:
    # Create a new SpatialUnit
    api_response = api_instance.new_spatial_unit(newspatialunit, envelope=envelope, embed=embed, i4l_process_uid=i4l_process_uid)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling SpatialUnitsApi->new_spatial_unit: %s\n" % e)
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **newspatialunit** | [**SpatialUnitsFeaturePostRequest**](SpatialUnitsFeaturePostRequest.md)| New Spatial Unit data | 
 **envelope** | **str**| The endpoint can package everything (header, status code) neatly into the response body. Include envelope&#x3D;true as a request parameter. The API will always return a 200 HTTP status code. The real status, headers and response will be within the body. | [optional] 
 **embed** | [**list[str]**](str.md)| Embedding is triggered by passing in an embed query parameter, which takes a comma separated list of endpoint types. Single fields can be selected a dot-notation (endpoint-type.property-name) | [optional] 
 **i4l_process_uid** | **str**| Process UID. This parameter can be used by an its4land tool running inside the runtime environment to pass the process uid to the endpoint. With this information the endpoint can associate the newly created or updated resource with the process. | [optional] 

### Return type

[**SpatialUnitsFeatureEndpointType**](SpatialUnitsFeatureEndpointType.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **new_spatial_unit_concept**
> SpatialUnitConceptEndpointType new_spatial_unit_concept(newspatialunitconcept, envelope=envelope, embed=embed, i4l_process_uid=i4l_process_uid)

Create a new concept for a spatial unit

Create a new concept for a spatial unit.

### Example
```python
from __future__ import print_function
import time
import swagger_client
from swagger_client.rest import ApiException
from pprint import pprint

# create an instance of the API class
api_instance = swagger_client.SpatialUnitsApi()
newspatialunitconcept = swagger_client.SpatialUnitConceptPostRequest() # SpatialUnitConceptPostRequest | New Spatial Unit concept data
envelope = 'envelope_example' # str | The endpoint can package everything (header, status code) neatly into the response body. Include envelope=true as a request parameter. The API will always return a 200 HTTP status code. The real status, headers and response will be within the body. (optional)
embed = ['embed_example'] # list[str] | Embedding is triggered by passing in an embed query parameter, which takes a comma separated list of endpoint types. Single fields can be selected a dot-notation (endpoint-type.property-name) (optional)
i4l_process_uid = 'i4l_process_uid_example' # str | Process UID. This parameter can be used by an its4land tool running inside the runtime environment to pass the process uid to the endpoint. With this information the endpoint can associate the newly created or updated resource with the process. (optional)

try:
    # Create a new concept for a spatial unit
    api_response = api_instance.new_spatial_unit_concept(newspatialunitconcept, envelope=envelope, embed=embed, i4l_process_uid=i4l_process_uid)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling SpatialUnitsApi->new_spatial_unit_concept: %s\n" % e)
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **newspatialunitconcept** | [**SpatialUnitConceptPostRequest**](SpatialUnitConceptPostRequest.md)| New Spatial Unit concept data | 
 **envelope** | **str**| The endpoint can package everything (header, status code) neatly into the response body. Include envelope&#x3D;true as a request parameter. The API will always return a 200 HTTP status code. The real status, headers and response will be within the body. | [optional] 
 **embed** | [**list[str]**](str.md)| Embedding is triggered by passing in an embed query parameter, which takes a comma separated list of endpoint types. Single fields can be selected a dot-notation (endpoint-type.property-name) | [optional] 
 **i4l_process_uid** | **str**| Process UID. This parameter can be used by an its4land tool running inside the runtime environment to pass the process uid to the endpoint. With this information the endpoint can associate the newly created or updated resource with the process. | [optional] 

### Return type

[**SpatialUnitConceptEndpointType**](SpatialUnitConceptEndpointType.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **new_spatial_unit_qualitative**
> SpatialUnitsFeatureEndpointType new_spatial_unit_qualitative(newspatialunit, envelope=envelope, embed=embed, i4l_process_uid=i4l_process_uid)

Create a new SpatialUnit

Create a new SpatialUnit with qualitative base spatial profile

### Example
```python
from __future__ import print_function
import time
import swagger_client
from swagger_client.rest import ApiException
from pprint import pprint

# create an instance of the API class
api_instance = swagger_client.SpatialUnitsApi()
newspatialunit = swagger_client.SpatialUnitsFeaturePostRequest() # SpatialUnitsFeaturePostRequest | New Spatial Unit data
envelope = 'envelope_example' # str | The endpoint can package everything (header, status code) neatly into the response body. Include envelope=true as a request parameter. The API will always return a 200 HTTP status code. The real status, headers and response will be within the body. (optional)
embed = ['embed_example'] # list[str] | Embedding is triggered by passing in an embed query parameter, which takes a comma separated list of endpoint types. Single fields can be selected a dot-notation (endpoint-type.property-name) (optional)
i4l_process_uid = 'i4l_process_uid_example' # str | Process UID. This parameter can be used by an its4land tool running inside the runtime environment to pass the process uid to the endpoint. With this information the endpoint can associate the newly created or updated resource with the process. (optional)

try:
    # Create a new SpatialUnit
    api_response = api_instance.new_spatial_unit_qualitative(newspatialunit, envelope=envelope, embed=embed, i4l_process_uid=i4l_process_uid)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling SpatialUnitsApi->new_spatial_unit_qualitative: %s\n" % e)
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **newspatialunit** | [**SpatialUnitsFeaturePostRequest**](SpatialUnitsFeaturePostRequest.md)| New Spatial Unit data | 
 **envelope** | **str**| The endpoint can package everything (header, status code) neatly into the response body. Include envelope&#x3D;true as a request parameter. The API will always return a 200 HTTP status code. The real status, headers and response will be within the body. | [optional] 
 **embed** | [**list[str]**](str.md)| Embedding is triggered by passing in an embed query parameter, which takes a comma separated list of endpoint types. Single fields can be selected a dot-notation (endpoint-type.property-name) | [optional] 
 **i4l_process_uid** | **str**| Process UID. This parameter can be used by an its4land tool running inside the runtime environment to pass the process uid to the endpoint. With this information the endpoint can associate the newly created or updated resource with the process. | [optional] 

### Return type

[**SpatialUnitsFeatureEndpointType**](SpatialUnitsFeatureEndpointType.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **update_spatial_unit**
> SpatialUnitsFeatureEndpointType update_spatial_unit(spatialunit_uid, patchspatialunit, envelope=envelope, i4l_process_uid=i4l_process_uid)

Update an spatial unit

Update an spatial unit with 2d polygon base spatial profile

### Example
```python
from __future__ import print_function
import time
import swagger_client
from swagger_client.rest import ApiException
from pprint import pprint

# create an instance of the API class
api_instance = swagger_client.SpatialUnitsApi()
spatialunit_uid = 'spatialunit_uid_example' # str | Spatial unit UID
patchspatialunit = swagger_client.RFC6902PatchRequest() # RFC6902PatchRequest | Update data
envelope = 'envelope_example' # str | The endpoint can package everything (header, status code) neatly into the response body. Include envelope=true as a request parameter. The API will always return a 200 HTTP status code. The real status, headers and response will be within the body. (optional)
i4l_process_uid = 'i4l_process_uid_example' # str | Process UID. This parameter can be used by an its4land tool running inside the runtime environment to pass the process uid to the endpoint. With this information the endpoint can associate the newly created or updated resource with the process. (optional)

try:
    # Update an spatial unit
    api_response = api_instance.update_spatial_unit(spatialunit_uid, patchspatialunit, envelope=envelope, i4l_process_uid=i4l_process_uid)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling SpatialUnitsApi->update_spatial_unit: %s\n" % e)
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **spatialunit_uid** | **str**| Spatial unit UID | 
 **patchspatialunit** | [**RFC6902PatchRequest**](RFC6902PatchRequest.md)| Update data | 
 **envelope** | **str**| The endpoint can package everything (header, status code) neatly into the response body. Include envelope&#x3D;true as a request parameter. The API will always return a 200 HTTP status code. The real status, headers and response will be within the body. | [optional] 
 **i4l_process_uid** | **str**| Process UID. This parameter can be used by an its4land tool running inside the runtime environment to pass the process uid to the endpoint. With this information the endpoint can associate the newly created or updated resource with the process. | [optional] 

### Return type

[**SpatialUnitsFeatureEndpointType**](SpatialUnitsFeatureEndpointType.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **update_spatial_unit_concept**
> SpatialUnitConceptEndpointType update_spatial_unit_concept(concept_uid, patchspatialunitconcept, envelope=envelope, i4l_process_uid=i4l_process_uid)

Updates a new spatial unit concept

Updates a spatial unit concept

### Example
```python
from __future__ import print_function
import time
import swagger_client
from swagger_client.rest import ApiException
from pprint import pprint

# create an instance of the API class
api_instance = swagger_client.SpatialUnitsApi()
concept_uid = 'concept_uid_example' # str | Spatial unit concept UID
patchspatialunitconcept = swagger_client.RFC6902PatchRequest() # RFC6902PatchRequest | Update data
envelope = 'envelope_example' # str | The endpoint can package everything (header, status code) neatly into the response body. Include envelope=true as a request parameter. The API will always return a 200 HTTP status code. The real status, headers and response will be within the body. (optional)
i4l_process_uid = 'i4l_process_uid_example' # str | Process UID. This parameter can be used by an its4land tool running inside the runtime environment to pass the process uid to the endpoint. With this information the endpoint can associate the newly created or updated resource with the process. (optional)

try:
    # Updates a new spatial unit concept
    api_response = api_instance.update_spatial_unit_concept(concept_uid, patchspatialunitconcept, envelope=envelope, i4l_process_uid=i4l_process_uid)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling SpatialUnitsApi->update_spatial_unit_concept: %s\n" % e)
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **concept_uid** | **str**| Spatial unit concept UID | 
 **patchspatialunitconcept** | [**RFC6902PatchRequest**](RFC6902PatchRequest.md)| Update data | 
 **envelope** | **str**| The endpoint can package everything (header, status code) neatly into the response body. Include envelope&#x3D;true as a request parameter. The API will always return a 200 HTTP status code. The real status, headers and response will be within the body. | [optional] 
 **i4l_process_uid** | **str**| Process UID. This parameter can be used by an its4land tool running inside the runtime environment to pass the process uid to the endpoint. With this information the endpoint can associate the newly created or updated resource with the process. | [optional] 

### Return type

[**SpatialUnitConceptEndpointType**](SpatialUnitConceptEndpointType.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **update_spatial_unit_qualitative**
> SpatialUnitsFeatureEndpointType update_spatial_unit_qualitative(spatialunit_uid, patchspatialunit, envelope=envelope, i4l_process_uid=i4l_process_uid)

Updates a new SpatialUnit

Updates SpatialUnit with qualitative base spatial profile

### Example
```python
from __future__ import print_function
import time
import swagger_client
from swagger_client.rest import ApiException
from pprint import pprint

# create an instance of the API class
api_instance = swagger_client.SpatialUnitsApi()
spatialunit_uid = 'spatialunit_uid_example' # str | Spatial unit UID
patchspatialunit = swagger_client.RFC6902PatchRequest() # RFC6902PatchRequest | Update data
envelope = 'envelope_example' # str | The endpoint can package everything (header, status code) neatly into the response body. Include envelope=true as a request parameter. The API will always return a 200 HTTP status code. The real status, headers and response will be within the body. (optional)
i4l_process_uid = 'i4l_process_uid_example' # str | Process UID. This parameter can be used by an its4land tool running inside the runtime environment to pass the process uid to the endpoint. With this information the endpoint can associate the newly created or updated resource with the process. (optional)

try:
    # Updates a new SpatialUnit
    api_response = api_instance.update_spatial_unit_qualitative(spatialunit_uid, patchspatialunit, envelope=envelope, i4l_process_uid=i4l_process_uid)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling SpatialUnitsApi->update_spatial_unit_qualitative: %s\n" % e)
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **spatialunit_uid** | **str**| Spatial unit UID | 
 **patchspatialunit** | [**RFC6902PatchRequest**](RFC6902PatchRequest.md)| Update data | 
 **envelope** | **str**| The endpoint can package everything (header, status code) neatly into the response body. Include envelope&#x3D;true as a request parameter. The API will always return a 200 HTTP status code. The real status, headers and response will be within the body. | [optional] 
 **i4l_process_uid** | **str**| Process UID. This parameter can be used by an its4land tool running inside the runtime environment to pass the process uid to the endpoint. With this information the endpoint can associate the newly created or updated resource with the process. | [optional] 

### Return type

[**SpatialUnitsFeatureEndpointType**](SpatialUnitsFeatureEndpointType.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

