# swagger_client.WP5ValidationSetsApi

All URIs are relative to *https://platform.its4land.com*

Method | HTTP request | Description
------------- | ------------- | -------------
[**get_wp5_validation_set_by_uid**](WP5ValidationSetsApi.md#get_wp5_validation_set_by_uid) | **GET** /WP5ValidationSets/{wp5validationset_uid} | Returns a single WP5ValidationSet
[**get_wp5_validation_sets**](WP5ValidationSetsApi.md#get_wp5_validation_sets) | **GET** /WP5ValidationSets | Returns a list of WP5ValidationSets
[**new_wp5_validation_sets**](WP5ValidationSetsApi.md#new_wp5_validation_sets) | **POST** /WP5ValidationSets | Create a new WP5ValidationSets


# **get_wp5_validation_set_by_uid**
> WP5ValidationSetsEndpointType get_wp5_validation_set_by_uid(wp5validationset_uid, envelope=envelope, embed=embed)

Returns a single WP5ValidationSet

Returns a single WP5ValidationSet

### Example
```python
from __future__ import print_function
import time
import swagger_client
from swagger_client.rest import ApiException
from pprint import pprint

# create an instance of the API class
api_instance = swagger_client.WP5ValidationSetsApi()
wp5validationset_uid = 'wp5validationset_uid_example' # str | WP5ValidationSet UID
envelope = 'envelope_example' # str | The endpoint can package everything (header, status code) neatly into the response body. Include envelope=true as a request parameter. The API will always return a 200 HTTP status code. The real status, headers and response will be within the body. (optional)
embed = ['embed_example'] # list[str] | Embedding is triggered by passing in an embed query parameter, which takes a comma separated list of endpoint types. Single fields can be selected a dot-notation (endpoint-type.property-name) (optional)

try:
    # Returns a single WP5ValidationSet
    api_response = api_instance.get_wp5_validation_set_by_uid(wp5validationset_uid, envelope=envelope, embed=embed)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling WP5ValidationSetsApi->get_wp5_validation_set_by_uid: %s\n" % e)
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **wp5validationset_uid** | **str**| WP5ValidationSet UID | 
 **envelope** | **str**| The endpoint can package everything (header, status code) neatly into the response body. Include envelope&#x3D;true as a request parameter. The API will always return a 200 HTTP status code. The real status, headers and response will be within the body. | [optional] 
 **embed** | [**list[str]**](str.md)| Embedding is triggered by passing in an embed query parameter, which takes a comma separated list of endpoint types. Single fields can be selected a dot-notation (endpoint-type.property-name) | [optional] 

### Return type

[**WP5ValidationSetsEndpointType**](WP5ValidationSetsEndpointType.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **get_wp5_validation_sets**
> list[WP5ValidationSetsEndpointType] get_wp5_validation_sets(envelope=envelope, uid=uid, name=name, models=models, projects=projects, tags=tags, page=page, sort=sort, fields=fields, embed=embed)

Returns a list of WP5ValidationSets

Returns a list of WP5ValidationSets

### Example
```python
from __future__ import print_function
import time
import swagger_client
from swagger_client.rest import ApiException
from pprint import pprint

# create an instance of the API class
api_instance = swagger_client.WP5ValidationSetsApi()
envelope = 'envelope_example' # str | The endpoint can package everything (header, status code) neatly into the response body. Include envelope=true as a request parameter. The API will always return a 200 HTTP status code. The real status, headers and response will be within the body. (optional)
uid = ['uid_example'] # list[str] | Comma separated list of TrainingSet UID (optional)
name = ['name_example'] # list[str] | Comma separated list of WP5ValidationSets Names (optional)
models = ['models_example'] # list[str] | Comma separated list of model UID (optional)
projects = ['projects_example'] # list[str] | Comma separated list of project UID (optional)
tags = ['tags_example'] # list[str] | Comma separated list of tags (optional)
page = 56 # int | Requests for collections can return between 0 and N results, controlled using the per_page and page query parameters. All endpoints are limited to 10 results by default. (optional)
sort = 'sort_example' # str | The sorting is initiated by the sort query parameter and a list of comma separated list of fields to sort by. (optional)
fields = ['fields_example'] # list[str] | Comma separated list of field names (optional)
embed = ['embed_example'] # list[str] | Embedding is triggered by passing in an embed query parameter, which takes a comma separated list of endpoint types. Single fields can be selected a dot-notation (endpoint-type.property-name) (optional)

try:
    # Returns a list of WP5ValidationSets
    api_response = api_instance.get_wp5_validation_sets(envelope=envelope, uid=uid, name=name, models=models, projects=projects, tags=tags, page=page, sort=sort, fields=fields, embed=embed)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling WP5ValidationSetsApi->get_wp5_validation_sets: %s\n" % e)
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **envelope** | **str**| The endpoint can package everything (header, status code) neatly into the response body. Include envelope&#x3D;true as a request parameter. The API will always return a 200 HTTP status code. The real status, headers and response will be within the body. | [optional] 
 **uid** | [**list[str]**](str.md)| Comma separated list of TrainingSet UID | [optional] 
 **name** | [**list[str]**](str.md)| Comma separated list of WP5ValidationSets Names | [optional] 
 **models** | [**list[str]**](str.md)| Comma separated list of model UID | [optional] 
 **projects** | [**list[str]**](str.md)| Comma separated list of project UID | [optional] 
 **tags** | [**list[str]**](str.md)| Comma separated list of tags | [optional] 
 **page** | **int**| Requests for collections can return between 0 and N results, controlled using the per_page and page query parameters. All endpoints are limited to 10 results by default. | [optional] 
 **sort** | **str**| The sorting is initiated by the sort query parameter and a list of comma separated list of fields to sort by. | [optional] 
 **fields** | [**list[str]**](str.md)| Comma separated list of field names | [optional] 
 **embed** | [**list[str]**](str.md)| Embedding is triggered by passing in an embed query parameter, which takes a comma separated list of endpoint types. Single fields can be selected a dot-notation (endpoint-type.property-name) | [optional] 

### Return type

[**list[WP5ValidationSetsEndpointType]**](WP5ValidationSetsEndpointType.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **new_wp5_validation_sets**
> WP5ValidationSetsEndpointType new_wp5_validation_sets(newwp5validationsets, envelope=envelope, embed=embed, i4l_process_uid=i4l_process_uid)

Create a new WP5ValidationSets

Create a new TrainingSet. To add a new WP5ValidationSets , the content of WP5ValidationSets  must be stored in advanced via the ContentItem endpoint

### Example
```python
from __future__ import print_function
import time
import swagger_client
from swagger_client.rest import ApiException
from pprint import pprint

# create an instance of the API class
api_instance = swagger_client.WP5ValidationSetsApi()
newwp5validationsets = swagger_client.WP5ValidationSetsPostRequest() # WP5ValidationSetsPostRequest | New WP5ValidationSet data
envelope = 'envelope_example' # str | The endpoint can package everything (header, status code) neatly into the response body. Include envelope=true as a request parameter. The API will always return a 200 HTTP status code. The real status, headers and response will be within the body. (optional)
embed = ['embed_example'] # list[str] | Embedding is triggered by passing in an embed query parameter, which takes a comma separated list of endpoint types. Single fields can be selected a dot-notation (endpoint-type.property-name) (optional)
i4l_process_uid = 'i4l_process_uid_example' # str | Process UID. This parameter can be used by an its4land tool running inside the runtime environment to pass the process uid to the endpoint. With this information the endpoint can associate the newly created or updated resource with the process. (optional)

try:
    # Create a new WP5ValidationSets
    api_response = api_instance.new_wp5_validation_sets(newwp5validationsets, envelope=envelope, embed=embed, i4l_process_uid=i4l_process_uid)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling WP5ValidationSetsApi->new_wp5_validation_sets: %s\n" % e)
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **newwp5validationsets** | [**WP5ValidationSetsPostRequest**](WP5ValidationSetsPostRequest.md)| New WP5ValidationSet data | 
 **envelope** | **str**| The endpoint can package everything (header, status code) neatly into the response body. Include envelope&#x3D;true as a request parameter. The API will always return a 200 HTTP status code. The real status, headers and response will be within the body. | [optional] 
 **embed** | [**list[str]**](str.md)| Embedding is triggered by passing in an embed query parameter, which takes a comma separated list of endpoint types. Single fields can be selected a dot-notation (endpoint-type.property-name) | [optional] 
 **i4l_process_uid** | **str**| Process UID. This parameter can be used by an its4land tool running inside the runtime environment to pass the process uid to the endpoint. With this information the endpoint can associate the newly created or updated resource with the process. | [optional] 

### Return type

[**WP5ValidationSetsEndpointType**](WP5ValidationSetsEndpointType.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

