# coding: utf-8

"""
    its4land Public API

    The its4land Public API provides access to the services of the its4land Publish and Share platform.  # noqa: E501

    OpenAPI spec version: 0.0.2
    Contact: contact@its4land.com
    Generated by: https://github.com/swagger-api/swagger-codegen.git
"""


from __future__ import absolute_import

import re  # noqa: F401

# python 2 and python 3 compatibility library
import six

from swagger_client.api_client import ApiClient


class ContentItemsApi(object):
    """NOTE: This class is auto generated by the swagger code generator program.

    Do not edit the class manually.
    Ref: https://github.com/swagger-api/swagger-codegen
    """

    def __init__(self, api_client=None):
        if api_client is None:
            api_client = ApiClient()
        self.api_client = api_client

    def get_content_item(self, contentitem_id, **kwargs):  # noqa: E501
        """Returns a single content from the object storage.  # noqa: E501

        Returns a single content from the object storage.  # noqa: E501
        This method makes a synchronous HTTP request by default. To make an
        asynchronous HTTP request, please pass async=True
        >>> thread = api.get_content_item(contentitem_id, async=True)
        >>> result = thread.get()

        :param async bool
        :param str contentitem_id: UID of the ContentItem (required)
        :param str envelope: The endpoint can package everything (header, status code) neatly into the response body. Include envelope=true as a request parameter. The API will always return a 200 HTTP status code. The real status, headers and response will be within the body.
        :return: file
                 If the method is called asynchronously,
                 returns the request thread.
        """
        kwargs['_return_http_data_only'] = True
        if kwargs.get('async'):
            return self.get_content_item_with_http_info(contentitem_id, **kwargs)  # noqa: E501
        else:
            (data) = self.get_content_item_with_http_info(contentitem_id, **kwargs)  # noqa: E501
            return data

    def get_content_item_with_http_info(self, contentitem_id, **kwargs):  # noqa: E501
        """Returns a single content from the object storage.  # noqa: E501

        Returns a single content from the object storage.  # noqa: E501
        This method makes a synchronous HTTP request by default. To make an
        asynchronous HTTP request, please pass async=True
        >>> thread = api.get_content_item_with_http_info(contentitem_id, async=True)
        >>> result = thread.get()

        :param async bool
        :param str contentitem_id: UID of the ContentItem (required)
        :param str envelope: The endpoint can package everything (header, status code) neatly into the response body. Include envelope=true as a request parameter. The API will always return a 200 HTTP status code. The real status, headers and response will be within the body.
        :return: file
                 If the method is called asynchronously,
                 returns the request thread.
        """

        all_params = ['contentitem_id', 'envelope']  # noqa: E501
        all_params.append('async')
        all_params.append('_return_http_data_only')
        all_params.append('_preload_content')
        all_params.append('_request_timeout')

        params = locals()
        for key, val in six.iteritems(params['kwargs']):
            if key not in all_params:
                raise TypeError(
                    "Got an unexpected keyword argument '%s'"
                    " to method get_content_item" % key
                )
            params[key] = val
        del params['kwargs']
        # verify the required parameter 'contentitem_id' is set
        if ('contentitem_id' not in params or
                params['contentitem_id'] is None):
            raise ValueError("Missing the required parameter `contentitem_id` when calling `get_content_item`")  # noqa: E501

        collection_formats = {}

        path_params = {}
        if 'contentitem_id' in params:
            path_params['contentitem_id'] = params['contentitem_id']  # noqa: E501

        query_params = []
        if 'envelope' in params:
            query_params.append(('envelope', params['envelope']))  # noqa: E501

        header_params = {}

        form_params = []
        local_var_files = {}

        body_params = None
        # HTTP header `Accept`
        header_params['Accept'] = self.api_client.select_header_accept(
            ['multipart/form-data'])  # noqa: E501

        # Authentication setting
        auth_settings = []  # noqa: E501

        return self.api_client.call_api(
            '/contentitems/{contentitem_id}', 'GET',
            path_params,
            query_params,
            header_params,
            body=body_params,
            post_params=form_params,
            files=local_var_files,
            response_type='file',  # noqa: E501
            auth_settings=auth_settings,
            async=params.get('async'),
            _return_http_data_only=params.get('_return_http_data_only'),
            _preload_content=params.get('_preload_content', True),
            _request_timeout=params.get('_request_timeout'),
            collection_formats=collection_formats)

    def get_content_items(self, **kwargs):  # noqa: E501
        """Returns a list of contentitems  # noqa: E501

        Returns a list of contentitem metadata based on the filter criteria  # noqa: E501
        This method makes a synchronous HTTP request by default. To make an
        asynchronous HTTP request, please pass async=True
        >>> thread = api.get_content_items(async=True)
        >>> result = thread.get()

        :param async bool
        :param str envelope: The endpoint can package everything (header, status code) neatly into the response body. Include envelope=true as a request parameter. The API will always return a 200 HTTP status code. The real status, headers and response will be within the body.
        :param list[str] uid: UID of a ContentItem
        :param list[str] contentname: Name of File
        :param list[str] contenttype: mime/type of the content
        :param str contentdescription: Free text for description. Only plain text.
        :param int page: Requests for collections can return between 0 and N results, controlled using the per_page and page query parameters. All endpoints are limited to 10 results by default.
        :param str sort: The sorting is initiated by the sort query parameter and a list of comma separated list of fields to sort by.
        :param list[str] fields: Comma separated list of field names
        :param list[str] embed: Embedding is triggered by passing in an embed query parameter, which takes a comma separated list of endpoint types. Single fields can be selected a dot-notation (endpoint-type.property-name)
        :return: list[ContentItemEndpointType]
                 If the method is called asynchronously,
                 returns the request thread.
        """
        kwargs['_return_http_data_only'] = True
        if kwargs.get('async'):
            return self.get_content_items_with_http_info(**kwargs)  # noqa: E501
        else:
            (data) = self.get_content_items_with_http_info(**kwargs)  # noqa: E501
            return data

    def get_content_items_with_http_info(self, **kwargs):  # noqa: E501
        """Returns a list of contentitems  # noqa: E501

        Returns a list of contentitem metadata based on the filter criteria  # noqa: E501
        This method makes a synchronous HTTP request by default. To make an
        asynchronous HTTP request, please pass async=True
        >>> thread = api.get_content_items_with_http_info(async=True)
        >>> result = thread.get()

        :param async bool
        :param str envelope: The endpoint can package everything (header, status code) neatly into the response body. Include envelope=true as a request parameter. The API will always return a 200 HTTP status code. The real status, headers and response will be within the body.
        :param list[str] uid: UID of a ContentItem
        :param list[str] contentname: Name of File
        :param list[str] contenttype: mime/type of the content
        :param str contentdescription: Free text for description. Only plain text.
        :param int page: Requests for collections can return between 0 and N results, controlled using the per_page and page query parameters. All endpoints are limited to 10 results by default.
        :param str sort: The sorting is initiated by the sort query parameter and a list of comma separated list of fields to sort by.
        :param list[str] fields: Comma separated list of field names
        :param list[str] embed: Embedding is triggered by passing in an embed query parameter, which takes a comma separated list of endpoint types. Single fields can be selected a dot-notation (endpoint-type.property-name)
        :return: list[ContentItemEndpointType]
                 If the method is called asynchronously,
                 returns the request thread.
        """

        all_params = ['envelope', 'uid', 'contentname', 'contenttype', 'contentdescription', 'page', 'sort', 'fields', 'embed']  # noqa: E501
        all_params.append('async')
        all_params.append('_return_http_data_only')
        all_params.append('_preload_content')
        all_params.append('_request_timeout')

        params = locals()
        for key, val in six.iteritems(params['kwargs']):
            if key not in all_params:
                raise TypeError(
                    "Got an unexpected keyword argument '%s'"
                    " to method get_content_items" % key
                )
            params[key] = val
        del params['kwargs']

        collection_formats = {}

        path_params = {}

        query_params = []
        if 'envelope' in params:
            query_params.append(('envelope', params['envelope']))  # noqa: E501
        if 'uid' in params:
            query_params.append(('uid', params['uid']))  # noqa: E501
            collection_formats['uid'] = 'csv'  # noqa: E501
        if 'contentname' in params:
            query_params.append(('contentname', params['contentname']))  # noqa: E501
            collection_formats['contentname'] = 'csv'  # noqa: E501
        if 'contenttype' in params:
            query_params.append(('contenttype', params['contenttype']))  # noqa: E501
            collection_formats['contenttype'] = 'csv'  # noqa: E501
        if 'contentdescription' in params:
            query_params.append(('contentdescription', params['contentdescription']))  # noqa: E501
        if 'page' in params:
            query_params.append(('page', params['page']))  # noqa: E501
        if 'sort' in params:
            query_params.append(('sort', params['sort']))  # noqa: E501
        if 'fields' in params:
            query_params.append(('fields', params['fields']))  # noqa: E501
            collection_formats['fields'] = 'csv'  # noqa: E501
        if 'embed' in params:
            query_params.append(('embed', params['embed']))  # noqa: E501
            collection_formats['embed'] = 'csv'  # noqa: E501

        header_params = {}

        form_params = []
        local_var_files = {}

        body_params = None
        # HTTP header `Accept`
        header_params['Accept'] = self.api_client.select_header_accept(
            ['application/json'])  # noqa: E501

        # Authentication setting
        auth_settings = []  # noqa: E501

        return self.api_client.call_api(
            '/contentitems', 'GET',
            path_params,
            query_params,
            header_params,
            body=body_params,
            post_params=form_params,
            files=local_var_files,
            response_type='list[ContentItemEndpointType]',  # noqa: E501
            auth_settings=auth_settings,
            async=params.get('async'),
            _return_http_data_only=params.get('_return_http_data_only'),
            _preload_content=params.get('_preload_content', True),
            _request_timeout=params.get('_request_timeout'),
            collection_formats=collection_formats)

    def new_content_item(self, newcontent, **kwargs):  # noqa: E501
        """Create a new content in the object storage  # noqa: E501

        Create a new content in the object storage  # noqa: E501
        This method makes a synchronous HTTP request by default. To make an
        asynchronous HTTP request, please pass async=True
        >>> thread = api.new_content_item(newcontent, async=True)
        >>> result = thread.get()

        :param async bool
        :param file newcontent: Content as multipart from-data (required)
        :param str envelope: The endpoint can package everything (header, status code) neatly into the response body. Include envelope=true as a request parameter. The API will always return a 200 HTTP status code. The real status, headers and response will be within the body.
        :param str description: Description of content (optional)
        :param str i4l_process_uid: Process UID. This parameter can be used by an its4land tool running inside the runtime environment to pass the process uid to the endpoint. With this information the endpoint can associate the newly created or updated resource with the process.
        :return: ContentItemEndpointType
                 If the method is called asynchronously,
                 returns the request thread.
        """
        kwargs['_return_http_data_only'] = True
        if kwargs.get('async'):
            return self.new_content_item_with_http_info(newcontent, **kwargs)  # noqa: E501
        else:
            (data) = self.new_content_item_with_http_info(newcontent, **kwargs)  # noqa: E501
            return data

    def new_content_item_with_http_info(self, newcontent, **kwargs):  # noqa: E501
        """Create a new content in the object storage  # noqa: E501

        Create a new content in the object storage  # noqa: E501
        This method makes a synchronous HTTP request by default. To make an
        asynchronous HTTP request, please pass async=True
        >>> thread = api.new_content_item_with_http_info(newcontent, async=True)
        >>> result = thread.get()

        :param async bool
        :param file newcontent: Content as multipart from-data (required)
        :param str envelope: The endpoint can package everything (header, status code) neatly into the response body. Include envelope=true as a request parameter. The API will always return a 200 HTTP status code. The real status, headers and response will be within the body.
        :param str description: Description of content (optional)
        :param str i4l_process_uid: Process UID. This parameter can be used by an its4land tool running inside the runtime environment to pass the process uid to the endpoint. With this information the endpoint can associate the newly created or updated resource with the process.
        :return: ContentItemEndpointType
                 If the method is called asynchronously,
                 returns the request thread.
        """

        all_params = ['newcontent', 'envelope', 'description', 'i4l_process_uid']  # noqa: E501
        all_params.append('async')
        all_params.append('_return_http_data_only')
        all_params.append('_preload_content')
        all_params.append('_request_timeout')

        params = locals()
        for key, val in six.iteritems(params['kwargs']):
            if key not in all_params:
                raise TypeError(
                    "Got an unexpected keyword argument '%s'"
                    " to method new_content_item" % key
                )
            params[key] = val
        del params['kwargs']
        # verify the required parameter 'newcontent' is set
        if ('newcontent' not in params or
                params['newcontent'] is None):
            raise ValueError("Missing the required parameter `newcontent` when calling `new_content_item`")  # noqa: E501

        collection_formats = {}

        path_params = {}

        query_params = []
        if 'envelope' in params:
            query_params.append(('envelope', params['envelope']))  # noqa: E501

        header_params = {}
        if 'i4l_process_uid' in params:
            header_params['i4l-process-uid'] = params['i4l_process_uid']  # noqa: E501

        form_params = []
        local_var_files = {}
        if 'newcontent' in params:
            local_var_files['newcontent'] = params['newcontent']  # noqa: E501
        if 'description' in params:
            form_params.append(('description', params['description']))  # noqa: E501

        body_params = None
        # HTTP header `Accept`
        header_params['Accept'] = self.api_client.select_header_accept(
            ['application/json'])  # noqa: E501

        # HTTP header `Content-Type`
        header_params['Content-Type'] = self.api_client.select_header_content_type(  # noqa: E501
            ['multipart/form-data'])  # noqa: E501

        # Authentication setting
        auth_settings = []  # noqa: E501

        return self.api_client.call_api(
            '/contentitems', 'POST',
            path_params,
            query_params,
            header_params,
            body=body_params,
            post_params=form_params,
            files=local_var_files,
            response_type='ContentItemEndpointType',  # noqa: E501
            auth_settings=auth_settings,
            async=params.get('async'),
            _return_http_data_only=params.get('_return_http_data_only'),
            _preload_content=params.get('_preload_content', True),
            _request_timeout=params.get('_request_timeout'),
            collection_formats=collection_formats)
