# coding: utf-8

"""
    its4land Public API

    The its4land Public API provides access to the services of the its4land Publish and Share platform.  # noqa: E501

    OpenAPI spec version: 0.0.2
    Contact: contact@its4land.com
    Generated by: https://github.com/swagger-api/swagger-codegen.git
"""


from __future__ import absolute_import

import re  # noqa: F401

# python 2 and python 3 compatibility library
import six

from swagger_client.api_client import ApiClient


class MetricMapFeaturesApi(object):
    """NOTE: This class is auto generated by the swagger code generator program.

    Do not edit the class manually.
    Ref: https://github.com/swagger-api/swagger-codegen
    """

    def __init__(self, api_client=None):
        if api_client is None:
            api_client = ApiClient()
        self.api_client = api_client

    def get_metric_map_feature(self, querywindow, **kwargs):  # noqa: E501
        """Returns MetricMapFeature  # noqa: E501

        Returns MetricMapFeature in a GeoJSON structure. A metric map feature is modeled as a feature in  the GeoJSON structure.  # noqa: E501
        This method makes a synchronous HTTP request by default. To make an
        asynchronous HTTP request, please pass async=True
        >>> thread = api.get_metric_map_feature(querywindow, async=True)
        >>> result = thread.get()

        :param async bool
        :param str querywindow: Polygon. The polygon is encoded a comma separated list of coordinates. X1, Y1, X2, Y2, ..., Xn, Yn, X1, Y1 (required)
        :param str envelope: The endpoint can package everything (header, status code) neatly into the response body. Include envelope=true as a request parameter. The API will always return a 200 HTTP status code. The real status, headers and response will be within the body.
        :param str fgroup: Restricts the output to the listed feature group
        :param str ftype: Restricts the output to the listed feature types. When used in combination with fgroup, output contains only those ftype which are contained in the feature groups
        :param str fsubtype: Restricts the output to the listed feature types. When used in combination with fgroup and/or ftype, output contains only those fsubtype which are contained in the feature groups and feature types
        :return: MetricMapFeaturesEndpointType
                 If the method is called asynchronously,
                 returns the request thread.
        """
        kwargs['_return_http_data_only'] = True
        if kwargs.get('async'):
            return self.get_metric_map_feature_with_http_info(querywindow, **kwargs)  # noqa: E501
        else:
            (data) = self.get_metric_map_feature_with_http_info(querywindow, **kwargs)  # noqa: E501
            return data

    def get_metric_map_feature_with_http_info(self, querywindow, **kwargs):  # noqa: E501
        """Returns MetricMapFeature  # noqa: E501

        Returns MetricMapFeature in a GeoJSON structure. A metric map feature is modeled as a feature in  the GeoJSON structure.  # noqa: E501
        This method makes a synchronous HTTP request by default. To make an
        asynchronous HTTP request, please pass async=True
        >>> thread = api.get_metric_map_feature_with_http_info(querywindow, async=True)
        >>> result = thread.get()

        :param async bool
        :param str querywindow: Polygon. The polygon is encoded a comma separated list of coordinates. X1, Y1, X2, Y2, ..., Xn, Yn, X1, Y1 (required)
        :param str envelope: The endpoint can package everything (header, status code) neatly into the response body. Include envelope=true as a request parameter. The API will always return a 200 HTTP status code. The real status, headers and response will be within the body.
        :param str fgroup: Restricts the output to the listed feature group
        :param str ftype: Restricts the output to the listed feature types. When used in combination with fgroup, output contains only those ftype which are contained in the feature groups
        :param str fsubtype: Restricts the output to the listed feature types. When used in combination with fgroup and/or ftype, output contains only those fsubtype which are contained in the feature groups and feature types
        :return: MetricMapFeaturesEndpointType
                 If the method is called asynchronously,
                 returns the request thread.
        """

        all_params = ['querywindow', 'envelope', 'fgroup', 'ftype', 'fsubtype']  # noqa: E501
        all_params.append('async')
        all_params.append('_return_http_data_only')
        all_params.append('_preload_content')
        all_params.append('_request_timeout')

        params = locals()
        for key, val in six.iteritems(params['kwargs']):
            if key not in all_params:
                raise TypeError(
                    "Got an unexpected keyword argument '%s'"
                    " to method get_metric_map_feature" % key
                )
            params[key] = val
        del params['kwargs']
        # verify the required parameter 'querywindow' is set
        if ('querywindow' not in params or
                params['querywindow'] is None):
            raise ValueError("Missing the required parameter `querywindow` when calling `get_metric_map_feature`")  # noqa: E501

        collection_formats = {}

        path_params = {}

        query_params = []
        if 'envelope' in params:
            query_params.append(('envelope', params['envelope']))  # noqa: E501
        if 'querywindow' in params:
            query_params.append(('querywindow', params['querywindow']))  # noqa: E501
        if 'fgroup' in params:
            query_params.append(('fgroup', params['fgroup']))  # noqa: E501
        if 'ftype' in params:
            query_params.append(('ftype', params['ftype']))  # noqa: E501
        if 'fsubtype' in params:
            query_params.append(('fsubtype', params['fsubtype']))  # noqa: E501

        header_params = {}

        form_params = []
        local_var_files = {}

        body_params = None
        # HTTP header `Accept`
        header_params['Accept'] = self.api_client.select_header_accept(
            ['application/json'])  # noqa: E501

        # Authentication setting
        auth_settings = []  # noqa: E501

        return self.api_client.call_api(
            '/metricmapfeature', 'GET',
            path_params,
            query_params,
            header_params,
            body=body_params,
            post_params=form_params,
            files=local_var_files,
            response_type='MetricMapFeaturesEndpointType',  # noqa: E501
            auth_settings=auth_settings,
            async=params.get('async'),
            _return_http_data_only=params.get('_return_http_data_only'),
            _preload_content=params.get('_preload_content', True),
            _request_timeout=params.get('_request_timeout'),
            collection_formats=collection_formats)

    def new_metric_map_feature(self, newmetricmapfeature, **kwargs):  # noqa: E501
        """Create a new metricMapFeature  # noqa: E501

        Create a new MetricMapFeature. The new metric map feature is a feature in the GeoJSON structure. Currently ony one new feature per request is allowed.  # noqa: E501
        This method makes a synchronous HTTP request by default. To make an
        asynchronous HTTP request, please pass async=True
        >>> thread = api.new_metric_map_feature(newmetricmapfeature, async=True)
        >>> result = thread.get()

        :param async bool
        :param MetricMapFeaturePostRequest newmetricmapfeature: New MetricMap Feature data (required)
        :param str envelope: The endpoint can package everything (header, status code) neatly into the response body. Include envelope=true as a request parameter. The API will always return a 200 HTTP status code. The real status, headers and response will be within the body.
        :param str i4l_process_uid: Process UID. This parameter can be used by an its4land tool running inside the runtime environment to pass the process uid to the endpoint. With this information the endpoint can associate the newly created or updated resource with the process.
        :return: MetricMapFeaturesEndpointType
                 If the method is called asynchronously,
                 returns the request thread.
        """
        kwargs['_return_http_data_only'] = True
        if kwargs.get('async'):
            return self.new_metric_map_feature_with_http_info(newmetricmapfeature, **kwargs)  # noqa: E501
        else:
            (data) = self.new_metric_map_feature_with_http_info(newmetricmapfeature, **kwargs)  # noqa: E501
            return data

    def new_metric_map_feature_with_http_info(self, newmetricmapfeature, **kwargs):  # noqa: E501
        """Create a new metricMapFeature  # noqa: E501

        Create a new MetricMapFeature. The new metric map feature is a feature in the GeoJSON structure. Currently ony one new feature per request is allowed.  # noqa: E501
        This method makes a synchronous HTTP request by default. To make an
        asynchronous HTTP request, please pass async=True
        >>> thread = api.new_metric_map_feature_with_http_info(newmetricmapfeature, async=True)
        >>> result = thread.get()

        :param async bool
        :param MetricMapFeaturePostRequest newmetricmapfeature: New MetricMap Feature data (required)
        :param str envelope: The endpoint can package everything (header, status code) neatly into the response body. Include envelope=true as a request parameter. The API will always return a 200 HTTP status code. The real status, headers and response will be within the body.
        :param str i4l_process_uid: Process UID. This parameter can be used by an its4land tool running inside the runtime environment to pass the process uid to the endpoint. With this information the endpoint can associate the newly created or updated resource with the process.
        :return: MetricMapFeaturesEndpointType
                 If the method is called asynchronously,
                 returns the request thread.
        """

        all_params = ['newmetricmapfeature', 'envelope', 'i4l_process_uid']  # noqa: E501
        all_params.append('async')
        all_params.append('_return_http_data_only')
        all_params.append('_preload_content')
        all_params.append('_request_timeout')

        params = locals()
        for key, val in six.iteritems(params['kwargs']):
            if key not in all_params:
                raise TypeError(
                    "Got an unexpected keyword argument '%s'"
                    " to method new_metric_map_feature" % key
                )
            params[key] = val
        del params['kwargs']
        # verify the required parameter 'newmetricmapfeature' is set
        if ('newmetricmapfeature' not in params or
                params['newmetricmapfeature'] is None):
            raise ValueError("Missing the required parameter `newmetricmapfeature` when calling `new_metric_map_feature`")  # noqa: E501

        collection_formats = {}

        path_params = {}

        query_params = []
        if 'envelope' in params:
            query_params.append(('envelope', params['envelope']))  # noqa: E501

        header_params = {}
        if 'i4l_process_uid' in params:
            header_params['i4l-process-uid'] = params['i4l_process_uid']  # noqa: E501

        form_params = []
        local_var_files = {}

        body_params = None
        if 'newmetricmapfeature' in params:
            body_params = params['newmetricmapfeature']
        # HTTP header `Accept`
        header_params['Accept'] = self.api_client.select_header_accept(
            ['application/json'])  # noqa: E501

        # HTTP header `Content-Type`
        header_params['Content-Type'] = self.api_client.select_header_content_type(  # noqa: E501
            ['application/json'])  # noqa: E501

        # Authentication setting
        auth_settings = []  # noqa: E501

        return self.api_client.call_api(
            '/metricmapfeature', 'POST',
            path_params,
            query_params,
            header_params,
            body=body_params,
            post_params=form_params,
            files=local_var_files,
            response_type='MetricMapFeaturesEndpointType',  # noqa: E501
            auth_settings=auth_settings,
            async=params.get('async'),
            _return_http_data_only=params.get('_return_http_data_only'),
            _preload_content=params.get('_preload_content', True),
            _request_timeout=params.get('_request_timeout'),
            collection_formats=collection_formats)

    def update_metric_map_feature(self, mmf_uid, patchmetricmapfeature, **kwargs):  # noqa: E501
        """Updates a metric map feature  # noqa: E501

        Updates a metric map feature. Only fgroup, fname, ftype, fsubtype and fURI can be updated  # noqa: E501
        This method makes a synchronous HTTP request by default. To make an
        asynchronous HTTP request, please pass async=True
        >>> thread = api.update_metric_map_feature(mmf_uid, patchmetricmapfeature, async=True)
        >>> result = thread.get()

        :param async bool
        :param str mmf_uid: MetricMapFeature UID (required)
        :param RFC6902PatchRequest patchmetricmapfeature: Update data (required)
        :param str envelope: The endpoint can package everything (header, status code) neatly into the response body. Include envelope=true as a request parameter. The API will always return a 200 HTTP status code. The real status, headers and response will be within the body.
        :param str i4l_process_uid: Process UID. This parameter can be used by an its4land tool running inside the runtime environment to pass the process uid to the endpoint. With this information the endpoint can associate the newly created or updated resource with the process.
        :return: MetricMapFeaturesEndpointType
                 If the method is called asynchronously,
                 returns the request thread.
        """
        kwargs['_return_http_data_only'] = True
        if kwargs.get('async'):
            return self.update_metric_map_feature_with_http_info(mmf_uid, patchmetricmapfeature, **kwargs)  # noqa: E501
        else:
            (data) = self.update_metric_map_feature_with_http_info(mmf_uid, patchmetricmapfeature, **kwargs)  # noqa: E501
            return data

    def update_metric_map_feature_with_http_info(self, mmf_uid, patchmetricmapfeature, **kwargs):  # noqa: E501
        """Updates a metric map feature  # noqa: E501

        Updates a metric map feature. Only fgroup, fname, ftype, fsubtype and fURI can be updated  # noqa: E501
        This method makes a synchronous HTTP request by default. To make an
        asynchronous HTTP request, please pass async=True
        >>> thread = api.update_metric_map_feature_with_http_info(mmf_uid, patchmetricmapfeature, async=True)
        >>> result = thread.get()

        :param async bool
        :param str mmf_uid: MetricMapFeature UID (required)
        :param RFC6902PatchRequest patchmetricmapfeature: Update data (required)
        :param str envelope: The endpoint can package everything (header, status code) neatly into the response body. Include envelope=true as a request parameter. The API will always return a 200 HTTP status code. The real status, headers and response will be within the body.
        :param str i4l_process_uid: Process UID. This parameter can be used by an its4land tool running inside the runtime environment to pass the process uid to the endpoint. With this information the endpoint can associate the newly created or updated resource with the process.
        :return: MetricMapFeaturesEndpointType
                 If the method is called asynchronously,
                 returns the request thread.
        """

        all_params = ['mmf_uid', 'patchmetricmapfeature', 'envelope', 'i4l_process_uid']  # noqa: E501
        all_params.append('async')
        all_params.append('_return_http_data_only')
        all_params.append('_preload_content')
        all_params.append('_request_timeout')

        params = locals()
        for key, val in six.iteritems(params['kwargs']):
            if key not in all_params:
                raise TypeError(
                    "Got an unexpected keyword argument '%s'"
                    " to method update_metric_map_feature" % key
                )
            params[key] = val
        del params['kwargs']
        # verify the required parameter 'mmf_uid' is set
        if ('mmf_uid' not in params or
                params['mmf_uid'] is None):
            raise ValueError("Missing the required parameter `mmf_uid` when calling `update_metric_map_feature`")  # noqa: E501
        # verify the required parameter 'patchmetricmapfeature' is set
        if ('patchmetricmapfeature' not in params or
                params['patchmetricmapfeature'] is None):
            raise ValueError("Missing the required parameter `patchmetricmapfeature` when calling `update_metric_map_feature`")  # noqa: E501

        collection_formats = {}

        path_params = {}
        if 'mmf_uid' in params:
            path_params['mmf_uid'] = params['mmf_uid']  # noqa: E501

        query_params = []
        if 'envelope' in params:
            query_params.append(('envelope', params['envelope']))  # noqa: E501

        header_params = {}
        if 'i4l_process_uid' in params:
            header_params['i4l-process-uid'] = params['i4l_process_uid']  # noqa: E501

        form_params = []
        local_var_files = {}

        body_params = None
        if 'patchmetricmapfeature' in params:
            body_params = params['patchmetricmapfeature']
        # HTTP header `Accept`
        header_params['Accept'] = self.api_client.select_header_accept(
            ['application/json'])  # noqa: E501

        # HTTP header `Content-Type`
        header_params['Content-Type'] = self.api_client.select_header_content_type(  # noqa: E501
            ['application/json'])  # noqa: E501

        # Authentication setting
        auth_settings = []  # noqa: E501

        return self.api_client.call_api(
            '/metricmapfeature/{mmf_uid}', 'PATCH',
            path_params,
            query_params,
            header_params,
            body=body_params,
            post_params=form_params,
            files=local_var_files,
            response_type='MetricMapFeaturesEndpointType',  # noqa: E501
            auth_settings=auth_settings,
            async=params.get('async'),
            _return_http_data_only=params.get('_return_http_data_only'),
            _preload_content=params.get('_preload_content', True),
            _request_timeout=params.get('_request_timeout'),
            collection_formats=collection_formats)
