# coding: utf-8

"""
    its4land Public API

    The its4land Public API provides access to the services of the its4land Publish and Share platform.  # noqa: E501

    OpenAPI spec version: 0.0.2
    Contact: contact@its4land.com
    Generated by: https://github.com/swagger-api/swagger-codegen.git
"""


from __future__ import absolute_import

import re  # noqa: F401

# python 2 and python 3 compatibility library
import six

from swagger_client.api_client import ApiClient


class ProcessesApi(object):
    """NOTE: This class is auto generated by the swagger code generator program.

    Do not edit the class manually.
    Ref: https://github.com/swagger-api/swagger-codegen
    """

    def __init__(self, api_client=None):
        if api_client is None:
            api_client = ApiClient()
        self.api_client = api_client

    def create_process_log(self, process_uid, newlogentry, **kwargs):  # noqa: E501
        """Writes a single log entry  # noqa: E501

        Writes a single log entry  # noqa: E501
        This method makes a synchronous HTTP request by default. To make an
        asynchronous HTTP request, please pass async=True
        >>> thread = api.create_process_log(process_uid, newlogentry, async=True)
        >>> result = thread.get()

        :param async bool
        :param str process_uid: Process UID (required)
        :param LogEntryPostRequest newlogentry: New log entry (required)
        :param str envelope: The endpoint can package everything (header, status code) neatly into the response body. Include envelope=true as a request parameter. The API will always return a 200 HTTP status code. The real status, headers and response will be within the body.
        :param str i4l_process_uid: Process UID. This parameter can be used by an its4land tool running inside the runtime environment to pass the process uid to the endpoint. With this information the endpoint can associate the newly created or updated resource with the process.
        :return: LogEntryEndpointType
                 If the method is called asynchronously,
                 returns the request thread.
        """
        kwargs['_return_http_data_only'] = True
        if kwargs.get('async'):
            return self.create_process_log_with_http_info(process_uid, newlogentry, **kwargs)  # noqa: E501
        else:
            (data) = self.create_process_log_with_http_info(process_uid, newlogentry, **kwargs)  # noqa: E501
            return data

    def create_process_log_with_http_info(self, process_uid, newlogentry, **kwargs):  # noqa: E501
        """Writes a single log entry  # noqa: E501

        Writes a single log entry  # noqa: E501
        This method makes a synchronous HTTP request by default. To make an
        asynchronous HTTP request, please pass async=True
        >>> thread = api.create_process_log_with_http_info(process_uid, newlogentry, async=True)
        >>> result = thread.get()

        :param async bool
        :param str process_uid: Process UID (required)
        :param LogEntryPostRequest newlogentry: New log entry (required)
        :param str envelope: The endpoint can package everything (header, status code) neatly into the response body. Include envelope=true as a request parameter. The API will always return a 200 HTTP status code. The real status, headers and response will be within the body.
        :param str i4l_process_uid: Process UID. This parameter can be used by an its4land tool running inside the runtime environment to pass the process uid to the endpoint. With this information the endpoint can associate the newly created or updated resource with the process.
        :return: LogEntryEndpointType
                 If the method is called asynchronously,
                 returns the request thread.
        """

        all_params = ['process_uid', 'newlogentry', 'envelope', 'i4l_process_uid']  # noqa: E501
        all_params.append('async')
        all_params.append('_return_http_data_only')
        all_params.append('_preload_content')
        all_params.append('_request_timeout')

        params = locals()
        for key, val in six.iteritems(params['kwargs']):
            if key not in all_params:
                raise TypeError(
                    "Got an unexpected keyword argument '%s'"
                    " to method create_process_log" % key
                )
            params[key] = val
        del params['kwargs']
        # verify the required parameter 'process_uid' is set
        if ('process_uid' not in params or
                params['process_uid'] is None):
            raise ValueError("Missing the required parameter `process_uid` when calling `create_process_log`")  # noqa: E501
        # verify the required parameter 'newlogentry' is set
        if ('newlogentry' not in params or
                params['newlogentry'] is None):
            raise ValueError("Missing the required parameter `newlogentry` when calling `create_process_log`")  # noqa: E501

        collection_formats = {}

        path_params = {}
        if 'process_uid' in params:
            path_params['process_uid'] = params['process_uid']  # noqa: E501

        query_params = []
        if 'envelope' in params:
            query_params.append(('envelope', params['envelope']))  # noqa: E501

        header_params = {}
        if 'i4l_process_uid' in params:
            header_params['i4l-process-uid'] = params['i4l_process_uid']  # noqa: E501

        form_params = []
        local_var_files = {}

        body_params = None
        if 'newlogentry' in params:
            body_params = params['newlogentry']
        # HTTP header `Accept`
        header_params['Accept'] = self.api_client.select_header_accept(
            ['application/json'])  # noqa: E501

        # HTTP header `Content-Type`
        header_params['Content-Type'] = self.api_client.select_header_content_type(  # noqa: E501
            ['application/json'])  # noqa: E501

        # Authentication setting
        auth_settings = []  # noqa: E501

        return self.api_client.call_api(
            '/processes/{process_uid}/log', 'POST',
            path_params,
            query_params,
            header_params,
            body=body_params,
            post_params=form_params,
            files=local_var_files,
            response_type='LogEntryEndpointType',  # noqa: E501
            auth_settings=auth_settings,
            async=params.get('async'),
            _return_http_data_only=params.get('_return_http_data_only'),
            _preload_content=params.get('_preload_content', True),
            _request_timeout=params.get('_request_timeout'),
            collection_formats=collection_formats)

    def create_processes(self, newprocess, **kwargs):  # noqa: E501
        """Creates a new  processes  # noqa: E501

        Creates a new  processes  # noqa: E501
        This method makes a synchronous HTTP request by default. To make an
        asynchronous HTTP request, please pass async=True
        >>> thread = api.create_processes(newprocess, async=True)
        >>> result = thread.get()

        :param async bool
        :param ProcessPostRequest newprocess: New process metadata (required)
        :param str envelope: The endpoint can package everything (header, status code) neatly into the response body. Include envelope=true as a request parameter. The API will always return a 200 HTTP status code. The real status, headers and response will be within the body.
        :param list[str] embed: Embedding is triggered by passing in an embed query parameter, which takes a comma separated list of endpoint types. Single fields can be selected a dot-notation (endpoint-type.property-name)
        :param str i4l_process_uid: Process UID. This parameter can be used by an its4land tool running inside the runtime environment to pass the process uid to the endpoint. With this information the endpoint can associate the newly created or updated resource with the process.
        :return: ProcessEndpointType
                 If the method is called asynchronously,
                 returns the request thread.
        """
        kwargs['_return_http_data_only'] = True
        if kwargs.get('async'):
            return self.create_processes_with_http_info(newprocess, **kwargs)  # noqa: E501
        else:
            (data) = self.create_processes_with_http_info(newprocess, **kwargs)  # noqa: E501
            return data

    def create_processes_with_http_info(self, newprocess, **kwargs):  # noqa: E501
        """Creates a new  processes  # noqa: E501

        Creates a new  processes  # noqa: E501
        This method makes a synchronous HTTP request by default. To make an
        asynchronous HTTP request, please pass async=True
        >>> thread = api.create_processes_with_http_info(newprocess, async=True)
        >>> result = thread.get()

        :param async bool
        :param ProcessPostRequest newprocess: New process metadata (required)
        :param str envelope: The endpoint can package everything (header, status code) neatly into the response body. Include envelope=true as a request parameter. The API will always return a 200 HTTP status code. The real status, headers and response will be within the body.
        :param list[str] embed: Embedding is triggered by passing in an embed query parameter, which takes a comma separated list of endpoint types. Single fields can be selected a dot-notation (endpoint-type.property-name)
        :param str i4l_process_uid: Process UID. This parameter can be used by an its4land tool running inside the runtime environment to pass the process uid to the endpoint. With this information the endpoint can associate the newly created or updated resource with the process.
        :return: ProcessEndpointType
                 If the method is called asynchronously,
                 returns the request thread.
        """

        all_params = ['newprocess', 'envelope', 'embed', 'i4l_process_uid']  # noqa: E501
        all_params.append('async')
        all_params.append('_return_http_data_only')
        all_params.append('_preload_content')
        all_params.append('_request_timeout')

        params = locals()
        for key, val in six.iteritems(params['kwargs']):
            if key not in all_params:
                raise TypeError(
                    "Got an unexpected keyword argument '%s'"
                    " to method create_processes" % key
                )
            params[key] = val
        del params['kwargs']
        # verify the required parameter 'newprocess' is set
        if ('newprocess' not in params or
                params['newprocess'] is None):
            raise ValueError("Missing the required parameter `newprocess` when calling `create_processes`")  # noqa: E501

        collection_formats = {}

        path_params = {}

        query_params = []
        if 'envelope' in params:
            query_params.append(('envelope', params['envelope']))  # noqa: E501
        if 'embed' in params:
            query_params.append(('embed', params['embed']))  # noqa: E501
            collection_formats['embed'] = 'csv'  # noqa: E501

        header_params = {}
        if 'i4l_process_uid' in params:
            header_params['i4l-process-uid'] = params['i4l_process_uid']  # noqa: E501

        form_params = []
        local_var_files = {}

        body_params = None
        if 'newprocess' in params:
            body_params = params['newprocess']
        # HTTP header `Accept`
        header_params['Accept'] = self.api_client.select_header_accept(
            ['application/json'])  # noqa: E501

        # HTTP header `Content-Type`
        header_params['Content-Type'] = self.api_client.select_header_content_type(  # noqa: E501
            ['application/json'])  # noqa: E501

        # Authentication setting
        auth_settings = []  # noqa: E501

        return self.api_client.call_api(
            '/processes', 'POST',
            path_params,
            query_params,
            header_params,
            body=body_params,
            post_params=form_params,
            files=local_var_files,
            response_type='ProcessEndpointType',  # noqa: E501
            auth_settings=auth_settings,
            async=params.get('async'),
            _return_http_data_only=params.get('_return_http_data_only'),
            _preload_content=params.get('_preload_content', True),
            _request_timeout=params.get('_request_timeout'),
            collection_formats=collection_formats)

    def get_process_by_uid(self, process_uid, **kwargs):  # noqa: E501
        """Returns metadata for a single process  # noqa: E501

        Returns metadata for a single process  # noqa: E501
        This method makes a synchronous HTTP request by default. To make an
        asynchronous HTTP request, please pass async=True
        >>> thread = api.get_process_by_uid(process_uid, async=True)
        >>> result = thread.get()

        :param async bool
        :param str process_uid: Process UID (required)
        :param str envelope: The endpoint can package everything (header, status code) neatly into the response body. Include envelope=true as a request parameter. The API will always return a 200 HTTP status code. The real status, headers and response will be within the body.
        :param list[str] embed: Embedding is triggered by passing in an embed query parameter, which takes a comma separated list of endpoint types. Single fields can be selected a dot-notation (endpoint-type.property-name)
        :return: ProcessEndpointType
                 If the method is called asynchronously,
                 returns the request thread.
        """
        kwargs['_return_http_data_only'] = True
        if kwargs.get('async'):
            return self.get_process_by_uid_with_http_info(process_uid, **kwargs)  # noqa: E501
        else:
            (data) = self.get_process_by_uid_with_http_info(process_uid, **kwargs)  # noqa: E501
            return data

    def get_process_by_uid_with_http_info(self, process_uid, **kwargs):  # noqa: E501
        """Returns metadata for a single process  # noqa: E501

        Returns metadata for a single process  # noqa: E501
        This method makes a synchronous HTTP request by default. To make an
        asynchronous HTTP request, please pass async=True
        >>> thread = api.get_process_by_uid_with_http_info(process_uid, async=True)
        >>> result = thread.get()

        :param async bool
        :param str process_uid: Process UID (required)
        :param str envelope: The endpoint can package everything (header, status code) neatly into the response body. Include envelope=true as a request parameter. The API will always return a 200 HTTP status code. The real status, headers and response will be within the body.
        :param list[str] embed: Embedding is triggered by passing in an embed query parameter, which takes a comma separated list of endpoint types. Single fields can be selected a dot-notation (endpoint-type.property-name)
        :return: ProcessEndpointType
                 If the method is called asynchronously,
                 returns the request thread.
        """

        all_params = ['process_uid', 'envelope', 'embed']  # noqa: E501
        all_params.append('async')
        all_params.append('_return_http_data_only')
        all_params.append('_preload_content')
        all_params.append('_request_timeout')

        params = locals()
        for key, val in six.iteritems(params['kwargs']):
            if key not in all_params:
                raise TypeError(
                    "Got an unexpected keyword argument '%s'"
                    " to method get_process_by_uid" % key
                )
            params[key] = val
        del params['kwargs']
        # verify the required parameter 'process_uid' is set
        if ('process_uid' not in params or
                params['process_uid'] is None):
            raise ValueError("Missing the required parameter `process_uid` when calling `get_process_by_uid`")  # noqa: E501

        collection_formats = {}

        path_params = {}
        if 'process_uid' in params:
            path_params['process_uid'] = params['process_uid']  # noqa: E501

        query_params = []
        if 'envelope' in params:
            query_params.append(('envelope', params['envelope']))  # noqa: E501
        if 'embed' in params:
            query_params.append(('embed', params['embed']))  # noqa: E501
            collection_formats['embed'] = 'csv'  # noqa: E501

        header_params = {}

        form_params = []
        local_var_files = {}

        body_params = None
        # HTTP header `Accept`
        header_params['Accept'] = self.api_client.select_header_accept(
            ['application/json'])  # noqa: E501

        # Authentication setting
        auth_settings = []  # noqa: E501

        return self.api_client.call_api(
            '/processes/{process_uid}', 'GET',
            path_params,
            query_params,
            header_params,
            body=body_params,
            post_params=form_params,
            files=local_var_files,
            response_type='ProcessEndpointType',  # noqa: E501
            auth_settings=auth_settings,
            async=params.get('async'),
            _return_http_data_only=params.get('_return_http_data_only'),
            _preload_content=params.get('_preload_content', True),
            _request_timeout=params.get('_request_timeout'),
            collection_formats=collection_formats)

    def get_process_log(self, process_uid, **kwargs):  # noqa: E501
        """Get the full log of a process  # noqa: E501

        Get the full log of a process. Oldest entry first  # noqa: E501
        This method makes a synchronous HTTP request by default. To make an
        asynchronous HTTP request, please pass async=True
        >>> thread = api.get_process_log(process_uid, async=True)
        >>> result = thread.get()

        :param async bool
        :param str process_uid: Process UID (required)
        :param str envelope: The endpoint can package everything (header, status code) neatly into the response body. Include envelope=true as a request parameter. The API will always return a 200 HTTP status code. The real status, headers and response will be within the body.
        :param list[str] loglevel: LogLevel : error, info, warning, debug. Default is info. The higher order level includes the lower level
        :param list[str] logsource: Source of the log entry. Values: GUI, <ToolName>
        :param int page: Requests for collections can return between 0 and N results, controlled using the per_page and page query parameters. All endpoints are limited to 10 results by default.
        :param str sort: The sorting is initiated by the sort query parameter and a list of comma separated list of fields to sort by.
        :param list[str] fields: Comma separated list of field names
        :param list[str] embed: Embedding is triggered by passing in an embed query parameter, which takes a comma separated list of endpoint types. Single fields can be selected a dot-notation (endpoint-type.property-name)
        :return: list[LogEntryEndpointType]
                 If the method is called asynchronously,
                 returns the request thread.
        """
        kwargs['_return_http_data_only'] = True
        if kwargs.get('async'):
            return self.get_process_log_with_http_info(process_uid, **kwargs)  # noqa: E501
        else:
            (data) = self.get_process_log_with_http_info(process_uid, **kwargs)  # noqa: E501
            return data

    def get_process_log_with_http_info(self, process_uid, **kwargs):  # noqa: E501
        """Get the full log of a process  # noqa: E501

        Get the full log of a process. Oldest entry first  # noqa: E501
        This method makes a synchronous HTTP request by default. To make an
        asynchronous HTTP request, please pass async=True
        >>> thread = api.get_process_log_with_http_info(process_uid, async=True)
        >>> result = thread.get()

        :param async bool
        :param str process_uid: Process UID (required)
        :param str envelope: The endpoint can package everything (header, status code) neatly into the response body. Include envelope=true as a request parameter. The API will always return a 200 HTTP status code. The real status, headers and response will be within the body.
        :param list[str] loglevel: LogLevel : error, info, warning, debug. Default is info. The higher order level includes the lower level
        :param list[str] logsource: Source of the log entry. Values: GUI, <ToolName>
        :param int page: Requests for collections can return between 0 and N results, controlled using the per_page and page query parameters. All endpoints are limited to 10 results by default.
        :param str sort: The sorting is initiated by the sort query parameter and a list of comma separated list of fields to sort by.
        :param list[str] fields: Comma separated list of field names
        :param list[str] embed: Embedding is triggered by passing in an embed query parameter, which takes a comma separated list of endpoint types. Single fields can be selected a dot-notation (endpoint-type.property-name)
        :return: list[LogEntryEndpointType]
                 If the method is called asynchronously,
                 returns the request thread.
        """

        all_params = ['process_uid', 'envelope', 'loglevel', 'logsource', 'page', 'sort', 'fields', 'embed']  # noqa: E501
        all_params.append('async')
        all_params.append('_return_http_data_only')
        all_params.append('_preload_content')
        all_params.append('_request_timeout')

        params = locals()
        for key, val in six.iteritems(params['kwargs']):
            if key not in all_params:
                raise TypeError(
                    "Got an unexpected keyword argument '%s'"
                    " to method get_process_log" % key
                )
            params[key] = val
        del params['kwargs']
        # verify the required parameter 'process_uid' is set
        if ('process_uid' not in params or
                params['process_uid'] is None):
            raise ValueError("Missing the required parameter `process_uid` when calling `get_process_log`")  # noqa: E501

        collection_formats = {}

        path_params = {}
        if 'process_uid' in params:
            path_params['process_uid'] = params['process_uid']  # noqa: E501

        query_params = []
        if 'envelope' in params:
            query_params.append(('envelope', params['envelope']))  # noqa: E501
        if 'loglevel' in params:
            query_params.append(('loglevel', params['loglevel']))  # noqa: E501
            collection_formats['loglevel'] = 'csv'  # noqa: E501
        if 'logsource' in params:
            query_params.append(('logsource', params['logsource']))  # noqa: E501
            collection_formats['logsource'] = 'csv'  # noqa: E501
        if 'page' in params:
            query_params.append(('page', params['page']))  # noqa: E501
        if 'sort' in params:
            query_params.append(('sort', params['sort']))  # noqa: E501
        if 'fields' in params:
            query_params.append(('fields', params['fields']))  # noqa: E501
            collection_formats['fields'] = 'csv'  # noqa: E501
        if 'embed' in params:
            query_params.append(('embed', params['embed']))  # noqa: E501
            collection_formats['embed'] = 'csv'  # noqa: E501

        header_params = {}

        form_params = []
        local_var_files = {}

        body_params = None
        # HTTP header `Accept`
        header_params['Accept'] = self.api_client.select_header_accept(
            ['application/json'])  # noqa: E501

        # Authentication setting
        auth_settings = []  # noqa: E501

        return self.api_client.call_api(
            '/processes/{process_uid}/log', 'GET',
            path_params,
            query_params,
            header_params,
            body=body_params,
            post_params=form_params,
            files=local_var_files,
            response_type='list[LogEntryEndpointType]',  # noqa: E501
            auth_settings=auth_settings,
            async=params.get('async'),
            _return_http_data_only=params.get('_return_http_data_only'),
            _preload_content=params.get('_preload_content', True),
            _request_timeout=params.get('_request_timeout'),
            collection_formats=collection_formats)

    def get_processes(self, **kwargs):  # noqa: E501
        """Get a list of processes  # noqa: E501

        Get a list of processes  # noqa: E501
        This method makes a synchronous HTTP request by default. To make an
        asynchronous HTTP request, please pass async=True
        >>> thread = api.get_processes(async=True)
        >>> result = thread.get()

        :param async bool
        :param str envelope: The endpoint can package everything (header, status code) neatly into the response body. Include envelope=true as a request parameter. The API will always return a 200 HTTP status code. The real status, headers and response will be within the body.
        :param list[str] uid: Comma separated list of Tag UID
        :param list[str] project: Comma separated list of project uid
        :param str status: Status of the project. Can be one of:   * WAITING: Process is queued for execution   * RUNNING: Process is currently executing   * FINISHED: Process terminated normally   * ABORTED: Process terminated unexpectedly   * ZOMBIE: Process is listed in the platform process table, but the internal (process) API has no information about it. Possible in case of historical/archived processes or due to platform error. 
        :param list[str] tooluid: Comma separated list of tool UID
        :param int page: Requests for collections can return between 0 and N results, controlled using the per_page and page query parameters. All endpoints are limited to 10 results by default.
        :param str sort: The sorting is initiated by the sort query parameter and a list of comma separated list of fields to sort by.
        :param list[str] fields: Comma separated list of fields
        :param list[str] embed: Embedding is triggered by passing in an embed query parameter, which takes a comma separated list of endpoint types. Single fields can be selected a dot-notation (endpoint-type.property-name)
        :return: list[ProcessEndpointType]
                 If the method is called asynchronously,
                 returns the request thread.
        """
        kwargs['_return_http_data_only'] = True
        if kwargs.get('async'):
            return self.get_processes_with_http_info(**kwargs)  # noqa: E501
        else:
            (data) = self.get_processes_with_http_info(**kwargs)  # noqa: E501
            return data

    def get_processes_with_http_info(self, **kwargs):  # noqa: E501
        """Get a list of processes  # noqa: E501

        Get a list of processes  # noqa: E501
        This method makes a synchronous HTTP request by default. To make an
        asynchronous HTTP request, please pass async=True
        >>> thread = api.get_processes_with_http_info(async=True)
        >>> result = thread.get()

        :param async bool
        :param str envelope: The endpoint can package everything (header, status code) neatly into the response body. Include envelope=true as a request parameter. The API will always return a 200 HTTP status code. The real status, headers and response will be within the body.
        :param list[str] uid: Comma separated list of Tag UID
        :param list[str] project: Comma separated list of project uid
        :param str status: Status of the project. Can be one of:   * WAITING: Process is queued for execution   * RUNNING: Process is currently executing   * FINISHED: Process terminated normally   * ABORTED: Process terminated unexpectedly   * ZOMBIE: Process is listed in the platform process table, but the internal (process) API has no information about it. Possible in case of historical/archived processes or due to platform error. 
        :param list[str] tooluid: Comma separated list of tool UID
        :param int page: Requests for collections can return between 0 and N results, controlled using the per_page and page query parameters. All endpoints are limited to 10 results by default.
        :param str sort: The sorting is initiated by the sort query parameter and a list of comma separated list of fields to sort by.
        :param list[str] fields: Comma separated list of fields
        :param list[str] embed: Embedding is triggered by passing in an embed query parameter, which takes a comma separated list of endpoint types. Single fields can be selected a dot-notation (endpoint-type.property-name)
        :return: list[ProcessEndpointType]
                 If the method is called asynchronously,
                 returns the request thread.
        """

        all_params = ['envelope', 'uid', 'project', 'status', 'tooluid', 'page', 'sort', 'fields', 'embed']  # noqa: E501
        all_params.append('async')
        all_params.append('_return_http_data_only')
        all_params.append('_preload_content')
        all_params.append('_request_timeout')

        params = locals()
        for key, val in six.iteritems(params['kwargs']):
            if key not in all_params:
                raise TypeError(
                    "Got an unexpected keyword argument '%s'"
                    " to method get_processes" % key
                )
            params[key] = val
        del params['kwargs']

        collection_formats = {}

        path_params = {}

        query_params = []
        if 'envelope' in params:
            query_params.append(('envelope', params['envelope']))  # noqa: E501
        if 'uid' in params:
            query_params.append(('uid', params['uid']))  # noqa: E501
            collection_formats['uid'] = 'csv'  # noqa: E501
        if 'project' in params:
            query_params.append(('project', params['project']))  # noqa: E501
            collection_formats['project'] = 'csv'  # noqa: E501
        if 'status' in params:
            query_params.append(('status', params['status']))  # noqa: E501
        if 'tooluid' in params:
            query_params.append(('tooluid', params['tooluid']))  # noqa: E501
            collection_formats['tooluid'] = 'csv'  # noqa: E501
        if 'page' in params:
            query_params.append(('page', params['page']))  # noqa: E501
        if 'sort' in params:
            query_params.append(('sort', params['sort']))  # noqa: E501
        if 'fields' in params:
            query_params.append(('fields', params['fields']))  # noqa: E501
            collection_formats['fields'] = 'csv'  # noqa: E501
        if 'embed' in params:
            query_params.append(('embed', params['embed']))  # noqa: E501
            collection_formats['embed'] = 'csv'  # noqa: E501

        header_params = {}

        form_params = []
        local_var_files = {}

        body_params = None
        # HTTP header `Accept`
        header_params['Accept'] = self.api_client.select_header_accept(
            ['application/json'])  # noqa: E501

        # Authentication setting
        auth_settings = []  # noqa: E501

        return self.api_client.call_api(
            '/processes', 'GET',
            path_params,
            query_params,
            header_params,
            body=body_params,
            post_params=form_params,
            files=local_var_files,
            response_type='list[ProcessEndpointType]',  # noqa: E501
            auth_settings=auth_settings,
            async=params.get('async'),
            _return_http_data_only=params.get('_return_http_data_only'),
            _preload_content=params.get('_preload_content', True),
            _request_timeout=params.get('_request_timeout'),
            collection_formats=collection_formats)
