# coding: utf-8

"""
    its4land Public API

    The its4land Public API provides access to the services of the its4land Publish and Share platform.  # noqa: E501

    OpenAPI spec version: 0.0.2
    Contact: contact@its4land.com
    Generated by: https://github.com/swagger-api/swagger-codegen.git
"""


from __future__ import absolute_import

import re  # noqa: F401

# python 2 and python 3 compatibility library
import six

from swagger_client.api_client import ApiClient


class ProjectsApi(object):
    """NOTE: This class is auto generated by the swagger code generator program.

    Do not edit the class manually.
    Ref: https://github.com/swagger-api/swagger-codegen
    """

    def __init__(self, api_client=None):
        if api_client is None:
            api_client = ApiClient()
        self.api_client = api_client

    def add_tag_to_project(self, project_uid, newtag, **kwargs):  # noqa: E501
        """Adds a tag to the project  # noqa: E501

        Creates a new tag and attach it to the project. If the tag already exist, the existing tag will be attached to the project.  # noqa: E501
        This method makes a synchronous HTTP request by default. To make an
        asynchronous HTTP request, please pass async=True
        >>> thread = api.add_tag_to_project(project_uid, newtag, async=True)
        >>> result = thread.get()

        :param async bool
        :param str project_uid: Project UID (required)
        :param TagsPostRequest newtag: New Tag data (required)
        :param str envelope: The endpoint can package everything (header, status code) neatly into the response body. Include envelope=true as a request parameter. The API will always return a 200 HTTP status code. The real status, headers and response will be within the body.
        :param list[str] embed: Embedding is triggered by passing in an embed query parameter, which takes a comma separated list of endpoint types. Single fields can be selected a dot-notation (endpoint-type.property-name)
        :param str i4l_process_uid: Process UID. This parameter can be used by an its4land tool running inside the runtime environment to pass the process uid to the endpoint. With this information the endpoint can associate the newly created or updated resource with the process.
        :return: ProjectsEndpointType
                 If the method is called asynchronously,
                 returns the request thread.
        """
        kwargs['_return_http_data_only'] = True
        if kwargs.get('async'):
            return self.add_tag_to_project_with_http_info(project_uid, newtag, **kwargs)  # noqa: E501
        else:
            (data) = self.add_tag_to_project_with_http_info(project_uid, newtag, **kwargs)  # noqa: E501
            return data

    def add_tag_to_project_with_http_info(self, project_uid, newtag, **kwargs):  # noqa: E501
        """Adds a tag to the project  # noqa: E501

        Creates a new tag and attach it to the project. If the tag already exist, the existing tag will be attached to the project.  # noqa: E501
        This method makes a synchronous HTTP request by default. To make an
        asynchronous HTTP request, please pass async=True
        >>> thread = api.add_tag_to_project_with_http_info(project_uid, newtag, async=True)
        >>> result = thread.get()

        :param async bool
        :param str project_uid: Project UID (required)
        :param TagsPostRequest newtag: New Tag data (required)
        :param str envelope: The endpoint can package everything (header, status code) neatly into the response body. Include envelope=true as a request parameter. The API will always return a 200 HTTP status code. The real status, headers and response will be within the body.
        :param list[str] embed: Embedding is triggered by passing in an embed query parameter, which takes a comma separated list of endpoint types. Single fields can be selected a dot-notation (endpoint-type.property-name)
        :param str i4l_process_uid: Process UID. This parameter can be used by an its4land tool running inside the runtime environment to pass the process uid to the endpoint. With this information the endpoint can associate the newly created or updated resource with the process.
        :return: ProjectsEndpointType
                 If the method is called asynchronously,
                 returns the request thread.
        """

        all_params = ['project_uid', 'newtag', 'envelope', 'embed', 'i4l_process_uid']  # noqa: E501
        all_params.append('async')
        all_params.append('_return_http_data_only')
        all_params.append('_preload_content')
        all_params.append('_request_timeout')

        params = locals()
        for key, val in six.iteritems(params['kwargs']):
            if key not in all_params:
                raise TypeError(
                    "Got an unexpected keyword argument '%s'"
                    " to method add_tag_to_project" % key
                )
            params[key] = val
        del params['kwargs']
        # verify the required parameter 'project_uid' is set
        if ('project_uid' not in params or
                params['project_uid'] is None):
            raise ValueError("Missing the required parameter `project_uid` when calling `add_tag_to_project`")  # noqa: E501
        # verify the required parameter 'newtag' is set
        if ('newtag' not in params or
                params['newtag'] is None):
            raise ValueError("Missing the required parameter `newtag` when calling `add_tag_to_project`")  # noqa: E501

        collection_formats = {}

        path_params = {}
        if 'project_uid' in params:
            path_params['project_uid'] = params['project_uid']  # noqa: E501

        query_params = []
        if 'envelope' in params:
            query_params.append(('envelope', params['envelope']))  # noqa: E501
        if 'embed' in params:
            query_params.append(('embed', params['embed']))  # noqa: E501
            collection_formats['embed'] = 'csv'  # noqa: E501

        header_params = {}
        if 'i4l_process_uid' in params:
            header_params['i4l-process-uid'] = params['i4l_process_uid']  # noqa: E501

        form_params = []
        local_var_files = {}

        body_params = None
        if 'newtag' in params:
            body_params = params['newtag']
        # HTTP header `Accept`
        header_params['Accept'] = self.api_client.select_header_accept(
            ['application/json'])  # noqa: E501

        # HTTP header `Content-Type`
        header_params['Content-Type'] = self.api_client.select_header_content_type(  # noqa: E501
            ['application/json'])  # noqa: E501

        # Authentication setting
        auth_settings = []  # noqa: E501

        return self.api_client.call_api(
            '/projects/{project_uid}/Tags', 'POST',
            path_params,
            query_params,
            header_params,
            body=body_params,
            post_params=form_params,
            files=local_var_files,
            response_type='ProjectsEndpointType',  # noqa: E501
            auth_settings=auth_settings,
            async=params.get('async'),
            _return_http_data_only=params.get('_return_http_data_only'),
            _preload_content=params.get('_preload_content', True),
            _request_timeout=params.get('_request_timeout'),
            collection_formats=collection_formats)

    def del_project_by_uid(self, project_uid, **kwargs):  # noqa: E501
        """Deletes a single e project by its UID  # noqa: E501

        A single project is deleted. This endpoint deletes the project itself and the connected to subordered data like SpatialSources, etc. The subordered data itself are not deleted  # noqa: E501
        This method makes a synchronous HTTP request by default. To make an
        asynchronous HTTP request, please pass async=True
        >>> thread = api.del_project_by_uid(project_uid, async=True)
        >>> result = thread.get()

        :param async bool
        :param str project_uid: UID of the project (required)
        :param str envelope: The endpoint can package everything (header, status code) neatly into the response body. Include envelope=true as a request parameter. The API will always return a 200 HTTP status code. The real status, headers and response will be within the body.
        :param list[str] embed: Embedding is triggered by passing in an embed query parameter, which takes a comma separated list of endpoint types. Single fields can be selected a dot-notation (endpoint-type.property-name)
        :param str i4l_process_uid: Process UID. This parameter can be used by an its4land tool running inside the runtime environment to pass the process uid to the endpoint. With this information the endpoint can associate the newly created or updated resource with the process.
        :return: ProjectsEndpointType
                 If the method is called asynchronously,
                 returns the request thread.
        """
        kwargs['_return_http_data_only'] = True
        if kwargs.get('async'):
            return self.del_project_by_uid_with_http_info(project_uid, **kwargs)  # noqa: E501
        else:
            (data) = self.del_project_by_uid_with_http_info(project_uid, **kwargs)  # noqa: E501
            return data

    def del_project_by_uid_with_http_info(self, project_uid, **kwargs):  # noqa: E501
        """Deletes a single e project by its UID  # noqa: E501

        A single project is deleted. This endpoint deletes the project itself and the connected to subordered data like SpatialSources, etc. The subordered data itself are not deleted  # noqa: E501
        This method makes a synchronous HTTP request by default. To make an
        asynchronous HTTP request, please pass async=True
        >>> thread = api.del_project_by_uid_with_http_info(project_uid, async=True)
        >>> result = thread.get()

        :param async bool
        :param str project_uid: UID of the project (required)
        :param str envelope: The endpoint can package everything (header, status code) neatly into the response body. Include envelope=true as a request parameter. The API will always return a 200 HTTP status code. The real status, headers and response will be within the body.
        :param list[str] embed: Embedding is triggered by passing in an embed query parameter, which takes a comma separated list of endpoint types. Single fields can be selected a dot-notation (endpoint-type.property-name)
        :param str i4l_process_uid: Process UID. This parameter can be used by an its4land tool running inside the runtime environment to pass the process uid to the endpoint. With this information the endpoint can associate the newly created or updated resource with the process.
        :return: ProjectsEndpointType
                 If the method is called asynchronously,
                 returns the request thread.
        """

        all_params = ['project_uid', 'envelope', 'embed', 'i4l_process_uid']  # noqa: E501
        all_params.append('async')
        all_params.append('_return_http_data_only')
        all_params.append('_preload_content')
        all_params.append('_request_timeout')

        params = locals()
        for key, val in six.iteritems(params['kwargs']):
            if key not in all_params:
                raise TypeError(
                    "Got an unexpected keyword argument '%s'"
                    " to method del_project_by_uid" % key
                )
            params[key] = val
        del params['kwargs']
        # verify the required parameter 'project_uid' is set
        if ('project_uid' not in params or
                params['project_uid'] is None):
            raise ValueError("Missing the required parameter `project_uid` when calling `del_project_by_uid`")  # noqa: E501

        collection_formats = {}

        path_params = {}
        if 'project_uid' in params:
            path_params['project_uid'] = params['project_uid']  # noqa: E501

        query_params = []
        if 'envelope' in params:
            query_params.append(('envelope', params['envelope']))  # noqa: E501
        if 'embed' in params:
            query_params.append(('embed', params['embed']))  # noqa: E501
            collection_formats['embed'] = 'csv'  # noqa: E501

        header_params = {}
        if 'i4l_process_uid' in params:
            header_params['i4l-process-uid'] = params['i4l_process_uid']  # noqa: E501

        form_params = []
        local_var_files = {}

        body_params = None
        # HTTP header `Accept`
        header_params['Accept'] = self.api_client.select_header_accept(
            ['application/json'])  # noqa: E501

        # Authentication setting
        auth_settings = []  # noqa: E501

        return self.api_client.call_api(
            '/projects/{project_uid}', 'DELETE',
            path_params,
            query_params,
            header_params,
            body=body_params,
            post_params=form_params,
            files=local_var_files,
            response_type='ProjectsEndpointType',  # noqa: E501
            auth_settings=auth_settings,
            async=params.get('async'),
            _return_http_data_only=params.get('_return_http_data_only'),
            _preload_content=params.get('_preload_content', True),
            _request_timeout=params.get('_request_timeout'),
            collection_formats=collection_formats)

    def detach_project_model(self, project_uid, model_uid, **kwargs):  # noqa: E501
        """Removes a model from a project.  # noqa: E501

        Removes a model from a project. By default only the link between model and project is removed.  # noqa: E501
        This method makes a synchronous HTTP request by default. To make an
        asynchronous HTTP request, please pass async=True
        >>> thread = api.detach_project_model(project_uid, model_uid, async=True)
        >>> result = thread.get()

        :param async bool
        :param str project_uid: Project UID (required)
        :param str model_uid: Model UID (required)
        :param str envelope: The endpoint can package everything (header, status code) neatly into the response body. Include envelope=true as a request parameter. The API will always return a 200 HTTP status code. The real status, headers and response will be within the body.
        :param str force_delete: Deletes the model resource. ********* What's about subordinate resources? *********
        :return: ProjectsEndpointType
                 If the method is called asynchronously,
                 returns the request thread.
        """
        kwargs['_return_http_data_only'] = True
        if kwargs.get('async'):
            return self.detach_project_model_with_http_info(project_uid, model_uid, **kwargs)  # noqa: E501
        else:
            (data) = self.detach_project_model_with_http_info(project_uid, model_uid, **kwargs)  # noqa: E501
            return data

    def detach_project_model_with_http_info(self, project_uid, model_uid, **kwargs):  # noqa: E501
        """Removes a model from a project.  # noqa: E501

        Removes a model from a project. By default only the link between model and project is removed.  # noqa: E501
        This method makes a synchronous HTTP request by default. To make an
        asynchronous HTTP request, please pass async=True
        >>> thread = api.detach_project_model_with_http_info(project_uid, model_uid, async=True)
        >>> result = thread.get()

        :param async bool
        :param str project_uid: Project UID (required)
        :param str model_uid: Model UID (required)
        :param str envelope: The endpoint can package everything (header, status code) neatly into the response body. Include envelope=true as a request parameter. The API will always return a 200 HTTP status code. The real status, headers and response will be within the body.
        :param str force_delete: Deletes the model resource. ********* What's about subordinate resources? *********
        :return: ProjectsEndpointType
                 If the method is called asynchronously,
                 returns the request thread.
        """

        all_params = ['project_uid', 'model_uid', 'envelope', 'force_delete']  # noqa: E501
        all_params.append('async')
        all_params.append('_return_http_data_only')
        all_params.append('_preload_content')
        all_params.append('_request_timeout')

        params = locals()
        for key, val in six.iteritems(params['kwargs']):
            if key not in all_params:
                raise TypeError(
                    "Got an unexpected keyword argument '%s'"
                    " to method detach_project_model" % key
                )
            params[key] = val
        del params['kwargs']
        # verify the required parameter 'project_uid' is set
        if ('project_uid' not in params or
                params['project_uid'] is None):
            raise ValueError("Missing the required parameter `project_uid` when calling `detach_project_model`")  # noqa: E501
        # verify the required parameter 'model_uid' is set
        if ('model_uid' not in params or
                params['model_uid'] is None):
            raise ValueError("Missing the required parameter `model_uid` when calling `detach_project_model`")  # noqa: E501

        collection_formats = {}

        path_params = {}
        if 'project_uid' in params:
            path_params['project_uid'] = params['project_uid']  # noqa: E501
        if 'model_uid' in params:
            path_params['model_uid'] = params['model_uid']  # noqa: E501

        query_params = []
        if 'envelope' in params:
            query_params.append(('envelope', params['envelope']))  # noqa: E501
        if 'force_delete' in params:
            query_params.append(('force_delete', params['force_delete']))  # noqa: E501

        header_params = {}

        form_params = []
        local_var_files = {}

        body_params = None
        # HTTP header `Accept`
        header_params['Accept'] = self.api_client.select_header_accept(
            ['application/json'])  # noqa: E501

        # Authentication setting
        auth_settings = []  # noqa: E501

        return self.api_client.call_api(
            '/projects/{project_uid}/Models/{model_uid}', 'DELETE',
            path_params,
            query_params,
            header_params,
            body=body_params,
            post_params=form_params,
            files=local_var_files,
            response_type='ProjectsEndpointType',  # noqa: E501
            auth_settings=auth_settings,
            async=params.get('async'),
            _return_http_data_only=params.get('_return_http_data_only'),
            _preload_content=params.get('_preload_content', True),
            _request_timeout=params.get('_request_timeout'),
            collection_formats=collection_formats)

    def detach_project_spatial_source(self, project_uid, spatialsource_uid, **kwargs):  # noqa: E501
        """Removes a spatialsource from a project.  # noqa: E501

        Removes a spatial from a project. By default only the link between spatialsource and project is removed.  # noqa: E501
        This method makes a synchronous HTTP request by default. To make an
        asynchronous HTTP request, please pass async=True
        >>> thread = api.detach_project_spatial_source(project_uid, spatialsource_uid, async=True)
        >>> result = thread.get()

        :param async bool
        :param str project_uid: Project UID (required)
        :param str spatialsource_uid: SpatialSource UID (required)
        :param str force_delete: Deletes the spatialsource resource. ********* What's about subordinate resources? *********
        :return: ProjectsEndpointType
                 If the method is called asynchronously,
                 returns the request thread.
        """
        kwargs['_return_http_data_only'] = True
        if kwargs.get('async'):
            return self.detach_project_spatial_source_with_http_info(project_uid, spatialsource_uid, **kwargs)  # noqa: E501
        else:
            (data) = self.detach_project_spatial_source_with_http_info(project_uid, spatialsource_uid, **kwargs)  # noqa: E501
            return data

    def detach_project_spatial_source_with_http_info(self, project_uid, spatialsource_uid, **kwargs):  # noqa: E501
        """Removes a spatialsource from a project.  # noqa: E501

        Removes a spatial from a project. By default only the link between spatialsource and project is removed.  # noqa: E501
        This method makes a synchronous HTTP request by default. To make an
        asynchronous HTTP request, please pass async=True
        >>> thread = api.detach_project_spatial_source_with_http_info(project_uid, spatialsource_uid, async=True)
        >>> result = thread.get()

        :param async bool
        :param str project_uid: Project UID (required)
        :param str spatialsource_uid: SpatialSource UID (required)
        :param str force_delete: Deletes the spatialsource resource. ********* What's about subordinate resources? *********
        :return: ProjectsEndpointType
                 If the method is called asynchronously,
                 returns the request thread.
        """

        all_params = ['project_uid', 'spatialsource_uid', 'force_delete']  # noqa: E501
        all_params.append('async')
        all_params.append('_return_http_data_only')
        all_params.append('_preload_content')
        all_params.append('_request_timeout')

        params = locals()
        for key, val in six.iteritems(params['kwargs']):
            if key not in all_params:
                raise TypeError(
                    "Got an unexpected keyword argument '%s'"
                    " to method detach_project_spatial_source" % key
                )
            params[key] = val
        del params['kwargs']
        # verify the required parameter 'project_uid' is set
        if ('project_uid' not in params or
                params['project_uid'] is None):
            raise ValueError("Missing the required parameter `project_uid` when calling `detach_project_spatial_source`")  # noqa: E501
        # verify the required parameter 'spatialsource_uid' is set
        if ('spatialsource_uid' not in params or
                params['spatialsource_uid'] is None):
            raise ValueError("Missing the required parameter `spatialsource_uid` when calling `detach_project_spatial_source`")  # noqa: E501

        collection_formats = {}

        path_params = {}
        if 'project_uid' in params:
            path_params['project_uid'] = params['project_uid']  # noqa: E501
        if 'spatialsource_uid' in params:
            path_params['spatialsource_uid'] = params['spatialsource_uid']  # noqa: E501

        query_params = []
        if 'force_delete' in params:
            query_params.append(('force_delete', params['force_delete']))  # noqa: E501

        header_params = {}

        form_params = []
        local_var_files = {}

        body_params = None
        # HTTP header `Accept`
        header_params['Accept'] = self.api_client.select_header_accept(
            ['application/json'])  # noqa: E501

        # Authentication setting
        auth_settings = []  # noqa: E501

        return self.api_client.call_api(
            '/projects/{project_uid}/SpatialSources/{spatialsource_uid}', 'DELETE',
            path_params,
            query_params,
            header_params,
            body=body_params,
            post_params=form_params,
            files=local_var_files,
            response_type='ProjectsEndpointType',  # noqa: E501
            auth_settings=auth_settings,
            async=params.get('async'),
            _return_http_data_only=params.get('_return_http_data_only'),
            _preload_content=params.get('_preload_content', True),
            _request_timeout=params.get('_request_timeout'),
            collection_formats=collection_formats)

    def detach_project_tag(self, project_uid, tag, **kwargs):  # noqa: E501
        """Removes a tag from a project.  # noqa: E501

        Removes a tag from a project. By default only the link between tag and project is removed.  # noqa: E501
        This method makes a synchronous HTTP request by default. To make an
        asynchronous HTTP request, please pass async=True
        >>> thread = api.detach_project_tag(project_uid, tag, async=True)
        >>> result = thread.get()

        :param async bool
        :param str project_uid: Project UID (required)
        :param str tag: tag value (required)
        :param str envelope: The endpoint can package everything (header, status code) neatly into the response body. Include envelope=true as a request parameter. The API will always return a 200 HTTP status code. The real status, headers and response will be within the body.
        :param str force_delete: Deletes the tag resource. ********* Only possible, when tag is not attached to any other resource. *********
        :return: ProjectsEndpointType
                 If the method is called asynchronously,
                 returns the request thread.
        """
        kwargs['_return_http_data_only'] = True
        if kwargs.get('async'):
            return self.detach_project_tag_with_http_info(project_uid, tag, **kwargs)  # noqa: E501
        else:
            (data) = self.detach_project_tag_with_http_info(project_uid, tag, **kwargs)  # noqa: E501
            return data

    def detach_project_tag_with_http_info(self, project_uid, tag, **kwargs):  # noqa: E501
        """Removes a tag from a project.  # noqa: E501

        Removes a tag from a project. By default only the link between tag and project is removed.  # noqa: E501
        This method makes a synchronous HTTP request by default. To make an
        asynchronous HTTP request, please pass async=True
        >>> thread = api.detach_project_tag_with_http_info(project_uid, tag, async=True)
        >>> result = thread.get()

        :param async bool
        :param str project_uid: Project UID (required)
        :param str tag: tag value (required)
        :param str envelope: The endpoint can package everything (header, status code) neatly into the response body. Include envelope=true as a request parameter. The API will always return a 200 HTTP status code. The real status, headers and response will be within the body.
        :param str force_delete: Deletes the tag resource. ********* Only possible, when tag is not attached to any other resource. *********
        :return: ProjectsEndpointType
                 If the method is called asynchronously,
                 returns the request thread.
        """

        all_params = ['project_uid', 'tag', 'envelope', 'force_delete']  # noqa: E501
        all_params.append('async')
        all_params.append('_return_http_data_only')
        all_params.append('_preload_content')
        all_params.append('_request_timeout')

        params = locals()
        for key, val in six.iteritems(params['kwargs']):
            if key not in all_params:
                raise TypeError(
                    "Got an unexpected keyword argument '%s'"
                    " to method detach_project_tag" % key
                )
            params[key] = val
        del params['kwargs']
        # verify the required parameter 'project_uid' is set
        if ('project_uid' not in params or
                params['project_uid'] is None):
            raise ValueError("Missing the required parameter `project_uid` when calling `detach_project_tag`")  # noqa: E501
        # verify the required parameter 'tag' is set
        if ('tag' not in params or
                params['tag'] is None):
            raise ValueError("Missing the required parameter `tag` when calling `detach_project_tag`")  # noqa: E501

        collection_formats = {}

        path_params = {}
        if 'project_uid' in params:
            path_params['project_uid'] = params['project_uid']  # noqa: E501
        if 'tag' in params:
            path_params['tag'] = params['tag']  # noqa: E501

        query_params = []
        if 'envelope' in params:
            query_params.append(('envelope', params['envelope']))  # noqa: E501
        if 'force_delete' in params:
            query_params.append(('force_delete', params['force_delete']))  # noqa: E501

        header_params = {}

        form_params = []
        local_var_files = {}

        body_params = None
        # HTTP header `Accept`
        header_params['Accept'] = self.api_client.select_header_accept(
            ['application/json'])  # noqa: E501

        # Authentication setting
        auth_settings = []  # noqa: E501

        return self.api_client.call_api(
            '/projects/{project_uid}/Tags/{tag}', 'DELETE',
            path_params,
            query_params,
            header_params,
            body=body_params,
            post_params=form_params,
            files=local_var_files,
            response_type='ProjectsEndpointType',  # noqa: E501
            auth_settings=auth_settings,
            async=params.get('async'),
            _return_http_data_only=params.get('_return_http_data_only'),
            _preload_content=params.get('_preload_content', True),
            _request_timeout=params.get('_request_timeout'),
            collection_formats=collection_formats)

    def get_connected_objects_by_project_uid(self, project_uid, **kwargs):  # noqa: E501
        """Returns an array of connect objects  # noqa: E501

        Returns an array of connect objects of a project. For each connected object the endpoint returns the type, name and uuid  # noqa: E501
        This method makes a synchronous HTTP request by default. To make an
        asynchronous HTTP request, please pass async=True
        >>> thread = api.get_connected_objects_by_project_uid(project_uid, async=True)
        >>> result = thread.get()

        :param async bool
        :param str project_uid: Project UID (required)
        :param str envelope: The endpoint can package everything (header, status code) neatly into the response body. Include envelope=true as a request parameter. The API will always return a 200 HTTP status code. The real status, headers and response will be within the body.
        :param int page: Requests for collections can return between 0 and N results, controlled using the per_page and page query parameters. All endpoints are limited to 10 results by default.
        :param str sort: The sorting is initiated by the sort query parameter and a list of comma separated list of fields to sort by.
        :param list[str] fields: Comma separated list of field names
        :param list[str] embed: Embedding is triggered by passing in an embed query parameter, which takes a comma separated list of endpoint types. Single fields can be selected a dot-notation (endpoint-type.property-name)
        :return: ConnectedObjectsEndpointType
                 If the method is called asynchronously,
                 returns the request thread.
        """
        kwargs['_return_http_data_only'] = True
        if kwargs.get('async'):
            return self.get_connected_objects_by_project_uid_with_http_info(project_uid, **kwargs)  # noqa: E501
        else:
            (data) = self.get_connected_objects_by_project_uid_with_http_info(project_uid, **kwargs)  # noqa: E501
            return data

    def get_connected_objects_by_project_uid_with_http_info(self, project_uid, **kwargs):  # noqa: E501
        """Returns an array of connect objects  # noqa: E501

        Returns an array of connect objects of a project. For each connected object the endpoint returns the type, name and uuid  # noqa: E501
        This method makes a synchronous HTTP request by default. To make an
        asynchronous HTTP request, please pass async=True
        >>> thread = api.get_connected_objects_by_project_uid_with_http_info(project_uid, async=True)
        >>> result = thread.get()

        :param async bool
        :param str project_uid: Project UID (required)
        :param str envelope: The endpoint can package everything (header, status code) neatly into the response body. Include envelope=true as a request parameter. The API will always return a 200 HTTP status code. The real status, headers and response will be within the body.
        :param int page: Requests for collections can return between 0 and N results, controlled using the per_page and page query parameters. All endpoints are limited to 10 results by default.
        :param str sort: The sorting is initiated by the sort query parameter and a list of comma separated list of fields to sort by.
        :param list[str] fields: Comma separated list of field names
        :param list[str] embed: Embedding is triggered by passing in an embed query parameter, which takes a comma separated list of endpoint types. Single fields can be selected a dot-notation (endpoint-type.property-name)
        :return: ConnectedObjectsEndpointType
                 If the method is called asynchronously,
                 returns the request thread.
        """

        all_params = ['project_uid', 'envelope', 'page', 'sort', 'fields', 'embed']  # noqa: E501
        all_params.append('async')
        all_params.append('_return_http_data_only')
        all_params.append('_preload_content')
        all_params.append('_request_timeout')

        params = locals()
        for key, val in six.iteritems(params['kwargs']):
            if key not in all_params:
                raise TypeError(
                    "Got an unexpected keyword argument '%s'"
                    " to method get_connected_objects_by_project_uid" % key
                )
            params[key] = val
        del params['kwargs']
        # verify the required parameter 'project_uid' is set
        if ('project_uid' not in params or
                params['project_uid'] is None):
            raise ValueError("Missing the required parameter `project_uid` when calling `get_connected_objects_by_project_uid`")  # noqa: E501

        collection_formats = {}

        path_params = {}
        if 'project_uid' in params:
            path_params['project_uid'] = params['project_uid']  # noqa: E501

        query_params = []
        if 'envelope' in params:
            query_params.append(('envelope', params['envelope']))  # noqa: E501
        if 'page' in params:
            query_params.append(('page', params['page']))  # noqa: E501
        if 'sort' in params:
            query_params.append(('sort', params['sort']))  # noqa: E501
        if 'fields' in params:
            query_params.append(('fields', params['fields']))  # noqa: E501
            collection_formats['fields'] = 'csv'  # noqa: E501
        if 'embed' in params:
            query_params.append(('embed', params['embed']))  # noqa: E501
            collection_formats['embed'] = 'csv'  # noqa: E501

        header_params = {}

        form_params = []
        local_var_files = {}

        body_params = None
        # HTTP header `Accept`
        header_params['Accept'] = self.api_client.select_header_accept(
            ['application/json'])  # noqa: E501

        # Authentication setting
        auth_settings = []  # noqa: E501

        return self.api_client.call_api(
            '/projects/{project_uid}/connectedObjects', 'GET',
            path_params,
            query_params,
            header_params,
            body=body_params,
            post_params=form_params,
            files=local_var_files,
            response_type='ConnectedObjectsEndpointType',  # noqa: E501
            auth_settings=auth_settings,
            async=params.get('async'),
            _return_http_data_only=params.get('_return_http_data_only'),
            _preload_content=params.get('_preload_content', True),
            _request_timeout=params.get('_request_timeout'),
            collection_formats=collection_formats)

    def get_models_by_project_uid(self, project_uid, **kwargs):  # noqa: E501
        """Returns the models of a project  # noqa: E501

        Returns the models of a project  # noqa: E501
        This method makes a synchronous HTTP request by default. To make an
        asynchronous HTTP request, please pass async=True
        >>> thread = api.get_models_by_project_uid(project_uid, async=True)
        >>> result = thread.get()

        :param async bool
        :param str project_uid: Project UID (required)
        :param str envelope: The endpoint can package everything (header, status code) neatly into the response body. Include envelope=true as a request parameter. The API will always return a 200 HTTP status code. The real status, headers and response will be within the body.
        :param int page: Requests for collections can return between 0 and N results, controlled using the per_page and page query parameters. All endpoints are limited to 10 results by default.
        :param str sort: The sorting is initiated by the sort query parameter and a list of comma separated list of fields to sort by.
        :param list[str] fields: Comma separated list of field names
        :param list[str] embed: Embedding is triggered by passing in an embed query parameter, which takes a comma separated list of endpoint types. Single fields can be selected a dot-notation (endpoint-type.property-name)
        :return: list[ModelsEndpointType]
                 If the method is called asynchronously,
                 returns the request thread.
        """
        kwargs['_return_http_data_only'] = True
        if kwargs.get('async'):
            return self.get_models_by_project_uid_with_http_info(project_uid, **kwargs)  # noqa: E501
        else:
            (data) = self.get_models_by_project_uid_with_http_info(project_uid, **kwargs)  # noqa: E501
            return data

    def get_models_by_project_uid_with_http_info(self, project_uid, **kwargs):  # noqa: E501
        """Returns the models of a project  # noqa: E501

        Returns the models of a project  # noqa: E501
        This method makes a synchronous HTTP request by default. To make an
        asynchronous HTTP request, please pass async=True
        >>> thread = api.get_models_by_project_uid_with_http_info(project_uid, async=True)
        >>> result = thread.get()

        :param async bool
        :param str project_uid: Project UID (required)
        :param str envelope: The endpoint can package everything (header, status code) neatly into the response body. Include envelope=true as a request parameter. The API will always return a 200 HTTP status code. The real status, headers and response will be within the body.
        :param int page: Requests for collections can return between 0 and N results, controlled using the per_page and page query parameters. All endpoints are limited to 10 results by default.
        :param str sort: The sorting is initiated by the sort query parameter and a list of comma separated list of fields to sort by.
        :param list[str] fields: Comma separated list of field names
        :param list[str] embed: Embedding is triggered by passing in an embed query parameter, which takes a comma separated list of endpoint types. Single fields can be selected a dot-notation (endpoint-type.property-name)
        :return: list[ModelsEndpointType]
                 If the method is called asynchronously,
                 returns the request thread.
        """

        all_params = ['project_uid', 'envelope', 'page', 'sort', 'fields', 'embed']  # noqa: E501
        all_params.append('async')
        all_params.append('_return_http_data_only')
        all_params.append('_preload_content')
        all_params.append('_request_timeout')

        params = locals()
        for key, val in six.iteritems(params['kwargs']):
            if key not in all_params:
                raise TypeError(
                    "Got an unexpected keyword argument '%s'"
                    " to method get_models_by_project_uid" % key
                )
            params[key] = val
        del params['kwargs']
        # verify the required parameter 'project_uid' is set
        if ('project_uid' not in params or
                params['project_uid'] is None):
            raise ValueError("Missing the required parameter `project_uid` when calling `get_models_by_project_uid`")  # noqa: E501

        collection_formats = {}

        path_params = {}
        if 'project_uid' in params:
            path_params['project_uid'] = params['project_uid']  # noqa: E501

        query_params = []
        if 'envelope' in params:
            query_params.append(('envelope', params['envelope']))  # noqa: E501
        if 'page' in params:
            query_params.append(('page', params['page']))  # noqa: E501
        if 'sort' in params:
            query_params.append(('sort', params['sort']))  # noqa: E501
        if 'fields' in params:
            query_params.append(('fields', params['fields']))  # noqa: E501
            collection_formats['fields'] = 'csv'  # noqa: E501
        if 'embed' in params:
            query_params.append(('embed', params['embed']))  # noqa: E501
            collection_formats['embed'] = 'csv'  # noqa: E501

        header_params = {}

        form_params = []
        local_var_files = {}

        body_params = None
        # HTTP header `Accept`
        header_params['Accept'] = self.api_client.select_header_accept(
            ['application/json'])  # noqa: E501

        # Authentication setting
        auth_settings = []  # noqa: E501

        return self.api_client.call_api(
            '/projects/{project_uid}/Models', 'GET',
            path_params,
            query_params,
            header_params,
            body=body_params,
            post_params=form_params,
            files=local_var_files,
            response_type='list[ModelsEndpointType]',  # noqa: E501
            auth_settings=auth_settings,
            async=params.get('async'),
            _return_http_data_only=params.get('_return_http_data_only'),
            _preload_content=params.get('_preload_content', True),
            _request_timeout=params.get('_request_timeout'),
            collection_formats=collection_formats)

    def get_project_tags_by_project_uid(self, project_uid, **kwargs):  # noqa: E501
        """Returns the tags of a project.  # noqa: E501

        Is this method really necessary? Returns the tags of a project.  # noqa: E501
        This method makes a synchronous HTTP request by default. To make an
        asynchronous HTTP request, please pass async=True
        >>> thread = api.get_project_tags_by_project_uid(project_uid, async=True)
        >>> result = thread.get()

        :param async bool
        :param str project_uid: Project UID (required)
        :param str envelope: The endpoint can package everything (header, status code) neatly into the response body. Include envelope=true as a request parameter. The API will always return a 200 HTTP status code. The real status, headers and response will be within the body.
        :return: TagsListResponse
                 If the method is called asynchronously,
                 returns the request thread.
        """
        kwargs['_return_http_data_only'] = True
        if kwargs.get('async'):
            return self.get_project_tags_by_project_uid_with_http_info(project_uid, **kwargs)  # noqa: E501
        else:
            (data) = self.get_project_tags_by_project_uid_with_http_info(project_uid, **kwargs)  # noqa: E501
            return data

    def get_project_tags_by_project_uid_with_http_info(self, project_uid, **kwargs):  # noqa: E501
        """Returns the tags of a project.  # noqa: E501

        Is this method really necessary? Returns the tags of a project.  # noqa: E501
        This method makes a synchronous HTTP request by default. To make an
        asynchronous HTTP request, please pass async=True
        >>> thread = api.get_project_tags_by_project_uid_with_http_info(project_uid, async=True)
        >>> result = thread.get()

        :param async bool
        :param str project_uid: Project UID (required)
        :param str envelope: The endpoint can package everything (header, status code) neatly into the response body. Include envelope=true as a request parameter. The API will always return a 200 HTTP status code. The real status, headers and response will be within the body.
        :return: TagsListResponse
                 If the method is called asynchronously,
                 returns the request thread.
        """

        all_params = ['project_uid', 'envelope']  # noqa: E501
        all_params.append('async')
        all_params.append('_return_http_data_only')
        all_params.append('_preload_content')
        all_params.append('_request_timeout')

        params = locals()
        for key, val in six.iteritems(params['kwargs']):
            if key not in all_params:
                raise TypeError(
                    "Got an unexpected keyword argument '%s'"
                    " to method get_project_tags_by_project_uid" % key
                )
            params[key] = val
        del params['kwargs']
        # verify the required parameter 'project_uid' is set
        if ('project_uid' not in params or
                params['project_uid'] is None):
            raise ValueError("Missing the required parameter `project_uid` when calling `get_project_tags_by_project_uid`")  # noqa: E501

        collection_formats = {}

        path_params = {}
        if 'project_uid' in params:
            path_params['project_uid'] = params['project_uid']  # noqa: E501

        query_params = []
        if 'envelope' in params:
            query_params.append(('envelope', params['envelope']))  # noqa: E501

        header_params = {}

        form_params = []
        local_var_files = {}

        body_params = None
        # HTTP header `Accept`
        header_params['Accept'] = self.api_client.select_header_accept(
            ['application/json'])  # noqa: E501

        # Authentication setting
        auth_settings = []  # noqa: E501

        return self.api_client.call_api(
            '/projects/{project_uid}/Tags', 'GET',
            path_params,
            query_params,
            header_params,
            body=body_params,
            post_params=form_params,
            files=local_var_files,
            response_type='TagsListResponse',  # noqa: E501
            auth_settings=auth_settings,
            async=params.get('async'),
            _return_http_data_only=params.get('_return_http_data_only'),
            _preload_content=params.get('_preload_content', True),
            _request_timeout=params.get('_request_timeout'),
            collection_formats=collection_formats)

    def get_projects(self, **kwargs):  # noqa: E501
        """Get a GeoJSON structure containing a list of Projects.  # noqa: E501

        Get a GeoJSON structure containing a list of Projects. A single project is modeled as a GeoJSON feature.  # noqa: E501
        This method makes a synchronous HTTP request by default. To make an
        asynchronous HTTP request, please pass async=True
        >>> thread = api.get_projects(async=True)
        >>> result = thread.get()

        :param async bool
        :param str envelope: The endpoint can package everything (header, status code) neatly into the response body. Include envelope=true as a request parameter. The API will always return a 200 HTTP status code. The real status, headers and response will be within the body.
        :param list[str] uid: Comma separated list of UID
        :param list[str] name: Comma separated list of names
        :param str aoi: Polygon. The polygon is encoded a comma separated list of coordinates. X1, Y1, X2, Y2, ..., Xn, Yn, X1, Y1
        :param list[str] tags: Comma separated list of tags
        :param int page: Requests for collections can return between 0 and N results, controlled using the per_page and page query parameters. All endpoints are limited to 10 results by default.
        :param str sort: The sorting is initiated by the sort query parameter and a list of comma separated list of fields to sort by.
        :param list[str] fields: Comma separated list of field names
        :param list[str] embed: Embedding is triggered by passing in an embed query parameter, which takes a comma separated list of endpoint types. Single fields can be selected a dot-notation (endpoint-type.property-name)
        :return: ProjectsEndpointType
                 If the method is called asynchronously,
                 returns the request thread.
        """
        kwargs['_return_http_data_only'] = True
        if kwargs.get('async'):
            return self.get_projects_with_http_info(**kwargs)  # noqa: E501
        else:
            (data) = self.get_projects_with_http_info(**kwargs)  # noqa: E501
            return data

    def get_projects_with_http_info(self, **kwargs):  # noqa: E501
        """Get a GeoJSON structure containing a list of Projects.  # noqa: E501

        Get a GeoJSON structure containing a list of Projects. A single project is modeled as a GeoJSON feature.  # noqa: E501
        This method makes a synchronous HTTP request by default. To make an
        asynchronous HTTP request, please pass async=True
        >>> thread = api.get_projects_with_http_info(async=True)
        >>> result = thread.get()

        :param async bool
        :param str envelope: The endpoint can package everything (header, status code) neatly into the response body. Include envelope=true as a request parameter. The API will always return a 200 HTTP status code. The real status, headers and response will be within the body.
        :param list[str] uid: Comma separated list of UID
        :param list[str] name: Comma separated list of names
        :param str aoi: Polygon. The polygon is encoded a comma separated list of coordinates. X1, Y1, X2, Y2, ..., Xn, Yn, X1, Y1
        :param list[str] tags: Comma separated list of tags
        :param int page: Requests for collections can return between 0 and N results, controlled using the per_page and page query parameters. All endpoints are limited to 10 results by default.
        :param str sort: The sorting is initiated by the sort query parameter and a list of comma separated list of fields to sort by.
        :param list[str] fields: Comma separated list of field names
        :param list[str] embed: Embedding is triggered by passing in an embed query parameter, which takes a comma separated list of endpoint types. Single fields can be selected a dot-notation (endpoint-type.property-name)
        :return: ProjectsEndpointType
                 If the method is called asynchronously,
                 returns the request thread.
        """

        all_params = ['envelope', 'uid', 'name', 'aoi', 'tags', 'page', 'sort', 'fields', 'embed']  # noqa: E501
        all_params.append('async')
        all_params.append('_return_http_data_only')
        all_params.append('_preload_content')
        all_params.append('_request_timeout')

        params = locals()
        for key, val in six.iteritems(params['kwargs']):
            if key not in all_params:
                raise TypeError(
                    "Got an unexpected keyword argument '%s'"
                    " to method get_projects" % key
                )
            params[key] = val
        del params['kwargs']

        collection_formats = {}

        path_params = {}

        query_params = []
        if 'envelope' in params:
            query_params.append(('envelope', params['envelope']))  # noqa: E501
        if 'uid' in params:
            query_params.append(('uid', params['uid']))  # noqa: E501
            collection_formats['uid'] = 'csv'  # noqa: E501
        if 'name' in params:
            query_params.append(('name', params['name']))  # noqa: E501
            collection_formats['name'] = 'csv'  # noqa: E501
        if 'aoi' in params:
            query_params.append(('aoi', params['aoi']))  # noqa: E501
        if 'tags' in params:
            query_params.append(('tags', params['tags']))  # noqa: E501
            collection_formats['tags'] = 'csv'  # noqa: E501
        if 'page' in params:
            query_params.append(('page', params['page']))  # noqa: E501
        if 'sort' in params:
            query_params.append(('sort', params['sort']))  # noqa: E501
        if 'fields' in params:
            query_params.append(('fields', params['fields']))  # noqa: E501
            collection_formats['fields'] = 'csv'  # noqa: E501
        if 'embed' in params:
            query_params.append(('embed', params['embed']))  # noqa: E501
            collection_formats['embed'] = 'csv'  # noqa: E501

        header_params = {}

        form_params = []
        local_var_files = {}

        body_params = None
        # HTTP header `Accept`
        header_params['Accept'] = self.api_client.select_header_accept(
            ['application/json'])  # noqa: E501

        # Authentication setting
        auth_settings = []  # noqa: E501

        return self.api_client.call_api(
            '/projects', 'GET',
            path_params,
            query_params,
            header_params,
            body=body_params,
            post_params=form_params,
            files=local_var_files,
            response_type='ProjectsEndpointType',  # noqa: E501
            auth_settings=auth_settings,
            async=params.get('async'),
            _return_http_data_only=params.get('_return_http_data_only'),
            _preload_content=params.get('_preload_content', True),
            _request_timeout=params.get('_request_timeout'),
            collection_formats=collection_formats)

    def get_projects_by_uid(self, project_uid, **kwargs):  # noqa: E501
        """Getting single Projects by its UID  # noqa: E501

        Getting single Projects by its UID. The project is modeled as a feature in a GeoJSON structure.  # noqa: E501
        This method makes a synchronous HTTP request by default. To make an
        asynchronous HTTP request, please pass async=True
        >>> thread = api.get_projects_by_uid(project_uid, async=True)
        >>> result = thread.get()

        :param async bool
        :param str project_uid: UID of the project (required)
        :param str envelope: The endpoint can package everything (header, status code) neatly into the response body. Include envelope=true as a request parameter. The API will always return a 200 HTTP status code. The real status, headers and response will be within the body.
        :param list[str] embed: Embedding is triggered by passing in an embed query parameter, which takes a comma separated list of endpoint types. Single fields can be selected a dot-notation (endpoint-type.property-name)
        :return: ProjectsEndpointType
                 If the method is called asynchronously,
                 returns the request thread.
        """
        kwargs['_return_http_data_only'] = True
        if kwargs.get('async'):
            return self.get_projects_by_uid_with_http_info(project_uid, **kwargs)  # noqa: E501
        else:
            (data) = self.get_projects_by_uid_with_http_info(project_uid, **kwargs)  # noqa: E501
            return data

    def get_projects_by_uid_with_http_info(self, project_uid, **kwargs):  # noqa: E501
        """Getting single Projects by its UID  # noqa: E501

        Getting single Projects by its UID. The project is modeled as a feature in a GeoJSON structure.  # noqa: E501
        This method makes a synchronous HTTP request by default. To make an
        asynchronous HTTP request, please pass async=True
        >>> thread = api.get_projects_by_uid_with_http_info(project_uid, async=True)
        >>> result = thread.get()

        :param async bool
        :param str project_uid: UID of the project (required)
        :param str envelope: The endpoint can package everything (header, status code) neatly into the response body. Include envelope=true as a request parameter. The API will always return a 200 HTTP status code. The real status, headers and response will be within the body.
        :param list[str] embed: Embedding is triggered by passing in an embed query parameter, which takes a comma separated list of endpoint types. Single fields can be selected a dot-notation (endpoint-type.property-name)
        :return: ProjectsEndpointType
                 If the method is called asynchronously,
                 returns the request thread.
        """

        all_params = ['project_uid', 'envelope', 'embed']  # noqa: E501
        all_params.append('async')
        all_params.append('_return_http_data_only')
        all_params.append('_preload_content')
        all_params.append('_request_timeout')

        params = locals()
        for key, val in six.iteritems(params['kwargs']):
            if key not in all_params:
                raise TypeError(
                    "Got an unexpected keyword argument '%s'"
                    " to method get_projects_by_uid" % key
                )
            params[key] = val
        del params['kwargs']
        # verify the required parameter 'project_uid' is set
        if ('project_uid' not in params or
                params['project_uid'] is None):
            raise ValueError("Missing the required parameter `project_uid` when calling `get_projects_by_uid`")  # noqa: E501

        collection_formats = {}

        path_params = {}
        if 'project_uid' in params:
            path_params['project_uid'] = params['project_uid']  # noqa: E501

        query_params = []
        if 'envelope' in params:
            query_params.append(('envelope', params['envelope']))  # noqa: E501
        if 'embed' in params:
            query_params.append(('embed', params['embed']))  # noqa: E501
            collection_formats['embed'] = 'csv'  # noqa: E501

        header_params = {}

        form_params = []
        local_var_files = {}

        body_params = None
        # HTTP header `Accept`
        header_params['Accept'] = self.api_client.select_header_accept(
            ['application/json'])  # noqa: E501

        # Authentication setting
        auth_settings = []  # noqa: E501

        return self.api_client.call_api(
            '/projects/{project_uid}', 'GET',
            path_params,
            query_params,
            header_params,
            body=body_params,
            post_params=form_params,
            files=local_var_files,
            response_type='ProjectsEndpointType',  # noqa: E501
            auth_settings=auth_settings,
            async=params.get('async'),
            _return_http_data_only=params.get('_return_http_data_only'),
            _preload_content=params.get('_preload_content', True),
            _request_timeout=params.get('_request_timeout'),
            collection_formats=collection_formats)

    def get_spatial_source_by_project_uid(self, project_uid, **kwargs):  # noqa: E501
        """Returns the SpatialSources of a Project.  # noqa: E501

        Returns the SpatialSources of a Project.  # noqa: E501
        This method makes a synchronous HTTP request by default. To make an
        asynchronous HTTP request, please pass async=True
        >>> thread = api.get_spatial_source_by_project_uid(project_uid, async=True)
        >>> result = thread.get()

        :param async bool
        :param str project_uid: Project UID (required)
        :param str envelope: The endpoint can package everything (header, status code) neatly into the response body. Include envelope=true as a request parameter. The API will always return a 200 HTTP status code. The real status, headers and response will be within the body.
        :param int page: Requests for collections can return between 0 and N results, controlled using the per_page and page query parameters. All endpoints are limited to 10 results by default.
        :param str sort: The sorting is initiated by the sort query parameter and a list of comma separated list of fields to sort by.
        :param list[str] fields: Comma separated list of field names
        :param list[str] embed: Embedding is triggered by passing in an embed query parameter, which takes a comma separated list of endpoint types. Single fields can be selected a dot-notation (endpoint-type.property-name)
        :return: list[SpatialSourcesEndpointType]
                 If the method is called asynchronously,
                 returns the request thread.
        """
        kwargs['_return_http_data_only'] = True
        if kwargs.get('async'):
            return self.get_spatial_source_by_project_uid_with_http_info(project_uid, **kwargs)  # noqa: E501
        else:
            (data) = self.get_spatial_source_by_project_uid_with_http_info(project_uid, **kwargs)  # noqa: E501
            return data

    def get_spatial_source_by_project_uid_with_http_info(self, project_uid, **kwargs):  # noqa: E501
        """Returns the SpatialSources of a Project.  # noqa: E501

        Returns the SpatialSources of a Project.  # noqa: E501
        This method makes a synchronous HTTP request by default. To make an
        asynchronous HTTP request, please pass async=True
        >>> thread = api.get_spatial_source_by_project_uid_with_http_info(project_uid, async=True)
        >>> result = thread.get()

        :param async bool
        :param str project_uid: Project UID (required)
        :param str envelope: The endpoint can package everything (header, status code) neatly into the response body. Include envelope=true as a request parameter. The API will always return a 200 HTTP status code. The real status, headers and response will be within the body.
        :param int page: Requests for collections can return between 0 and N results, controlled using the per_page and page query parameters. All endpoints are limited to 10 results by default.
        :param str sort: The sorting is initiated by the sort query parameter and a list of comma separated list of fields to sort by.
        :param list[str] fields: Comma separated list of field names
        :param list[str] embed: Embedding is triggered by passing in an embed query parameter, which takes a comma separated list of endpoint types. Single fields can be selected a dot-notation (endpoint-type.property-name)
        :return: list[SpatialSourcesEndpointType]
                 If the method is called asynchronously,
                 returns the request thread.
        """

        all_params = ['project_uid', 'envelope', 'page', 'sort', 'fields', 'embed']  # noqa: E501
        all_params.append('async')
        all_params.append('_return_http_data_only')
        all_params.append('_preload_content')
        all_params.append('_request_timeout')

        params = locals()
        for key, val in six.iteritems(params['kwargs']):
            if key not in all_params:
                raise TypeError(
                    "Got an unexpected keyword argument '%s'"
                    " to method get_spatial_source_by_project_uid" % key
                )
            params[key] = val
        del params['kwargs']
        # verify the required parameter 'project_uid' is set
        if ('project_uid' not in params or
                params['project_uid'] is None):
            raise ValueError("Missing the required parameter `project_uid` when calling `get_spatial_source_by_project_uid`")  # noqa: E501

        collection_formats = {}

        path_params = {}
        if 'project_uid' in params:
            path_params['project_uid'] = params['project_uid']  # noqa: E501

        query_params = []
        if 'envelope' in params:
            query_params.append(('envelope', params['envelope']))  # noqa: E501
        if 'page' in params:
            query_params.append(('page', params['page']))  # noqa: E501
        if 'sort' in params:
            query_params.append(('sort', params['sort']))  # noqa: E501
        if 'fields' in params:
            query_params.append(('fields', params['fields']))  # noqa: E501
            collection_formats['fields'] = 'csv'  # noqa: E501
        if 'embed' in params:
            query_params.append(('embed', params['embed']))  # noqa: E501
            collection_formats['embed'] = 'csv'  # noqa: E501

        header_params = {}

        form_params = []
        local_var_files = {}

        body_params = None
        # HTTP header `Accept`
        header_params['Accept'] = self.api_client.select_header_accept(
            ['application/json'])  # noqa: E501

        # Authentication setting
        auth_settings = []  # noqa: E501

        return self.api_client.call_api(
            '/projects/{project_uid}/SpatialSources', 'GET',
            path_params,
            query_params,
            header_params,
            body=body_params,
            post_params=form_params,
            files=local_var_files,
            response_type='list[SpatialSourcesEndpointType]',  # noqa: E501
            auth_settings=auth_settings,
            async=params.get('async'),
            _return_http_data_only=params.get('_return_http_data_only'),
            _preload_content=params.get('_preload_content', True),
            _request_timeout=params.get('_request_timeout'),
            collection_formats=collection_formats)

    def new_model_under_project(self, project_uid, newmodel, **kwargs):  # noqa: E501
        """Create a new model  # noqa: E501

        Create a new model.  To add a new Model , the content of Models  must be stored in advanced via the ContentItem endpoint  # noqa: E501
        This method makes a synchronous HTTP request by default. To make an
        asynchronous HTTP request, please pass async=True
        >>> thread = api.new_model_under_project(project_uid, newmodel, async=True)
        >>> result = thread.get()

        :param async bool
        :param str project_uid: Project UID (required)
        :param ModelsPostRequest newmodel: New model data (required)
        :param str envelope: The endpoint can package everything (header, status code) neatly into the response body. Include envelope=true as a request parameter. The API will always return a 200 HTTP status code. The real status, headers and response will be within the body.
        :param list[str] embed: Embedding is triggered by passing in an embed query parameter, which takes a comma separated list of endpoint types. Single fields can be selected a dot-notation (endpoint-type.property-name)
        :param str i4l_process_uid: Process UID. This parameter can be used by an its4land tool running inside the runtime environment to pass the process uid to the endpoint. With this information the endpoint can associate the newly created or updated resource with the process.
        :return: ProjectsEndpointType
                 If the method is called asynchronously,
                 returns the request thread.
        """
        kwargs['_return_http_data_only'] = True
        if kwargs.get('async'):
            return self.new_model_under_project_with_http_info(project_uid, newmodel, **kwargs)  # noqa: E501
        else:
            (data) = self.new_model_under_project_with_http_info(project_uid, newmodel, **kwargs)  # noqa: E501
            return data

    def new_model_under_project_with_http_info(self, project_uid, newmodel, **kwargs):  # noqa: E501
        """Create a new model  # noqa: E501

        Create a new model.  To add a new Model , the content of Models  must be stored in advanced via the ContentItem endpoint  # noqa: E501
        This method makes a synchronous HTTP request by default. To make an
        asynchronous HTTP request, please pass async=True
        >>> thread = api.new_model_under_project_with_http_info(project_uid, newmodel, async=True)
        >>> result = thread.get()

        :param async bool
        :param str project_uid: Project UID (required)
        :param ModelsPostRequest newmodel: New model data (required)
        :param str envelope: The endpoint can package everything (header, status code) neatly into the response body. Include envelope=true as a request parameter. The API will always return a 200 HTTP status code. The real status, headers and response will be within the body.
        :param list[str] embed: Embedding is triggered by passing in an embed query parameter, which takes a comma separated list of endpoint types. Single fields can be selected a dot-notation (endpoint-type.property-name)
        :param str i4l_process_uid: Process UID. This parameter can be used by an its4land tool running inside the runtime environment to pass the process uid to the endpoint. With this information the endpoint can associate the newly created or updated resource with the process.
        :return: ProjectsEndpointType
                 If the method is called asynchronously,
                 returns the request thread.
        """

        all_params = ['project_uid', 'newmodel', 'envelope', 'embed', 'i4l_process_uid']  # noqa: E501
        all_params.append('async')
        all_params.append('_return_http_data_only')
        all_params.append('_preload_content')
        all_params.append('_request_timeout')

        params = locals()
        for key, val in six.iteritems(params['kwargs']):
            if key not in all_params:
                raise TypeError(
                    "Got an unexpected keyword argument '%s'"
                    " to method new_model_under_project" % key
                )
            params[key] = val
        del params['kwargs']
        # verify the required parameter 'project_uid' is set
        if ('project_uid' not in params or
                params['project_uid'] is None):
            raise ValueError("Missing the required parameter `project_uid` when calling `new_model_under_project`")  # noqa: E501
        # verify the required parameter 'newmodel' is set
        if ('newmodel' not in params or
                params['newmodel'] is None):
            raise ValueError("Missing the required parameter `newmodel` when calling `new_model_under_project`")  # noqa: E501

        collection_formats = {}

        path_params = {}
        if 'project_uid' in params:
            path_params['project_uid'] = params['project_uid']  # noqa: E501

        query_params = []
        if 'envelope' in params:
            query_params.append(('envelope', params['envelope']))  # noqa: E501
        if 'embed' in params:
            query_params.append(('embed', params['embed']))  # noqa: E501
            collection_formats['embed'] = 'csv'  # noqa: E501

        header_params = {}
        if 'i4l_process_uid' in params:
            header_params['i4l-process-uid'] = params['i4l_process_uid']  # noqa: E501

        form_params = []
        local_var_files = {}

        body_params = None
        if 'newmodel' in params:
            body_params = params['newmodel']
        # HTTP header `Accept`
        header_params['Accept'] = self.api_client.select_header_accept(
            ['application/json'])  # noqa: E501

        # HTTP header `Content-Type`
        header_params['Content-Type'] = self.api_client.select_header_content_type(  # noqa: E501
            ['application/json'])  # noqa: E501

        # Authentication setting
        auth_settings = []  # noqa: E501

        return self.api_client.call_api(
            '/projects/{project_uid}/Models', 'POST',
            path_params,
            query_params,
            header_params,
            body=body_params,
            post_params=form_params,
            files=local_var_files,
            response_type='ProjectsEndpointType',  # noqa: E501
            auth_settings=auth_settings,
            async=params.get('async'),
            _return_http_data_only=params.get('_return_http_data_only'),
            _preload_content=params.get('_preload_content', True),
            _request_timeout=params.get('_request_timeout'),
            collection_formats=collection_formats)

    def new_project(self, newproject, **kwargs):  # noqa: E501
        """Create a new project  # noqa: E501

        Create a new project. The new project is modeled as a feature in a GeoJSON structure. Currently only one project feature is allowed.  # noqa: E501
        This method makes a synchronous HTTP request by default. To make an
        asynchronous HTTP request, please pass async=True
        >>> thread = api.new_project(newproject, async=True)
        >>> result = thread.get()

        :param async bool
        :param ProjectsPostRequest newproject: New project data (required)
        :param str envelope: The endpoint can package everything (header, status code) neatly into the response body. Include envelope=true as a request parameter. The API will always return a 200 HTTP status code. The real status, headers and response will be within the body.
        :param list[str] embed: Embedding is triggered by passing in an embed query parameter, which takes a comma separated list of endpoint types. Single fields can be selected a dot-notation (endpoint-type.property-name)
        :param str i4l_process_uid: Process UID. This parameter can be used by an its4land tool running inside the runtime environment to pass the process uid to the endpoint. With this information the endpoint can associate the newly created or updated resource with the process.
        :return: ProjectsEndpointType
                 If the method is called asynchronously,
                 returns the request thread.
        """
        kwargs['_return_http_data_only'] = True
        if kwargs.get('async'):
            return self.new_project_with_http_info(newproject, **kwargs)  # noqa: E501
        else:
            (data) = self.new_project_with_http_info(newproject, **kwargs)  # noqa: E501
            return data

    def new_project_with_http_info(self, newproject, **kwargs):  # noqa: E501
        """Create a new project  # noqa: E501

        Create a new project. The new project is modeled as a feature in a GeoJSON structure. Currently only one project feature is allowed.  # noqa: E501
        This method makes a synchronous HTTP request by default. To make an
        asynchronous HTTP request, please pass async=True
        >>> thread = api.new_project_with_http_info(newproject, async=True)
        >>> result = thread.get()

        :param async bool
        :param ProjectsPostRequest newproject: New project data (required)
        :param str envelope: The endpoint can package everything (header, status code) neatly into the response body. Include envelope=true as a request parameter. The API will always return a 200 HTTP status code. The real status, headers and response will be within the body.
        :param list[str] embed: Embedding is triggered by passing in an embed query parameter, which takes a comma separated list of endpoint types. Single fields can be selected a dot-notation (endpoint-type.property-name)
        :param str i4l_process_uid: Process UID. This parameter can be used by an its4land tool running inside the runtime environment to pass the process uid to the endpoint. With this information the endpoint can associate the newly created or updated resource with the process.
        :return: ProjectsEndpointType
                 If the method is called asynchronously,
                 returns the request thread.
        """

        all_params = ['newproject', 'envelope', 'embed', 'i4l_process_uid']  # noqa: E501
        all_params.append('async')
        all_params.append('_return_http_data_only')
        all_params.append('_preload_content')
        all_params.append('_request_timeout')

        params = locals()
        for key, val in six.iteritems(params['kwargs']):
            if key not in all_params:
                raise TypeError(
                    "Got an unexpected keyword argument '%s'"
                    " to method new_project" % key
                )
            params[key] = val
        del params['kwargs']
        # verify the required parameter 'newproject' is set
        if ('newproject' not in params or
                params['newproject'] is None):
            raise ValueError("Missing the required parameter `newproject` when calling `new_project`")  # noqa: E501

        collection_formats = {}

        path_params = {}

        query_params = []
        if 'envelope' in params:
            query_params.append(('envelope', params['envelope']))  # noqa: E501
        if 'embed' in params:
            query_params.append(('embed', params['embed']))  # noqa: E501
            collection_formats['embed'] = 'csv'  # noqa: E501

        header_params = {}
        if 'i4l_process_uid' in params:
            header_params['i4l-process-uid'] = params['i4l_process_uid']  # noqa: E501

        form_params = []
        local_var_files = {}

        body_params = None
        if 'newproject' in params:
            body_params = params['newproject']
        # HTTP header `Accept`
        header_params['Accept'] = self.api_client.select_header_accept(
            ['application/json'])  # noqa: E501

        # HTTP header `Content-Type`
        header_params['Content-Type'] = self.api_client.select_header_content_type(  # noqa: E501
            ['application/json'])  # noqa: E501

        # Authentication setting
        auth_settings = []  # noqa: E501

        return self.api_client.call_api(
            '/projects', 'POST',
            path_params,
            query_params,
            header_params,
            body=body_params,
            post_params=form_params,
            files=local_var_files,
            response_type='ProjectsEndpointType',  # noqa: E501
            auth_settings=auth_settings,
            async=params.get('async'),
            _return_http_data_only=params.get('_return_http_data_only'),
            _preload_content=params.get('_preload_content', True),
            _request_timeout=params.get('_request_timeout'),
            collection_formats=collection_formats)

    def new_spatial_source_under_project(self, project_uid, newspatialsource, **kwargs):  # noqa: E501
        """Create a new SpatialSource  # noqa: E501

        Create a new SpatialSource. To add a new SpatialSource , the content of SpatialSource  must be stored in advanced via the ContentItem endpoint  # noqa: E501
        This method makes a synchronous HTTP request by default. To make an
        asynchronous HTTP request, please pass async=True
        >>> thread = api.new_spatial_source_under_project(project_uid, newspatialsource, async=True)
        >>> result = thread.get()

        :param async bool
        :param str project_uid: Project UID (required)
        :param SpatialSourcesPostRequest newspatialsource: New SpatialSource data (required)
        :param str envelope: The endpoint can package everything (header, status code) neatly into the response body. Include envelope=true as a request parameter. The API will always return a 200 HTTP status code. The real status, headers and response will be within the body.
        :param list[str] embed: Embedding is triggered by passing in an embed query parameter, which takes a comma separated list of endpoint types. Single fields can be selected a dot-notation (endpoint-type.property-name)
        :param str i4l_process_uid: Process UID. This parameter can be used by an its4land tool running inside the runtime environment to pass the process uid to the endpoint. With this information the endpoint can associate the newly created or updated resource with the process.
        :return: ProjectsEndpointType
                 If the method is called asynchronously,
                 returns the request thread.
        """
        kwargs['_return_http_data_only'] = True
        if kwargs.get('async'):
            return self.new_spatial_source_under_project_with_http_info(project_uid, newspatialsource, **kwargs)  # noqa: E501
        else:
            (data) = self.new_spatial_source_under_project_with_http_info(project_uid, newspatialsource, **kwargs)  # noqa: E501
            return data

    def new_spatial_source_under_project_with_http_info(self, project_uid, newspatialsource, **kwargs):  # noqa: E501
        """Create a new SpatialSource  # noqa: E501

        Create a new SpatialSource. To add a new SpatialSource , the content of SpatialSource  must be stored in advanced via the ContentItem endpoint  # noqa: E501
        This method makes a synchronous HTTP request by default. To make an
        asynchronous HTTP request, please pass async=True
        >>> thread = api.new_spatial_source_under_project_with_http_info(project_uid, newspatialsource, async=True)
        >>> result = thread.get()

        :param async bool
        :param str project_uid: Project UID (required)
        :param SpatialSourcesPostRequest newspatialsource: New SpatialSource data (required)
        :param str envelope: The endpoint can package everything (header, status code) neatly into the response body. Include envelope=true as a request parameter. The API will always return a 200 HTTP status code. The real status, headers and response will be within the body.
        :param list[str] embed: Embedding is triggered by passing in an embed query parameter, which takes a comma separated list of endpoint types. Single fields can be selected a dot-notation (endpoint-type.property-name)
        :param str i4l_process_uid: Process UID. This parameter can be used by an its4land tool running inside the runtime environment to pass the process uid to the endpoint. With this information the endpoint can associate the newly created or updated resource with the process.
        :return: ProjectsEndpointType
                 If the method is called asynchronously,
                 returns the request thread.
        """

        all_params = ['project_uid', 'newspatialsource', 'envelope', 'embed', 'i4l_process_uid']  # noqa: E501
        all_params.append('async')
        all_params.append('_return_http_data_only')
        all_params.append('_preload_content')
        all_params.append('_request_timeout')

        params = locals()
        for key, val in six.iteritems(params['kwargs']):
            if key not in all_params:
                raise TypeError(
                    "Got an unexpected keyword argument '%s'"
                    " to method new_spatial_source_under_project" % key
                )
            params[key] = val
        del params['kwargs']
        # verify the required parameter 'project_uid' is set
        if ('project_uid' not in params or
                params['project_uid'] is None):
            raise ValueError("Missing the required parameter `project_uid` when calling `new_spatial_source_under_project`")  # noqa: E501
        # verify the required parameter 'newspatialsource' is set
        if ('newspatialsource' not in params or
                params['newspatialsource'] is None):
            raise ValueError("Missing the required parameter `newspatialsource` when calling `new_spatial_source_under_project`")  # noqa: E501

        collection_formats = {}

        path_params = {}
        if 'project_uid' in params:
            path_params['project_uid'] = params['project_uid']  # noqa: E501

        query_params = []
        if 'envelope' in params:
            query_params.append(('envelope', params['envelope']))  # noqa: E501
        if 'embed' in params:
            query_params.append(('embed', params['embed']))  # noqa: E501
            collection_formats['embed'] = 'csv'  # noqa: E501

        header_params = {}
        if 'i4l_process_uid' in params:
            header_params['i4l-process-uid'] = params['i4l_process_uid']  # noqa: E501

        form_params = []
        local_var_files = {}

        body_params = None
        if 'newspatialsource' in params:
            body_params = params['newspatialsource']
        # HTTP header `Accept`
        header_params['Accept'] = self.api_client.select_header_accept(
            ['application/json'])  # noqa: E501

        # HTTP header `Content-Type`
        header_params['Content-Type'] = self.api_client.select_header_content_type(  # noqa: E501
            ['application/json'])  # noqa: E501

        # Authentication setting
        auth_settings = []  # noqa: E501

        return self.api_client.call_api(
            '/projects/{project_uid}/SpatialSources', 'POST',
            path_params,
            query_params,
            header_params,
            body=body_params,
            post_params=form_params,
            files=local_var_files,
            response_type='ProjectsEndpointType',  # noqa: E501
            auth_settings=auth_settings,
            async=params.get('async'),
            _return_http_data_only=params.get('_return_http_data_only'),
            _preload_content=params.get('_preload_content', True),
            _request_timeout=params.get('_request_timeout'),
            collection_formats=collection_formats)

    def update_projects(self, project_uid, patchproject, **kwargs):  # noqa: E501
        """Update a project  # noqa: E501

        Updates some attributes of a project.  # noqa: E501
        This method makes a synchronous HTTP request by default. To make an
        asynchronous HTTP request, please pass async=True
        >>> thread = api.update_projects(project_uid, patchproject, async=True)
        >>> result = thread.get()

        :param async bool
        :param str project_uid: Project UID to be patched (required)
        :param RFC6902PatchRequest patchproject: Update data (required)
        :param str envelope: The endpoint can package everything (header, status code) neatly into the response body. Include envelope=true as a request parameter. The API will always return a 200 HTTP status code. The real status, headers and response will be within the body.
        :param list[str] embed: Embedding is triggered by passing in an embed query parameter, which takes a comma separated list of endpoint types. Single fields can be selected a dot-notation (endpoint-type.property-name)
        :param str i4l_process_uid: Process UID. This parameter can be used by an its4land tool running inside the runtime environment to pass the process uid to the endpoint. With this information the endpoint can associate the newly created or updated resource with the process.
        :return: ProjectsEndpointType
                 If the method is called asynchronously,
                 returns the request thread.
        """
        kwargs['_return_http_data_only'] = True
        if kwargs.get('async'):
            return self.update_projects_with_http_info(project_uid, patchproject, **kwargs)  # noqa: E501
        else:
            (data) = self.update_projects_with_http_info(project_uid, patchproject, **kwargs)  # noqa: E501
            return data

    def update_projects_with_http_info(self, project_uid, patchproject, **kwargs):  # noqa: E501
        """Update a project  # noqa: E501

        Updates some attributes of a project.  # noqa: E501
        This method makes a synchronous HTTP request by default. To make an
        asynchronous HTTP request, please pass async=True
        >>> thread = api.update_projects_with_http_info(project_uid, patchproject, async=True)
        >>> result = thread.get()

        :param async bool
        :param str project_uid: Project UID to be patched (required)
        :param RFC6902PatchRequest patchproject: Update data (required)
        :param str envelope: The endpoint can package everything (header, status code) neatly into the response body. Include envelope=true as a request parameter. The API will always return a 200 HTTP status code. The real status, headers and response will be within the body.
        :param list[str] embed: Embedding is triggered by passing in an embed query parameter, which takes a comma separated list of endpoint types. Single fields can be selected a dot-notation (endpoint-type.property-name)
        :param str i4l_process_uid: Process UID. This parameter can be used by an its4land tool running inside the runtime environment to pass the process uid to the endpoint. With this information the endpoint can associate the newly created or updated resource with the process.
        :return: ProjectsEndpointType
                 If the method is called asynchronously,
                 returns the request thread.
        """

        all_params = ['project_uid', 'patchproject', 'envelope', 'embed', 'i4l_process_uid']  # noqa: E501
        all_params.append('async')
        all_params.append('_return_http_data_only')
        all_params.append('_preload_content')
        all_params.append('_request_timeout')

        params = locals()
        for key, val in six.iteritems(params['kwargs']):
            if key not in all_params:
                raise TypeError(
                    "Got an unexpected keyword argument '%s'"
                    " to method update_projects" % key
                )
            params[key] = val
        del params['kwargs']
        # verify the required parameter 'project_uid' is set
        if ('project_uid' not in params or
                params['project_uid'] is None):
            raise ValueError("Missing the required parameter `project_uid` when calling `update_projects`")  # noqa: E501
        # verify the required parameter 'patchproject' is set
        if ('patchproject' not in params or
                params['patchproject'] is None):
            raise ValueError("Missing the required parameter `patchproject` when calling `update_projects`")  # noqa: E501

        collection_formats = {}

        path_params = {}
        if 'project_uid' in params:
            path_params['project_uid'] = params['project_uid']  # noqa: E501

        query_params = []
        if 'envelope' in params:
            query_params.append(('envelope', params['envelope']))  # noqa: E501
        if 'embed' in params:
            query_params.append(('embed', params['embed']))  # noqa: E501
            collection_formats['embed'] = 'csv'  # noqa: E501

        header_params = {}
        if 'i4l_process_uid' in params:
            header_params['i4l-process-uid'] = params['i4l_process_uid']  # noqa: E501

        form_params = []
        local_var_files = {}

        body_params = None
        if 'patchproject' in params:
            body_params = params['patchproject']
        # HTTP header `Accept`
        header_params['Accept'] = self.api_client.select_header_accept(
            ['application/json'])  # noqa: E501

        # HTTP header `Content-Type`
        header_params['Content-Type'] = self.api_client.select_header_content_type(  # noqa: E501
            ['application/json'])  # noqa: E501

        # Authentication setting
        auth_settings = []  # noqa: E501

        return self.api_client.call_api(
            '/projects/{project_uid}', 'PATCH',
            path_params,
            query_params,
            header_params,
            body=body_params,
            post_params=form_params,
            files=local_var_files,
            response_type='ProjectsEndpointType',  # noqa: E501
            auth_settings=auth_settings,
            async=params.get('async'),
            _return_http_data_only=params.get('_return_http_data_only'),
            _preload_content=params.get('_preload_content', True),
            _request_timeout=params.get('_request_timeout'),
            collection_formats=collection_formats)
